# LuiExtended [![Current Release](https://img.shields.io/github/release/ArtOfShred/LuiExtended.svg)](https://github.com/ArtOfShred/LuiExtended/releases) [![GitHub license](https://img.shields.io/github/license/ArtOfShred/LuiExtended.svg)](https://github.com/ArtOfShred/LuiExtended/blob/master/LICENSE)

LuiExtended is an AddOn that adds multiple custom components including

- **Buff & Debuff Tracking** Track buffs and debuffs with new custom icons and significant enhancements to auras done by using a manual override table.
- **Chat Announcements** Display messages in chat when spending or receiving currency, track loot, achievements, experience gain, social events, guild invites, quests, and much more.
- **Combat Info** Track your GCD, Ultimate Value, Quickslot Cooldown, Highlight Active Abilities on your bar, display a Castbar, show alerts for incoming enemy abilities, and track when you are effected by Crowd Control or standing in the radius of a damaging area of effect ability.
- **Combat Text** Display your outgoing and incoming damage/healing, track crowd control, track incoming damaging abilities with a new warning system, and monitor your resource gain.
- **Slash Commands** Adds useful commands to the game such as porting to your primary home, regrouping and more.
- **Unit Frames** Custom Unitframes for Player/Target, Group, Raid, and Bosses. Color group and raid frames by Class or Role, track power changes, armor changes, and dots with animations on the frame.

Initially this [Elder Scrolls Online][1] AddOn was based partially on the [LUI][2] AddOn by LoPony and some features of [Foundry Tactical Combat][3] AddOn.

## Information

Spreadsheet tracking for Buff/Debuff issues present [here][4].  
Goal is for this spreadsheet to also serve as a modders resource, and a bug tracker for inconsistencies with abilities in the game to report to Zenimax.

## Contribute

LuiExtended code is intended to be open source released under the MIT License.  
Feel free to suggest or make contributions! You are welcome to copy and edit any code and features as long as they are not sections tagged as pulled from another addon.

## Disclaimer
>
>This Add-on is not created by, affiliated with or sponsored by ZeniMax Media Inc. or its affiliates. The Elder Scrolls® and related logos are registered trademarks or trademarks of ZeniMax Media Inc. in the United States and/or other countries. All rights reserved.

  [1]: https://www.elderscrollsonline.com
  [2]: http://www.esoui.com/downloads/info413-LUI.html
  [3]: http://www.esoui.com/downloads/info28-FoundryTacticalCombat.html
  [4]: https://docs.google.com/spreadsheets/d/1UVpe00hL2lR7wO0Fpo30sFMsc603kJqtEPtvWDHkA74/edit#gid=468027794
