--[[
    LuiExtended
    License: The MIT License (MIT)
--]]

-- Addon Settings Menu localization
-- Translation by: <default>
local strings = {

    -- Settings
    LUIE_STRING_LAM_COMPATIBILITY_WARNING = "Disable this option if you are having compatibility issues with other addons.",
    LUIE_STRING_LAM_FONT = "Font",
    LUIE_STRING_LAM_FONT_SIZE = "Font Size",
    LUIE_STRING_LAM_FONT_STYLE = "Font Style",
    LUIE_STRING_LAM_RELOADUI = "Reload UI",
    LUIE_STRING_LAM_RELOADUI_BUTTON = "This will reload the UI.",
    LUIE_STRING_LAM_RELOADUI_WARNING = "Will need to reload the UI.",
    LUIE_STRING_LAM_RELOADUI_SLASH_WARNING = "When disabling a slash command you will need to reload the UI.",
    LUIE_STRING_LAM_RESETPOSITION = "Reset Position",
    --LUIE_STRING_LAM_ALERT_TEXT_ALIGNMENT =                   "Alert Text Alignment",
    --LUIE_STRING_LAM_ALERT_TEXT_ALIGNMENT_TP =                "Set the Alignment for Alert Text (normally displayed anchored to the right in the top right corner of the screen).",
    LUIE_STRING_LAM_ALERT_HIDE_ALL = "Hide Alerts",
    LUIE_STRING_LAM_ALERT_HIDE_ALL_TP = "Hide Alerts that normally appear in the top right corner of the screen.",
    LUIE_STRING_LAM_HIDE_EXPERIENCE_BAR = "Hide Experience/Skill Progress Bar Pop-up",
    LUIE_STRING_LAM_HIDE_EXPERIENCE_BAR_TP = "When gaining experience from Quests, POI Discovery, Boss Kills, or Skill Line updates, the XP bar will no longer popup. Useful if you have a custom UI element in that corner of the screen and don't want it to be overlapped.",
    LUIE_STRING_LAM_CHANGELOG = "Display Changelog",
    LUIE_STRING_LAM_CHANGELOG_TP = "Display a list of changes from the previous version of LUIE.",
    LUIE_STRING_LAM_STARTUPMSG = "Disable Startup Message",
    LUIE_STRING_LAM_STARTUPMSG_TP = "This setting will disable the startup message.",
    LUIE_STRING_LAM_SVPROFILE_HEADER = "Character Profile Settings",
    LUIE_STRING_LAM_SVPROFILE_DESCRIPTION = "By default LuiExtended uses account wide settings. You can toggle on character specific settings below. Profiles can be copied between characters, and you can reset the current character or overall account settings below. Note that account wide settings are preserved if you toggle back from using individual character profiles.",
    LUIE_STRING_LAM_SVPROFILE_SETTINGSTOGGLE = "Enable Character Specific Settings",
    LUIE_STRING_LAM_SVPROFILE_SETTINGSTOGGLE_TP = "Switch from using account wide settings to using specific character settings.",
    LUIE_STRING_LAM_SVPROFILE_PROFILECOPY = "Copy Character Profile",
    LUIE_STRING_LAM_SVPROFILE_PROFILECOPY_TP = "Select another character or account wide settings to copy from.",
    LUIE_STRING_LAM_SVPROFILE_PROFILECOPYBUTTON = "Copy Profile",
    LUIE_STRING_LAM_SVPROFILE_PROFILECOPYBUTTON_TP = "Copy the profile selected above to your current character or account wide settings.",
    LUIE_STRING_LAM_SVPROFILE_RESETCHAR = "Reset Current Character",
    LUIE_STRING_LAM_SVPROFILE_RESETCHAR_TP = "Reset current character profile settings.",
    LUIE_STRING_LAM_SVPROFILE_RESETACCOUNT = "Reset Account Wide",
    LUIE_STRING_LAM_SVPROFILE_RESETACCOUNT_TP = "Reset account wide profile settings. Note that this will not delete or modify individual character settings.",
    LUIE_STRING_LAM_UNLOCK_DEFAULT_UI = "Unlock Default UI Elements",
    LUIE_STRING_LAM_UNLOCK_DEFAULT_UI_TP = "This will unlock and allow you to move the default UI Quest Log, Battleground Score, Loot History, and Equipment Status Windows.",
    LUIE_STRING_LAM_RESET_DEFAULT_UI_TP = "Reset Default UI Elements back to their normal positions.",

    -- Modules
    LUIE_STRING_LAM_UF = "Unit Frames",
    LUIE_STRING_LAM_CA = "Chat Announce",
    LUIE_STRING_LAM_CI = "Combat Info",
    LUIE_STRING_LAM_SLASHCMDS = "Slash Commands",
    LUIE_STRING_LAM_CI_DESCRIPTION = "Allows display of ultimate value on bars, effect tracker on bars, as well as cooldown tracking for quick slot items and GCD display for action bars.",
    LUIE_STRING_LAM_BUFFS_DESCRIPTION = "Enables buff and debuff display for effects on the player and target. Also has options for various other enhancements.",
    LUIE_STRING_LAM_BUFFSDEBUFFS = "Buffs & Debuffs",
    LUIE_STRING_LAM_MODULEHEADER = "Module Settings",
    LUIE_STRING_LAM_MISCHEADER = "Miscellaneous Settings",

    -- Module: Slash Commands
    LUIE_STRING_LAM_SLASHCMDS_ENABLE = "Slash Commands Module",
    LUIE_STRING_LAM_SLASHCMDS_DESCRIPTION = "Add custom /slash commands to perform various basic functionality such as kicking members from group, inviting players to guild, or adding friends.",
    LUIE_STRING_LAM_SLASHCMDSHEADER = "Slash Commands",
    LUIE_STRING_LAM_SLASHCMDSHEADER_GENERAL = "General Commands",
    LUIE_STRING_LAM_SLASHCMDS_TRADE = "Enable Trade ( '/trade' )",
    LUIE_STRING_LAM_SLASHCMDS_TRADE_TP = "'/trade' 'name' Invites a player to trade with you.",
    LUIE_STRING_LAM_SLASHCMDS_HOME = "Enable Port to Primary Home ( '/home' )",
    LUIE_STRING_LAM_SLASHCMDS_HOME_TP = "'/home' Ports the user to their primary home.\n\t\t\t\t\tAlternate options: '/home inside' ports to the inside of the home, '/home outside' ports to the outside of the home ",
    LUIE_STRING_LAM_SLASHCMDS_HOME_SET_PRIMARY = "Enable Set Primary Home ( '/setprimaryhome' )",
    LUIE_STRING_LAM_SLASHCMDS_HOME_SET_PRIMARY_TP = "'/setprimaryhome' Sets the current home as the primary home.",
    LUIE_STRING_LAM_SLASHCMDS_CAMPAIGN = "Enable Campaign Queue ( '/campaign' )",
    LUIE_STRING_LAM_SLASHCMDS_CAMPAIGN_TP = "'/campaign' 'name' Queue for the entered campaign name if it is your Home or Guest campaign.",
    LUIE_STRING_LAM_SLASHCMDSHEADER_GROUP = "Group Commands",
    LUIE_STRING_LAM_SLASHCMDS_REGROUP = "Enable Regroup Function ( '/regroup' )",
    LUIE_STRING_LAM_SLASHCMDS_REGROUP_TP = "'/regroup' Saves your current party configuration, disbands the group and reinvites them after 5 seconds.",
    LUIE_STRING_LAM_SLASHCMDS_LEAVE = "Enable Leave Group ( '/leave' )",
    LUIE_STRING_LAM_SLASHCMDS_LEAVE_TP = "'/leave' Leaves the current group.\n\t\t\t\t\tAlternate options: '/leavegroup'",
    LUIE_STRING_LAM_SLASHCMDS_DISBAND = "Enable Disband Group ( '/disband' )",
    LUIE_STRING_LAM_SLASHCMDS_DISBAND_TP = "'/disband' Disbands the current group if you are group leader.",
    LUIE_STRING_LAM_SLASHCMDS_KICK = "Enable Remove from Group ( '/kick' )",
    LUIE_STRING_LAM_SLASHCMDS_KICK_TP = "'/kick' 'name' Kicks a member from the current group if you are group leader.\n\t\t\t\t\tNote: Does not replace the /kick emote.\n\t\t\t\t\tAlternate options: '/remove', '/groupkick', '/groupremove'",
    LUIE_STRING_LAM_SLASHCMDS_ROLE = "Enable changing role ( '/changerole'  )",
    LUIE_STRING_LAM_SLASHCMDS_ROLE_TP = "'/changerole' changes your lfg role to 'dps' or 'heal' or 'tank' ",
    LUIE_STRING_LAM_SLASHCMDS_VOTEKICK = "Enable Vote to Kick ( '/votekick')",
    LUIE_STRING_LAM_SLASHCMDS_VOTEKICK_TP = "/votekick' 'name' Initiates a vote to kick a member from your current LFG group.\n\t\t\t\t\tAlternate options: '/voteremove'",
    LUIE_STRING_LAM_SLASHCMDSHEADER_GUILD = "Guild Commands",
    LUIE_STRING_LAM_SLASHCMDS_GUILDINVITE = "Enable Invite to Guild ( '/guildinvite' )",
    LUIE_STRING_LAM_SLASHCMDS_GUILDINVITE_TP = "'/guildinvite' '#' 'name' Invites a player to one of your guilds based on their order in your Guild Menu.\n\t\t\t\t\tAlternate options: /'ginvite'",
    LUIE_STRING_LAM_SLASHCMDS_GUILDKICK = "Enable Kick from Guild ( '/guildkick' )",
    LUIE_STRING_LAM_SLASHCMDS_GUILDKICK_TP = "'/guildkick' '#' 'name' Kicks a player from one of your guilds if you have permissions to do so.\n\t\t\t\t\tAlternate options: '/gkick'",
    LUIE_STRING_LAM_SLASHCMDS_GUILDQUIT = "Enable) Leave Guild ( '/guildquit' ",
    LUIE_STRING_LAM_SLASHCMDS_GUILDQUIT_TP = "'/guildquit' '#' Leave one of your guilds based on their order in your Guild Menu.\n\t\t\t\t\tAlternate options: '/gquit', '/guildleave', '/gleave'",
    LUIE_STRING_LAM_SLASHCMDSHEADER_SOCIAL = "Social Commands",
    LUIE_STRING_LAM_SLASHCMDS_FRIEND = "Enable Add Friend ( '/friend' )",
    LUIE_STRING_LAM_SLASHCMDS_FRIEND_TP = "'/friend' 'name' Invite a player to be friends.\n\t\t\t\t\tAlternate options: '/addfriend'",
    LUIE_STRING_LAM_SLASHCMDS_IGNORE = "Enable Add Ignored ( '/ignore' )",
    LUIE_STRING_LAM_SLASHCMDS_IGNORE_TP = "'/ignore' 'name' Add a player to ignored.\n\t\t\t\t\t\tAlternate options: '/addignore'",
    LUIE_STRING_LAM_SLASHCMDS_REMOVEFRIEND = "Enable Remove Friend ( '/removefriend' )",
    LUIE_STRING_LAM_SLASHCMDS_REMOVEFRIEND_TP = "'/unfriend' 'name' Remove a player from friends.\n\t\t\t\t\tAlternate options: '/removefriend'",
    LUIE_STRING_LAM_SLASHCMDS_REMOVEIGNORE = "Enable Remove Ignored ( /'removeignore' )",
    LUIE_STRING_LAM_SLASHCMDS_REMOVEIGNORE_TP = "'/unignore' 'name' Remove a player from ignored.\n\t\t\t\t\tAlternate options: '/removeignore'",
    LUIE_STRING_LAM_SLASHCMDS_COMPANION = "Enable Companion ( '/companion' )",
    LUIE_STRING_LAM_SLASHCMDS_COMPANION_TP = "'/companion' or '/companion' 'name' Summon the default companion selected below or a specific companion by name (If unlocked).\n\t\t\t\t\tAlternate options: '/bastian', '/mirri', '/ember', '/isobel'",
    LUIE_STRING_LAM_SLASHCMDS_BANKER = "Enable Banker ( '/banker' )",
    LUIE_STRING_LAM_SLASHCMDS_BANKER_TP = "'/banker' Summon your selected banker.\n\t\t\t\t\tAlternate options: '/bank'",
    LUIE_STRING_LAM_SLASHCMDS_MERCHANT = "Enable Merchant ( '/merchant' )",
    LUIE_STRING_LAM_SLASHCMDS_MERCHANT_TP = "'/merchant' Summon your selected merchant.\n\t\t\t\t\tAlternate options: '/sell', '/vendor'",
    LUIE_STRING_LAM_SLASHCMDS_ARMORY = "Enable Armory ( '/armory' )",
    LUIE_STRING_LAM_SLASHCMDS_ARMORY_TP = "'/armory' Summon your selected armory assistant.",
    LUIE_STRING_LAM_SLASHCMDS_DECON = "Enable Deconstruction ( '/decon' )",
    LUIE_STRING_LAM_SLASHCMDS_DECON_TP = "'/decon' Summon <<1>> (If unlocked).\n\t\t\t\t\tAlternate options: '/deconstruction'",
    LUIE_STRING_LAM_SLASHCMDS_FENCE = "Enable Fence ( '/fence' )",
    LUIE_STRING_LAM_SLASHCMDS_FENCE_TP = "'/fence' Summon <<1>> (If unlocked).\n\t\t\t\t\tAlternate options: '/smuggler'",
    LUIE_STRING_LAM_SLASHCMDS_EYE = "Enable Antiquarian's Eye ( '/eye' )",
    LUIE_STRING_LAM_SLASHCMDS_EYE_TP = "'/eye' Use the Antiquarian's Eye at a dig site (If unlocked).",
    LUIE_STRING_LAM_SLASHCMDS_PET = "Enable Dismiss Pet ( '/pet' )",
    LUIE_STRING_LAM_SLASHCMDS_PET_TP = "'/pet' Dismiss summonable player pets.\n\t\t\t\t\tAlternate options: '/pets', '/dismisspet', '/dismisspets'",
    LUIE_STRING_LAM_SLASHCMDS_PET_MESSAGE = "Display Chat Message",
    LUIE_STRING_LAM_SLASHCMDS_PET_MESSAGE_TP = "Display a chat message when a pet is dismissed through this slash command or keybinding.",
    LUIE_STRING_LAM_SLASHCMDS_READYCHECK = "Enable Ready Check ( '/ready' )",
    LUIE_STRING_LAM_SLASHCMDS_READYCHECK_TP = "Send a 'ready check' dialog to all group members.",
    LUIE_STRING_LAM_SLASHCMDS_OUTFIT = "Enable Outfit ( '/outfit' )",
    LUIE_STRING_LAM_SLASHCMDS_OUTFIT_TP = "'/outfit' '#' Equip the outfit in the slot entered.",
    LUIE_STRING_LAM_SLASHCMDSHEADER_HOLIDAY = "Holiday XP Events Commands",
    LUIE_STRING_LAM_SLASHCMDS_CAKE = "Enable Anniversary Event XP Buff ( '/cake' )",
    LUIE_STRING_LAM_SLASHCMDS_CAKE_TP = "'/cake' Uses the Anniversary Event XP Buff Memento to activate/refresh the buff.\n\t\t\t\t\tAlternate options: '/anniversary'",
    LUIE_STRING_LAM_SLASHCMDS_PIE = "Enable Jester's Festival XP Buff ( '/pie' )",
    LUIE_STRING_LAM_SLASHCMDS_PIE_TP = "'/pie' Uses the Jester's Festival XP Buff Memento to activate/refresh the buff.\n\t\t\t\t\tAlternate options: '/jester'",
    LUIE_STRING_LAM_SLASHCMDS_MEAD = "Enable New Life Festival XP Buff ( '/mead' )",
    LUIE_STRING_LAM_SLASHCMDS_MEAD_TP = "'/mead' Uses the New Life Festival XP Buff Memento to activate/refresh the buff.\n\t\t\t\t\tAlternate options: '/newlife'",
    LUIE_STRING_LAM_SLASHCMDS_WITCH = "Enable The Witches Festival XP Buff ( '/witch' )",
    LUIE_STRING_LAM_SLASHCMDS_WITCH_TP = "'/witch' Uses the Witches Festival XP Buff Memento to activate/refresh the buff.\n\t\t\t\t\tAlternate options: '/witchfest'",
    LUIE_STRING_LAM_SLASHCMDS_REPORT = "Enable Report ( '/report' )",
    LUIE_STRING_LAM_SLASHCMDS_REPORT_TP = "'/report' 'name' Opens the report player window.",

    -- Module: Buffs & Debuffs
    LUIE_STRING_LAM_BUFF_ENABLEEFFECTSTRACK = "Buffs & Debuffs Module",
    LUIE_STRING_LAM_BUFF_HEADER_POSITION = "Display Options",
    LUIE_STRING_LAM_BUFF_HARDLOCK = "Hard-Lock Position to Unit Frames",
    LUIE_STRING_LAM_BUFF_HARDLOCK_TP = "Hard-Lock position of buff frames to health bar of unit frames (default or custom).",
    LUIE_STRING_LAM_BUFF_HARDLOCK_WARNING = "Will need to reload the UI.\nWhen this position is locked, you will not be able to move buff frames.",
    LUIE_STRING_LAM_BUFF_UNLOCKWINDOW = "Unlock Buffs Window",
    LUIE_STRING_LAM_BUFF_UNLOCKWINDOW_TP = "Unlock to drag buff icon frames. This will not unlock frames that are locked to the unit frames.",
    LUIE_STRING_LAM_BUFF_RESETPOSITION_TP = "This will reset position of all buff icon containers to the default position.",
    LUIE_STRING_LAM_BUFF_SHOWPLAYERBUFF = "Display PLAYER Buffs",
    LUIE_STRING_LAM_BUFF_SHOWPLAYERBUFF_TP = "Display buffs on the player.",
    LUIE_STRING_LAM_BUFF_SHOWPLAYERDEBUFF = "Display PLAYER Debuffs",
    LUIE_STRING_LAM_BUFF_SHOWPLAYERDEBUFF_TP = "Display debuffs on the player.",
    LUIE_STRING_LAM_BUFF_SHOWTARGETBUFF = "Display TARGET Buffs",
    LUIE_STRING_LAM_BUFF_SHOWTARGETBUFF_TP = "Display buffs on the target.",
    LUIE_STRING_LAM_BUFF_SHOWTARGETDEBUFF = "Display TARGET Debuffs",
    LUIE_STRING_LAM_BUFF_SHOWTARGETDEBUFF_TP = "Display debuffs on the target.",
    LUIE_STRING_LAM_BUFF_SHOWGROUNDBUFFDEBUFF = "Display GROUND Cast Timers",
    LUIE_STRING_LAM_BUFF_SHOWGROUNDBUFFDEBUFF_TP = "Display a buff timer for ground targeted damage and healing abilities you cast (Arrow Barrage, Wall of Elements, Cleansing Ritual, etc).",
    LUIE_STRING_LAM_BUFF_SHOW_GROUND_DAMAGE = "Display GROUND Damage/Healing",
    LUIE_STRING_LAM_BUFF_SHOW_GROUND_DAMAGE_TP = "Display a buff/debuff when you are standing in a hostile ground effect such as Arrow Barrage or a friendly ground effect such as Cleansing Ritual.",
    LUIE_STRING_LAM_BUFF_ADD_EXTRA_BUFFS = "Display Extra Buffs",
    LUIE_STRING_LAM_BUFF_ADD_EXTRA_BUFFS_TP = "Display extra icons for some buffs with major/minor auras that normally do not have tracking. This feature is intended to add extra icons for abilities such as Green Dragon Blood so they can be added to prominent auras and tracked.",
    LUIE_STRING_LAM_BUFF_EXTEND_EXTRA = "Extend Settings to Single Aura Effects",
    LUIE_STRING_LAM_BUFF_EXTEND_EXTRA_TP = "Enabling this will extend the settings for Extra Buffs to effects with only a single Major/Minor effect such as Blur, Shuffle, and Molten Weapons.",
    LUIE_STRING_LAM_BUFF_REDUCE = "Hide Duplicates in Paired Auras",
    LUIE_STRING_LAM_BUFF_REDUCE_TP = "Some abilities have multiple effects with the same duration, for example: Burning Talons applies an equivalent duration DoT & Snare effect. Enabling this will hide one of these icons for this ability and others like it, reducing the amount of pollution in the buff/debuff containers.",
    LUIE_STRING_LAM_BUFF_ALWAYS_SHARED_EFFECTS = "Always Show Useful Group Debuffs",
    LUIE_STRING_LAM_BUFF_ALWAYS_SHARED_EFFECTS_TP = "By default only debuffs applied by YOU will display - Enabling this option will also show useful group debuffs such as Stagger, Crushing, Alkosh, Tremorscale etc... even when they are not applied by you.",
    LUIE_STRING_LAM_BUFF_ALWAYS_MAJOR_MINOR_EFFECTS = "Always Show Major/Minor Debuffs",
    LUIE_STRING_LAM_BUFF_ALWAYS_MAJOR_MINOR_EFFECTS_TP = "By default only debuffs applied by YOU will display - Enabling this option will also show all Major/Minor debuffs on a target even if they are not sourced from the player.\n\nNote: It is recommended you leave this setting enabled. If you disable this setting and another player overrides one of your Major/Minor debuffs, the debuff will disappear.",
    LUIE_STRING_LAM_BUFF_ICON_HEADER = "Icon Options",
    LUIE_STRING_LAM_BUFF_ICONSIZE = "Buff Icon Size",
    LUIE_STRING_LAM_BUFF_ICONSIZE_TP = "Choose the size for buff icons.",
    LUIE_STRING_LAM_BUFF_SHOWREMAINTIMELABEL = "Display Remaining Time Label",
    LUIE_STRING_LAM_BUFF_SHOWREMAINTIMELABEL_TP = "Show text label with number of seconds left until the buff expires.",
    LUIE_STRING_LAM_BUFF_LABEL_POSITION_TP = "Adjust the vertical position of the buff countdown label.",
    LUIE_STRING_LAM_BUFF_FONT_TP = "Choose the font to use for the buff countdown label.",
    LUIE_STRING_LAM_BUFF_FONTSIZE_TP = "Choose the font size for the buff countdown label.",
    LUIE_STRING_LAM_BUFF_FONTSTYLE_TP = "Choose the font style for the buff countdown label.",
    LUIE_STRING_LAM_BUFF_LABELCOLOR_TP = "Set the color of text label to be the same as icon border or keep it white.",
    LUIE_STRING_LAM_BUFF_SHOWSECONDFRACTIONS = "Show Second Fractions",
    LUIE_STRING_LAM_BUFF_SHOWSECONDFRACTIONS_TP = 'Format remaining text labels as "12.3" or keep only seconds "12".',
    LUIE_STRING_LAM_BUFF_SHOWFRACTIONSTHRESHOLDVALUE = "Duration Threshold",    -- Note: This option is actually used in CombatInfo for Bar Highlight
    LUIE_STRING_LAM_BUFF_SHOWFRACTIONSTHRESHOLDVALUE_TP = "When an ability has a remaining duration lower than this value, show the timer with fractions.",
    LUIE_STRING_LAM_BUFF_SHOWFRACTIONSABOVETHRESHOLD = "Always Show Fractions", -- Note: This option is actually used in CombatInfo for Bar Highlight
    LUIE_STRING_LAM_BUFF_SHOWFRACTIONSABOVETHRESHOLD_TP = "Also show fractions no matter how long the duration of an ability is (ignore the threshold set above).",
    LUIE_STRING_LAM_BUFF_GLOWICONBORDER = "Display Glowing Border",
    LUIE_STRING_LAM_BUFF_GLOWICONBORDER_TP = "Display a context colored glow border around each buff or debuff icon.",
    LUIE_STRING_LAM_BUFF_SHOWBORDERCOOLDOWN = "Display Radial Countdown Border",
    LUIE_STRING_LAM_BUFF_SHOWBORDERCOOLDOWN_TP = "Display a context colored radial countdown border as the buff or debuff progresses in duration.",
    LUIE_STRING_LAM_BUFF_FADEEXPIREICON = "Fade Out Expiring Icons",
    LUIE_STRING_LAM_BUFF_FADEEXPIREICON_TP = "When a buff/debuff is about to expire, make the icon transparent.",

    LUIE_STRING_LAM_BUFF_SORTING_HEADER = "Alignment & Sorting Options",
    LUIE_STRING_LAM_BUFF_SORTING_NORMAL_HEADER = "Player/Target Buffs & Debuffs",
    LUIE_STRING_LAM_BUFF_SORTING_GENERIC_ALIGN = "<<1>> Alignment",
    LUIE_STRING_LAM_BUFF_SORTING_GENERIC_ALIGN_TP = "Set the alignment of icons in the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_HORIZONTAL_ALIGN = "<<1>> Horizontal Alignment",
    LUIE_STRING_LAM_BUFF_SORTING_HORIZONTAL_ALIGN_TP = "Set the horizontal alignment of icons in the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_VERTICAL_ALIGN = "<<1>> Vertical Alignment",
    LUIE_STRING_LAM_BUFF_SORTING_VERTICAL_ALIGN_TP = "Set the vertical alignment of icons in the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_SORT_GENERIC = "<<1>> Sorting",
    LUIE_STRING_LAM_BUFF_SORTING_SORT_GENERIC_TP = "Choose the direction icons are sorted in the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_STACK_GENERIC = "<<1>> Row Direction",
    LUIE_STRING_LAM_BUFF_SORTING_STACK_GENERIC_TP = "Choose the direction the <<1>> container will create the next row of Buffs/Debuffs when the first row is filled.",
    LUIE_STRING_LAM_BUFF_SORTING_WIDTH_GENERIC = "<<1>> Width",
    LUIE_STRING_LAM_BUFF_SORTING_WIDTH_GENERIC_TP = "Choose the width for the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_SORT_HORIZONTAL = "<<1>> Horizontal Sorting",
    LUIE_STRING_LAM_BUFF_SORTING_SORT_HORIZONTAL_TP = "Choose the horizontal direction icons are sorted in the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_SORT_VERTICAL = "<<1>> Vertical Sorting",
    LUIE_STRING_LAM_BUFF_SORTING_SORT_VERTICAL_TP = "Choose the vertical direction icons are sorted in the <<1>> container.",
    LUIE_STRING_LAM_BUFF_SORTING_UNANCHORED_HEADER = "Player/Target (Unachored Frames Only)",
    LUIE_STRING_LAM_BUFF_SORTING_UNANCHORED_DESCRIPTION = 'Customization options for the Player/Target Buff & Debuff Frames when the option to Anchor the Buff & Debuff Frames to custom player frames is disabled.\nNote: You can set the "Width" field to the lowest value to make the icons stack vertically.',
    LUIE_STRING_LAM_BUFF_SORTING_LONGTERM_HEADER = "Long Term Player Buffs",
    LUIE_STRING_LAM_BUFF_SORTING_PROMINET_HEADER = "Prominent Buffs & Debuffs",

    LUIE_STRING_LAM_BUFF_TOOLTIP_HEADER = "Tooltips",
    LUIE_STRING_LAM_BUFF_TOOLTIP_ENABLE = "Display Mouseover Tooltip Description",
    LUIE_STRING_LAM_BUFF_TOOLTIP_ENABLE_TP = "Display detailed tooltips when mousing over a buff or debuff icon.",
    LUIE_STRING_LAM_BUFF_TOOLTIP_CUSTOM = "Display Custom Tooltips",
    LUIE_STRING_LAM_BUFF_TOOLTIP_CUSTOM_TP = "Display custom LUIE Tooltips - this feature requires manual updates (right now it hasn't been updated for a couple years so some tooltips may be wrong).",
    LUIE_STRING_LAM_BUFF_TOOLTIP_STICKY = "Sticky Tooltip Duration",
    LUIE_STRING_LAM_BUFF_TOOLTIP_STICKY_TP = 'Set above 0 to delay tooltips from fading for "x" milliseconds.',
    LUIE_STRING_LAM_BUFF_TOOLTIP_ABILITY_ID = "Display AbilityId on Tooltip",
    LUIE_STRING_LAM_BUFF_TOOLTIP_ABILITY_ID_TP = "Display the AbilityId at the bottom of the tooltip.\nNote: This setting applies to the Active Effects window as well.",
    LUIE_STRING_LAM_BUFF_TOOLTIP_BUFF_TYPE = "Display Buff Type on Tooltip",
    LUIE_STRING_LAM_BUFF_TOOLTIP_BUFF_TYPE_TP = "Display the Buff Type at the bottom of the tooltip.\nNote: This setting applies to the Active Effects window as well.",
    LUIE_STRING_LAM_BUFF_LONGTERM_HEADER = "Long-Term Effect Filters",
    LUIE_STRING_LAM_BUFF_LONGTERM_SELF = "Show Long-term Effects for Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_SELF_TP = "Show Player icons for effects with duration greater than 2 minutes.",
    LUIE_STRING_LAM_BUFF_LONGTERM_TARGET = "Show Long-term Effects for Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_TARGET_TP = "Show Target icons for effects with duration greater than 2 minutes.",
    LUIE_STRING_LAM_BUFF_LONGTERM_SEPCTRL = "Use Separate Control for Player Effects",
    LUIE_STRING_LAM_BUFF_LONGTERM_SEPCTRL_TP = "Move Player effects icons for long-term effects into independent separate control.",
    LUIE_STRING_LAM_BUFF_LONGTERM_CONTAINER = "Container Orientation",
    LUIE_STRING_LAM_BUFF_LONGTERM_CONTAINER_TP = "Change orientation of long-term effects to Horizontal or Vertical tiling method.",
    LUIE_STRING_LAM_BUFF_LONGTERM_ASSISTANT = "Show Icon for Active Assistant (Player only)",
    LUIE_STRING_LAM_BUFF_LONGTERM_ASSISTANT_TP = "Set whether the active assitants will display an icon on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_DISGUISE = "Show Icon for Equipped Diguise (Player only)",
    LUIE_STRING_LAM_BUFF_LONGTERM_DISGUISE_TP = "Set whether the equipped disguises will display an icon on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_MOUNT_PLAYER = "Show Icon for Active Mount (Player only)",
    LUIE_STRING_LAM_BUFF_LONGTERM_MOUNT_PLAYER_TP = "Set whether to display an icon when the player is mounted.",
    LUIE_STRING_LAM_BUFF_LONGTERM_MOUNT_TARGET = "Show Icon for Active Mount on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_MOUNT_TARGET_TP = "Set whether to display an icon when the target is mounted.",
    LUIE_STRING_LAM_BUFF_LONGTERM_MOUNT_ICON = "Display Detailed Mount Info",
    LUIE_STRING_LAM_BUFF_LONGTERM_MOUNT_ICON_TP = "Display detailed info for the player mount. This will enable using the mount's specific icon, name, and tooltip instead of a generic buff.",
    LUIE_STRING_LAM_BUFF_LONGTERM_PET = "Show Icon for Active Non-Combat Pet (Player only)",
    LUIE_STRING_LAM_BUFF_LONGTERM_PET_TP = "Set whether the active Non-Combat Pet will display an icon on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_PET_ICON = "Display Detailed Pet Info",
    LUIE_STRING_LAM_BUFF_LONGTERM_PET_ICON_TP = "Display detailed info for the player pet. This will enable using the pet's specific icon, name, and tooltip instead of a generic buff",
    LUIE_STRING_LAM_BUFF_LONGTERM_MUNDUSPLAYER = "Show Mundus Boons on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_MUNDUSPLAYER_TP = "Set whether Mundus Stone boons are shown on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_MUNDUSTARGET = "Show Mundus Boons on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_MUNDUSTARGET_TP = "Set whether Mundus Stone boons are shown on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPSTAGEPLAYER = "Show Vampirism Stage on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPSTAGEPLAYER_TP = "Set whether to show the Vampirism stage buff on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPSTAGETARGET = "Show Vampirism Stage on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPSTAGETARGET_TP = "Set whether to show the Vampirism stage buff on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_LYCANPLAYER = "Show Lycanthrophy on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_LYCANPLAYER_TP = "Set whether to show the Lycanthrophy buff on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_LYCANTARGET = "Show Lycanthrophy on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_LYCANTARGET_TP = "Set whether to show the Lycanthrophy buff on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPWWPLAYER = "Show Vamp/Lycan Disease on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPWWPLAYER_TP = "Set whether to show the vampirism and lycanthropy precursor disease buffs on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPWWTARGET = "Show Vamp/Lycan Disease on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_VAMPWWTARGET_TP = "Set whether to show vampirism and lycanthropy precursor disease buffs on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_BITEPLAYER = "Show Vamp/Lycan Bite Timer on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_BITEPLAYER_TP = "Set whether to show the bite cooldown timers for vampirism/lycanthrophy on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_BITETARGET = "Show Vamp/Lycan Bite Timer on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_BITETARGET_TP = "Set whether to show the bite cooldown timers for vampirism/lycanthrophy on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_BSPIRITPLAYER = "Show Battle Spirit on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_BSPIRITPLAYER_TP = "Set whether the battle spirit buff will display on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_BSPIRITTARGET = "Show Battle Spirit on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_BSPIRITTARGET_TP = "Set whether the battle spirit buff will display on target.\nNote: This setting only applies in Cyrodiil.",
    LUIE_STRING_LAM_BUFF_LONGTERM_CYROPLAYER = "Show Cyrodiil Scroll Bonuses on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_CYROPLAYER_TP = "Set whether to display Cyrodiil Scroll bonus buffs on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_CYROTARGET = "Show Cyrodiil Scroll Bonuses on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_CYROTARGET_TP = "Set whether to display Cyrodiil Scroll bonus buffs on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_ESOPLUSPLAYER = "Show ESO Plus Member on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_ESOPLUSPLAYER_TP = "Set whether the ESO Plus Member buff is displayed on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_ESOPLUSTARGET = "Show ESO Plus Member on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_ESOPLUSTARGET_TP = "Set whether the ESO Plus Member buff is displayed on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_SOULSUMMONSPLAYER = "Show Soul Summons ICD on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_SOULSUMMONSPLAYER_TP = "Set whether to show Soul Summons internal cooldown buff on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_SOULSUMMONSTARGET = "Show Soul Summons ICD on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_SOULSUMMONSTARGET_TP = "Set whether to show Soul Summons internal cooldown buff on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_SETICDPLAYER = "Show Item Set ICDs (Player only)",
    LUIE_STRING_LAM_BUFF_LONGTERM_SETICDPLAYER_TP = "Set whether to show the iternal cooldown buff from the Eternal Warrior, Immortal Warrior, Juggernaut, Phoenix, and Sentry sets on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_ABILITYICDPLAYER = "Show Ability ICDs (Player only)",
    LUIE_STRING_LAM_BUFF_LONGTERM_ABILITYICDPLAYER_TP = "Set whether to show the iternal cooldown buff from the Expert Evasion and Slippery Champion abilities.",
    LUIE_STRING_LAM_BUFF_LONGTERM_FOODPLAYER = "Show Food & Drink Buffs on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_FOODPLAYER_TP = "Set whether to show food & drink buffs on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_FOODTARGET = "Show Food & Drink Buffs on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_FOODTARGET_TP = "Set whether to show food & drink buffs on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_EXPERIENCEPLAYER = "Show Experience Boost Buffs on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_EXPERIENCEPLAYER_TP = "Set whether to show experience boost buffs on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_EXPERIENCETARGET = "Show Experience Boost Buffs on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_EXPERIENCETARGET_TP = "Set whether to show experience boost buffs on target.",
    LUIE_STRING_LAM_BUFF_LONGTERM_ALLIANCEXPPLAYER = "Show Alliance Point Buffs on Player",
    LUIE_STRING_LAM_BUFF_LONGTERM_ALLIANCEXPPLAYER_TP = "Set whether to show Alliance Point boost buffs on player.",
    LUIE_STRING_LAM_BUFF_LONGTERM_ALLIANCEXPTARGET = "Show Alliance Point Buffs on Target",
    LUIE_STRING_LAM_BUFF_LONGTERM_ALLIANCEXPTARGET_TP = "Set whether to show Alliance Point boost buffs on target.",
    LUIE_STRING_LAM_BUFF_LONG_SHORT_HEADER = "Long & Short-Term Effect Options",
    LUIE_STRING_LAM_BUFF_MISC_HEADER = "Short-Term Effect Filters",
    LUIE_STRING_LAM_BUFF_SHORTTERM_SELF = "Show Short-term Effects for Player",
    LUIE_STRING_LAM_BUFF_SHORTTERM_SELF_TP = "Show Player icons for effects with duration less than 2 minutes.",
    LUIE_STRING_LAM_BUFF_SHORTTERM_TARGET = "Show Short-term Effects for Target",
    LUIE_STRING_LAM_BUFF_SHORTTERM_TARGET_TP = "Show Target icons for effects with duration less than 2 minutes.",
    --LUIE_STRING_LAM_BUFF_MISC_SHOWGALLOP =                   "Show Gallop (Player only)",
    --LUIE_STRING_LAM_BUFF_MISC_SHOWGALLOP_TP =                "Display special buff icon when player is mounted and galloping.",
    --LUIE_STRING_LAM_BUFF_MISC_SHOWSPRINT =                   "Show Sprint (Player only)",
    --LUIE_STRING_LAM_BUFF_MISC_SHOWSPRINT_TP =                "Display special buff icon when player is sprinting.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWREZZ = "Show Resurrection Immunity (Player only)",
    LUIE_STRING_LAM_BUFF_MISC_SHOWREZZ_TP = "Display special buff icon when player is immune to damage and effects during resurrection.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWRECALL = "Show Recall Cooldown (Player only)",
    LUIE_STRING_LAM_BUFF_MISC_SHOWRECALL_TP = "Display special buff icon when player has accumulated a wayshrine recall cost penalty.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWWEREWOLF = "Show Werewolf Buff Timer (Player only)",
    LUIE_STRING_LAM_BUFF_MISC_SHOWWEREWOLF_TP = "Display a special buff icon when the player is tranformed into Werewolf form.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWBLOCKPLAYER = "Show Block - Player",
    LUIE_STRING_LAM_BUFF_MISC_SHOWBLOCKPLAYER_TP = "Display special buff icon when player is holding block.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWBLOCKTARGET = "Show Block - Target",
    LUIE_STRING_LAM_BUFF_MISC_SHOWBLOCKTARGET_TP = "Display special buff icon when target is holding block.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWSTEALTHPLAYER = "Show Stealth - Player",
    LUIE_STRING_LAM_BUFF_MISC_SHOWSTEALTHPLAYER_TP = "Display special buff icon when player is hidden or in stealth.",
    LUIE_STRING_LAM_BUFF_MISC_SHOWSTEALTHTARGET = "Show Stealth - Target",
    LUIE_STRING_LAM_BUFF_MISC_SHOWSTEALTHTARGET_TP = "Display special buff icon when target is hidden or in stealth.",
    LUIE_STRING_LAM_BUFF_MISC_LOOTSHOWDISGUISEPLAYER = "Show Disguised - Player",
    LUIE_STRING_LAM_BUFF_MISC_LOOTSHOWDISGUISEPLAYER_TP = "Display special buff icon when player is in a relevant area and is actively disguised from enemies.",
    LUIE_STRING_LAM_BUFF_MISC_LOOTSHOWDISGUISETARGET = "Show Disguised - Target",
    LUIE_STRING_LAM_BUFF_MISC_LOOTSHOWDISGUISETARGET_TP = "Display special buff icon when target is in a relevant area and is actively disguised from enemies.",
    LUIE_STRING_LAM_BUFF_PRIORITY_HEADER = "Priority Buffs & Debuffs",
    LUIE_STRING_LAM_BUFF_PRIORITY_DESCRIPTION = "This whitelist allows you to display buffs or debuffs that are more important to use as a priority effect, changing the highlight color of the buff.",
    --LUIE_STRING_LAM_BUFF_PRIORITY_DIALOGUE_DESCRIPT = "Add priority buffs or debuffs by entering an AbilityId or AbilityName into the input field and pressing enter. Remove priority buffs or debuffs, by clicking the AbilityId or AbilityName from the dropdown list.",
    LUIE_STRING_LAM_BUFF_PRIORITY_BUFF_ADDLIST = "Add Priority Buff",
    LUIE_STRING_LAM_BUFF_PRIORITY_BUFF_ADDLIST_TP = "Add an abilityId or abilityName to the Priority Buffs list.",
    LUIE_STRING_LAM_BUFF_PRIORITY_BUFF_REMLIST = "Remove Priority Buff",
    LUIE_STRING_LAM_BUFF_PRIORITY_BUFF_REMLIST_TP = "Remove an abilityId or abilityName from the Priority Buffs list.",
    LUIE_STRING_LAM_BUFF_PRIORITY_DEBUFF_ADDLIST = "Add Priority Debuff",
    LUIE_STRING_LAM_BUFF_PRIORITY_DEBUFF_ADDLIST_TP = "Add an abilityId or abilityName to the Priority Debuffs list.",
    LUIE_STRING_LAM_BUFF_PRIORITY_DEBUFF_REMLIST = "Remove Priority Debuff",
    LUIE_STRING_LAM_BUFF_PRIORITY_DEBUFF_REMLIST_TP = "Remove an abilityId or abilityName from the Priority Debuffs list.",
    LUIE_STRING_LAM_BUFF_PROM_HEADER = "Prominent Buffs & Debuffs",
    LUIE_STRING_LAM_BUFF_PROM_DESCRIPTION = "This whitelist allows you to display important buffs and debuffs in separate containers with the addition of a label and progress bar.\n\nEligible Effects: Buffs on Player, Debuffs on Target, Ground Targeted Effects\n\nYou can add buffs and debuffs to EITHER container. For example if you'd like to track the duration of Hurricane with your other dots, you can add Hurricane to the Prominent Debuffs list.",
    LUIE_STRING_LAM_BUFF_PROM_LABEL = "Display Ability Name Label",
    LUIE_STRING_LAM_BUFF_PROM_LABEL_TP = "Toggle the display of a label next to prominent auras with the Ability Name.",
    LUIE_STRING_LAM_BUFF_PROM_FONTFACE = "Label Font Face",
    LUIE_STRING_LAM_BUFF_PROM_FONTFACE_TP = "Choose the font face for the prominent auras Ability Name label.",
    LUIE_STRING_LAM_BUFF_PROM_FONTSTYLE = "Label Font Style",
    LUIE_STRING_LAM_BUFF_PROM_FONTSTYLE_TP = "Choose the font style for the prominent auras Ability Name label.",
    LUIE_STRING_LAM_BUFF_PROM_FONTSIZE = "Label Font Size",
    LUIE_STRING_LAM_BUFF_PROM_FONTSIZE_TP = "Choose the font size for the prominent auras Ability Name label.",
    LUIE_STRING_LAM_BUFF_PROM_PROGRESSBAR = "Display Progress Bar",
    LUIE_STRING_LAM_BUFF_PROM_PROGRESSBAR_TP = "Toggle the display of a progress bar next to prominent auras.",
    LUIE_STRING_LAM_BUFF_PROM_PROGRESSBAR_TEXTURE = "Progress Bar Texture",
    LUIE_STRING_LAM_BUFF_PROM_PROGRESSBAR_TEXTURE_TP = "Choose a texture to use for the prominent aura progress bar.",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFF1 = "Buff Gradient Color (Start)",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFF1_TP = "Choose the start gradient color for the progress bar for prominent buffs.",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFF2 = "Buff Gradient Color (End)",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFF2_TP = "Choose the end gradient color for the progress bar for prominent buffs.",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFF1 = "Debuff Gradient Color (Start)",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFF1_TP = "Choose the start gradient color for the progress bar for prominent debuffs.",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFF2 = "Debuff Gradient Color (End)",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFF2_TP = "Choose the end gradient color for the progress bar for prominent debuffs.",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFFPRIORITY1 = "Priority Buff Gradient Color (Start)",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFFPRIORITY1_TP = "Choose the start gradient color for the progress bar for prominent buffs that are also added to the priority buffs list.",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFFPRIORITY2 = "Priority Buff Gradient Color (End)",
    LUIE_STRING_LAM_BUFF_PROM_COLORBUFFPRIORITY2_TP = "Choose the end gradient color for the progress bar for prominent buffs that are also added to the priority buffs list.",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFFPRIORITY1 = "Priority Debuff Gradient Color (Start)",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFFPRIORITY1_TP = "Choose the start gradient color for the progress bar for prominent debuffs that are also added to the priority debuffs list.",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFFPRIORITY2 = "Priority Debuff Gradient Color (End)",
    LUIE_STRING_LAM_BUFF_PROM_COLORDEBUFFPRIORITY2_TP = "Choose the end gradient color for the progress bar for prominent debuffs that are also added to the priority debuffs list.",
    LUIE_STRING_LAM_BUFF_PROM_BUFFCONTAINER = "Prominent Buff Orientation",
    LUIE_STRING_LAM_BUFF_PROM_BUFFCONTAINER_TP = "Change orientation of long-term effects to Horizontal or Vertical tiling method.",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFFCONTAINER = "Prominent Debuff Orientation",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFFCONTAINER_TP = "Change orientation of long-term effects to Horizontal or Vertical tiling method.",
    LUIE_STRING_LAM_BUFF_PROM_BUFFLABELDIRECTION = "Label & Progress Bar Orientation (Buffs)",
    LUIE_STRING_LAM_BUFF_PROM_BUFFLABELDIRECTION_TP = "Choose whether to display the Ability Name Label and Progress bar to the left or right of prominent buffs.",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFFLABELDIRECTION = "Label & Progress Bar Orientation (Debuffs)",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFFLABELDIRECTION_TP = "Choose whether to display the Ability Name Label and Progress bar to the left or right of prominent debuffs.",
    LUIE_STRING_LAM_BUFF_PROM_DIALOGUE_DESCRIPT = "Add prominent buffs or debuffs by entering an AbilityId or AbilityName into the input field and pressing enter. Remove prominent buffs or debuffs, by clicking the AbilityId or AbilityName from the dropdown list.",
    LUIE_STRING_LAM_BUFF_PRIORITY_DIALOGUE_DESCRIPT = "Add priority buffs or debuffs by entering an AbilityId or AbilityName into the input field and pressing enter. Remove priority buffs or debuffs, by clicking the AbilityId or AbilityName from the dropdown list.",
    LUIE_STRING_LAM_BUFF_PROM_BUFF_ADDLIST = "Add Prominent Buff",
    LUIE_STRING_LAM_BUFF_PROM_BUFF_ADDLIST_TP = "Add an abilityId or abilityName to the Prominent Buffs list.",
    LUIE_STRING_LAM_BUFF_PROM_BUFF_REMLIST = "Remove Prominent Buff",
    LUIE_STRING_LAM_BUFF_PROM_BUFF_REMLIST_TP = "Remove an abilityId or abilityName from the Prominent Buffs list.",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFF_ADDLIST = "Add Prominent Debuff",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFF_ADDLIST_TP = "Add an abilityId or abilityName to the Prominent Debuffs list.",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFF_REMLIST = "Remove Prominent Debuff",
    LUIE_STRING_LAM_BUFF_PROM_DEBUFF_REMLIST_TP = "Remove an abilityId or abilityName from the Prominent Debuffs list.",
    LUIE_STRING_LAM_BUFF_BLACKLIST_HEADER = "Buff & Debuff Blacklisting",
    LUIE_STRING_LAM_BUFF_BLACKLIST_DESCRIPT = "Add abilities to the Blacklist by entering an AbilityId or AbilityName into the input field and pressing enter. Remove abilities from the Blacklist by clicking the AbilityId or AbilityName from the dropdown list.",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADDLIST = "Add Ability to Blacklist",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADDLIST_TP = "Add an abilityId or abilityName to the blacklist.",
    LUIE_STRING_LAM_BUFF_BLACKLIST_REMLIST = "Remove Ability from Blacklist",
    LUIE_STRING_LAM_BUFF_BLACKLIST_REMLIST_TP = "Remove an abilityId or abilityName from the blacklist.",
    LUIE_STRING_LAM_BUFF_NORMALIZE_HEADER = "Icon Normalization Options",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MINOR_BUFF = "Add Minor Buffs",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MINOR_BUFF_TP = "Add all Minor Buffs (except Minor Courage, Slayer, and Aegis) to the blacklist.",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MAJOR_BUFF = "Add Major Buffs",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MAJOR_BUFF_TP = "Add all Major Buffs (except Major Berserk, Force, Protection, Courage, Slayer, and Aegis) to the blacklist.",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MINOR_DEBUFF = "Add Minor Debuffs",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MINOR_DEBUFF_TP = "Add all Minor Debuffs to the blacklist.",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MAJOR_DEBUFF = "Add Major Debuffs",
    LUIE_STRING_LAM_BUFF_BLACKLIST_ADD_MAJOR_DEBUFF_TP = "Add all Major Debuffs (except Major Maim and Vulnerability) to the blacklist.",
    LUIE_STRING_LAM_BUFF_COLOR_HEADER = "Color Options",
    LUIE_STRING_LAM_BUFF_COLOR_HEADER_BASIC = "Basic Color Options",
    LUIE_STRING_LAM_BUFF_COLOR_HEADER_UNBREAKABLE = "Unbreakable / Cosmetic Color Options",
    LUIE_STRING_LAM_BUFF_COLOR_HEADER_CROWD_CONTROL = "Crowd Control Color Options",
    LUIE_STRING_LAM_BUFF_COLOR_BUFF = "Buff Color",
    LUIE_STRING_LAM_BUFF_COLOR_BUFF_TP = "Choose the color to use for buffs.",
    LUIE_STRING_LAM_BUFF_COLOR_DEBUFF = "Debuff Color",
    LUIE_STRING_LAM_BUFF_COLOR_DEBUFF_TP = "Choose the color to use for debuffs.",
    LUIE_STRING_LAM_BUFF_COLOR_PRIORITYBUFF = "Priority Buff Color",
    LUIE_STRING_LAM_BUFF_COLOR_PRIORITYBUFF_TP = "Choose the color to use for priority buffs.",
    LUIE_STRING_LAM_BUFF_COLOR_PRIORITYDEBUFF = "Priority Debuff Color",
    LUIE_STRING_LAM_BUFF_COLOR_PRIORITYDEBUFF_TP = "Choose the color to use for priority debuffs.",
    LUIE_STRING_LAM_BUFF_COLOR_UNBREAKABLE_TOGGLE = "Enable Unbreakable Debuff Color",
    LUIE_STRING_LAM_BUFF_COLOR_UNBREAKABLE_TOGGLE_TP = "When enabled, debuffs that cannot be cleansed or removed through normal means will show with the border color selected below.",
    LUIE_STRING_LAM_BUFF_COLOR_UNBREAKABLE = "Unbreakable Debuff Color",
    LUIE_STRING_LAM_BUFF_COLOR_UNBREAKABLE_TP = "Choose the color to use for unbreakable debuffs.",
    LUIE_STRING_LAM_BUFF_COLOR_COSMETIC_TOGGLE = "Enable Cosmetic Buff Color",
    LUIE_STRING_LAM_BUFF_COLOR_COSMETIC_TOGGLE_TP = "When enabled, cosmetic buffs that have no other effects will display with the border color selected below.",
    LUIE_STRING_LAM_BUFF_COLOR_COSMETIC = "Cosmetic Buff Color",
    LUIE_STRING_LAM_BUFF_COLOR_COSMETIC_TP = "Choose the color to use for cosmetic buffs.",
    LUIE_STRING_LAM_BUFF_COLOR_BY_CC = "Color Debuffs by Crowd Control Type (WIP)",
    LUIE_STRING_LAM_BUFF_COLOR_BY_CC_TP = "When enabled, debuffs will be colored by their crowd control type.\n\nNote: This feature requires manual table data to update, so is VERY wip. In the future it will hopefully work for a least player applied debuffs.", -- TODO: Keep this note in mind
    LUIE_STRING_LAM_BUFF_COLOR_NOCC = "No CC Color",
    LUIE_STRING_LAM_BUFF_COLOR_NOCC_TP = "Choose the color to use for effects with no crowd control.",
    LUIE_STRING_LAM_BUFF_COLOR_STUN = "Stun/Knockdown Color",
    LUIE_STRING_LAM_BUFF_COLOR_STUN_TP = "Choose the color to use for effects that stun or knockdown.",
    LUIE_STRING_LAM_BUFF_COLOR_KNOCKBACK = "Knockback Color",
    LUIE_STRING_LAM_BUFF_COLOR_KNOCKBACK_TP = "Choose the color to use for effects that knockback.",
    LUIE_STRING_LAM_BUFF_COLOR_LEVITATE = "Pull/Levitate Color",
    LUIE_STRING_LAM_BUFF_COLOR_LEVITATE_TP = "Choose the color to use for effects that pull or levitate.",
    LUIE_STRING_LAM_BUFF_COLOR_DISORIENT = "Disorient Color",
    LUIE_STRING_LAM_BUFF_COLOR_DISORIENT_TP = "Choose the color to use for effects that disorient.",
    LUIE_STRING_LAM_BUFF_COLOR_FEAR = "Fear Color",
    LUIE_STRING_LAM_BUFF_COLOR_FEAR_TP = "Choose the color to use for effects that fear.",
    LUIE_STRING_LAM_BUFF_COLOR_STAGGER = "Stagger Color",
    LUIE_STRING_LAM_BUFF_COLOR_STAGGER_TP = "Choose the color to use for effects that stagger.",
    LUIE_STRING_LAM_BUFF_COLOR_SILENCE = "Silence Color",
    LUIE_STRING_LAM_BUFF_COLOR_SILENCE_TP = "Choose the color to use for effects that silence.",
    LUIE_STRING_LAM_BUFF_COLOR_SNARE = "Snare Color",
    LUIE_STRING_LAM_BUFF_COLOR_SNARE_TP = "Choose the color to use for effects that snare.",
    LUIE_STRING_LAM_BUFF_COLOR_ROOT = "Immobilize Color",
    LUIE_STRING_LAM_BUFF_COLOR_ROOT_TP = "Choose the color to use for effects that immobilize.",
    LUIE_STRING_LAM_BUFF_COLOR_CHARM = "Charm Color",
    LUIE_STRING_LAM_BUFF_COLOR_CHARM_TP = "Choose the color to use for effects that Charm.",

    -- Module: Chat Announcements
    LUIE_STRING_LAM_CA_ENABLE = "Chat Announcements Module",
    LUIE_STRING_LAM_CA_HEADER = "Chat Announcements Options",
    LUIE_STRING_LAM_CA_DESCRIPTION = "Displays announcements in chat for various events - with many customizable settings.",
    LUIE_STRING_LAM_CA_CHATHEADER = "Chat Message Settings",
    LUIE_STRING_LAM_CA_NAMEDISPLAYMETHOD = "Player Name Display Method",
    LUIE_STRING_LAM_CA_NAMEDISPLAYMETHOD_TP = "Determines the method used to display player names in Chat Announcements where applicable.\nDefault: Character Name",
    LUIE_STRING_LAM_CA_CHATTAB = "\t\t\t\t\tDisplay Chat Announcements in Chat Tab <<1>>",
    LUIE_STRING_LAM_CA_CHATTAB_TP = "Display Notifications & Chat Announcements in Chat Tab <<1>>.",
    LUIE_STRING_LAM_CA_CHATTABSYSTEMALL = "Display System Messages in ALL Tabs",
    LUIE_STRING_LAM_CA_CHATTABSYSTEMALL_TP = "When enabled: System Messages, Social Notifications (Group, Guild, Friends & Ignored List, Trade & Duels), Slash Command Notifications and Error Messages will display in all chat tabs.",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_CHARACTER = "Character/Account Name Brackets",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_CHARACTER_TP = "Choose whether or not to display [ ] brackets around character and account names.",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_ITEM = "Item Link Brackets",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_ITEM_TP = "Choose whether or not to display [ ] brackets around item links.",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_LOREBOOK = "Lorebook Brackets",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_LOREBOOK_TP = "Choose whether or not to display [ ] brackets around lorebooks.",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_COLLECTIBLE = "Collectible Brackets",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_COLLECTIBLE_TP = "Choose whether or not to display [ ] brackets around collectibles.",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_ACHIEVEMENT = "Achievement Brackets",
    LUIE_STRING_LAM_CA_BRACKET_OPTION_ACHIEVEMENT_TP = "Choose whether or not to display [ ] brackets around achievements.",
    LUIE_STRING_LAM_CA_CHATMETHOD = "Choose Chat Message Display Method",
    LUIE_STRING_LAM_CA_CHATMETHOD_TP = "Choose whether to print chat messages to all tabs or print to individual tabs.",
    LUIE_STRING_LAM_CA_CHATBYPASS = "Allow Addons to Modify LUIE Messages",
    LUIE_STRING_LAM_CA_CHATBYPASS_TP = "Enabling this will prevent LUIE from adding timestamps to messages and allow pChat/rChat or other chat addons to modify chat messages. When using pChat/rChat, these messages can be saved and restored on reload.\nNote: This option will only work on messages printed to all tabs.",
    LUIE_STRING_LAM_CA_TIMESTAMP = "Include Timestamp",
    LUIE_STRING_LAM_CA_TIMESTAMPFORMAT = "Timestamp Format",
    LUIE_STRING_LAM_CA_TIMESTAMPFORMAT_TP = "FORMAT:\nHH: hours (24)\nhh: hours (12)\nH: hour (24, no leading 0)\nh: hour (12, no leading 0)\nA: AM/PM\na: am/pm\nm: minutes\ns: seconds",
    LUIE_STRING_LAM_CA_TIMESTAMPCOLOR = "Timestamp Color",
    LUIE_STRING_LAM_CA_TIMESTAMPCOLOR_TP = "Color to use for Timestamp.\nDefault: 143/143/143",
    LUIE_STRING_LAM_CA_TIMESTAMP_TP = "Prepend printed text with current time label. This will apply to any messages sent by LUIE & System Messages but not player chat messages. Default color and format matches pChat.",
    LUIE_STRING_LAM_CA_SHARED_CA = "a Chat Announcement",
    LUIE_STRING_LAM_CA_SHARED_CA_SHORT = "CA",
    LUIE_STRING_LAM_CA_SHARED_CSA = "a Center Screen Announcement",
    LUIE_STRING_LAM_CA_SHARED_CSA_SHORT = "CSA",
    LUIE_STRING_LAM_CA_SHARED_ALERT = "an Alert",
    LUIE_STRING_LAM_CA_SHARED_ALERT_SHORT = "Alert",
    LUIE_STRING_LAM_CA_CURRENCY_HEADER = "Currency Announcements",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWICONS = "Display Currency Icons",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWICONS_TP = "Display an icon for the relative type of currency when a notification is printed.",
    LUIE_STRING_LAM_CA_CURRENCY_COLOR_CONTEXT = "Use Context Color for Loot & Currency Gain/Loss",
    LUIE_STRING_LAM_CA_CURRENCY_COLOR_CONTEXT_TP = "Color the currency/loot message depending on whether currency/loot was gained or lost.",
    LUIE_STRING_LAM_CA_CURRENCY_COLOR_CONTEXT_MERGED = "Use Generic Color for Merged Transactions",
    LUIE_STRING_LAM_CA_CURRENCY_COLOR_CONTEXT_MERGED_TP = 'By enabling this option along with "Merge Currency & Loot Messages" for Vendor Transactions, messages displayed for vendor transactions will use the neutral Currency/Loot Message Color above.',
    LUIE_STRING_LAM_CA_CURRENCY_COLOR = "Currency/Loot Message Color",
    LUIE_STRING_LAM_CA_CURRENCY_COLORDOWN = "Currency/Loot Loss Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_COLORUP = "Currency/Loot Gain Color",   -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_GOLD = "Display Gold Changes",          -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_GOLD_TP = "Print a context sensitive notification to chat when gold is gained or lost.",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDCOLOR = "Gold Color",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDNAME = "Gold Name", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_GOLDNAME_TP = "Name to display for Gold.\nDefault: <<1[Gold/Gold]>>",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTOTAL = "Display Total Gold Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTOTAL_TP = "Append the total amount of Gold after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTOTAL_MSG = "Total Gold Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTOTAL_MSG_TP = "Choose the syntax for the Total Gold message.\nDefault: Total Gold: %s",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTHRESHOLD = "Gold (Loot) - Filter Threshold",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTHRESHOLD_TP = "Gold looted below this value will not be displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTHROTTLE = "Combine gold looted from multiple sources",
    LUIE_STRING_LAM_CA_CURRENCY_GOLDTHROTTLE_TP = "When toggled on, gold looted from a group of bodies will combine into one value instead of showing individual values.",
    LUIE_STRING_LAM_CA_CURRENCY_HIDEGOLDAHLIST = "Hide Guild Trader Listing Fee",
    LUIE_STRING_LAM_CA_CURRENCY_HIDEGOLDAHLIST_TP = "Toggle this option to hide the display of the fee charged when listing items on a Guild Trader.\nThis is a useful if you are using an addon like Awesome Guild Store.",
    LUIE_STRING_LAM_CA_CURRENCY_HIDEGOLDAHSPENT = "Hide Guild Trader Purchases",
    LUIE_STRING_LAM_CA_CURRENCY_HIDEGOLDAHSPENT_TP = "Toggle this option to hide the display of gold spent on Guild Trader purchases.\nThis is a useful if you are using an addon like Awesome Guild Store.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAP = "Display Alliance Point Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAP_TP = "Print a context sensitive notification to chat when Alliance Points are earned or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPCOLOR = "Alliance Points Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPNAME = "Alliance Points Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPNAME_TP = "Name to display for Alliance Points.\nDefault: <<1[Alliance Point/Alliance Points]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPTOTAL = "Display Total Alliance Points Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPTOTAL_TP = "Append the total amount of Alliance Points after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_APTOTAL_MSG = "Total Alliance Points Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_APTOTAL_MSG_TP = "Choose the syntax for the Total Alliance Points message.\nDefault: Total AP: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPTHRESHOLD = "Alliance Points - Filter Threshold",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPTHRESHOLD_TP = "Alliance Points gained below this value will not be displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPTHROTTLE = "Alliance Points - Throttle",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWAPTHROTTLE_TP = "Setting this option higher than 0 will throttle the display of Alliance Points earned by X milliseconds.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTV = "Display Tel Var Stone Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTV_TP = "Print a context sensitive notification to chat when Tel Var Stones are gained or lost.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVCOLOR = "Tel Var Stones Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVNAME = "Tel Var Stones Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVNAME_TP = "Name to display for Tel Var Stones.\nDefault: <<1[Tel Var Stone/Tel Var Stones]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVTOTAL = "Display Total Tel Var Stones Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVTOTAL_TP = "Append the total amount of Tel Var Stones after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_TVTOTAL_MSG = "Total Tel Var Stones Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_TVTOTAL_MSG_TP = "Choose the syntax for the Total Tel Var Stones message.\nDefault: Total TV: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVTHRESHOLD = "Tel Var Stones - Filter Threshold",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVTHRESHOLD_TP = "Tel Var Stones looted below this value will not be displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVTHROTTLE = "Tel Var Stones - Throttle",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTVTHROTTLE_TP = "Setting this option higher than 0 will throttle the display of Tel Var Stones looted by X milliseconds.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHER = "Display Writ Voucher Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHER_TP = "Print a context sensitive notification to chat when Writ Vouchers are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHERCOLOR = "Writ Vouchers Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHERNAME = "Writ Vouchers Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHERNAME_TP = "Name to display for Writ Vouchers.\nDefault: <<1[Writ Voucher/Writ Vouchers]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHERTOTAL = "Display Total Writ Vouchers Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWVOUCHERTOTAL_TP = "Show total amount of Writ Vouchers after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_WVTOTAL_MSG = "Total Writ Vouchers Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_WVTOTAL_MSG_TP = "Choose the syntax for the Total Writ Vouchers message.\nDefault: Total Vouchers: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTE = "Display Transmute Crystal Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTE_TP = "Print a context sensitive notification to chat when Transmute Crystals are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTECOLOR = "Transmute Crystals Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTENAME = "Transmute Crystals Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTENAME_TP = "Name to display for Transmute Crystals.\nDefault: <<1[Transmute Crystal/Transmute Crystals]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTETOTAL = "Display Total Transmute Crystals Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTRANSMUTETOTAL_TP = "Show total amount of Transmute Crystals after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_TRANSMUTETOTAL_MSG = "Total Transmute Crystals Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_TRANSMUTETOTAL_MSG_TP = "Choose the syntax for the Total Transmute Crystals message.\nDefault: Total Crystals: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENT = "Display Event Ticket Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENT_TP = "Print a context sensitive notification to chat when Event Tickets are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENTCOLOR = "Event Tickets Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENTNAME = "Event Tickets Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENTNAME_TP = "Name to display for Event Tickets.\nDefault: <<1[Event Ticket/Event Tickets]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENTTOTAL = "Display Total Event Tickets Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWEVENTTOTAL_TP = "Show total amount of Event Tickets after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_EVENTTOTAL_MSG = "Total Event Tickets Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_EVENTTOTAL_MSG_TP = "Choose the syntax for the Total Event Tickets message.\nDefault: Total Tickets: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTED = "Display Undaunted Key Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTED_TP = "Print a context sensitive notification to chat when Undaunted Keys are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTEDCOLOR = "Undaunted Keys Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTEDNAME = "Undaunted Keys Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTEDNAME_TP = "Name to display for Undaunted Keys.\nDefault: <<1[Undaunted Key/Undaunted Keys]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTEDTOTAL = "Display Total Undaunted Keys Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWUNDAUNTEDTOTAL_TP = "Show total amount of Undaunted Keys after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_UNDAUNTEDTOTAL_MSG = "Total Undaunted Keys Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_UNDAUNTEDTOTAL_MSG_TP = "Choose the syntax for the Total Undaunted Keys message.\nDefault: Total Keys: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESS = "Display Archival Fortune Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESS_TP = "Print a context sensitive notification to chat when Archival Fortunes are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESSCOLOR = "Archival Fortunes Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESSNAME = "Archival Fortunes Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESSNAME_TP = "Name to display for Archival Fortunes.\nDefault: <<1[Archival Fortune/Archival Fortunes]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESSTOTAL = "Display Total Archival Fortunes Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDLESSTOTAL_TP = "Show total amount of Archival Fortunes after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_ENDLESSTOTAL_MSG = "Total Archival Fortunes Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_ENDLESSTOTAL_MSG_TP = "Choose the syntax for the Total Archival Fortunes message.\nDefault: Total Fortunes: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNS = "Display Crown Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNS_TP = "Print a context sensitive notification to chat when Crowns are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNSCOLOR = "Crowns Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNSNAME = "Crowns Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNSNAME_TP = "Name to display for Crowns.\nDefault: <<1[Crown/Crowns]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNSTOTAL = "Display Total Crowns Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNSTOTAL_TP = "Show total amount of Crowns after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_CROWNSTOTAL_MSG = "Total Crowns Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_CROWNSTOTAL_MSG_TP = "Choose the syntax for the Total Crowns message.\nDefault: Total Crowns: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMS = "Display Crown Gem Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMS_TP = "Print a context sensitive notification to chat when Crown Gems are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMSCOLOR = "Crown Gems Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMSNAME = "Crown Gems Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMSNAME_TP = "Name to display for Crown Gems.\nDefault: <<1[Crown Gem/Crown Gems]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMSTOTAL = "Display Total Crown Gems Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWCROWNGEMSTOTAL_TP = "Show total amount of Crown Gems after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_CROWNGEMSTOTAL_MSG = "Total Crown Gems Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_CROWNGEMSTOTAL_MSG_TP = "Choose the syntax for the Total Crown Gems message.\nDefault: Total Gems: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORS = "Display Seal of Endeavor Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORS_TP = "Print a context sensitive notification to chat when Seals of Endeavor are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORSCOLOR = "Seals of Endeavor Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORSNAME = "Seals of Endeavor Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORSNAME_TP = "Name to display for Seals of Endeavor.\nDefault: <<1[Seal of Endeavor/Seals of Endeavor]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORSTOTAL = "Display Total Seals of Endeavor Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWENDEAVORSTOTAL_TP = "Show total amount of Seals of Endeavor after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_ENDEAVORSTOTAL_MSG = "Total Seals of Endeavor Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_ENDEAVORSTOTAL_MSG_TP = "Choose the syntax for the Total Seals of Endeavor message.\nDefault: Total Seals: %s",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENS = "Display Outfit Style Token Changes",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENS_TP = "Print a context sensitive notification to chat when Outfit Style Tokens are rewarded or spent.",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENSCOLOR = "Outfit Style Tokens Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENSNAME = "Outfit Style Tokens Name",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENSNAME_TP = "Name to display for Outfit Style Tokens.\nDefault: <<1[Outfit Style Token/Outfit Style Tokens]>>",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENSTOTAL = "Display Total Outfit Style Tokens Suffix",
    LUIE_STRING_LAM_CA_CURRENCY_SHOWTOKENSTOTAL_TP = "Show total amount of Outfit Style Tokens after change is displayed.",
    LUIE_STRING_LAM_CA_CURRENCY_TOKENSTOTAL_MSG = "Total Outfit Style Tokens Syntax",
    LUIE_STRING_LAM_CA_CURRENCY_TOKENSTOTAL_MSG_TP = "Choose the syntax for the Total Outfit Style Tokens message.\nDefault: Total Tokens: %s",
    LUIE_STRING_LAM_CA_CURRENCY_CONTEXT_MENU = "Shared Currency/Loot Options",
    LUIE_STRING_LAM_CA_CURRENCY_CONTEXT_HEADER = "Context Messages",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_RECEIVE = "Receive",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_RECEIVE_TP = "Default: You receive %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LOOT = "Loot",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LOOT_TP = "Default: You loot %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EARN = "Earn",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EARN_TP = "Default: You earn %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SPEND = "Spend",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SPEND_TP = "Default: You spend %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_PAY = "Pay (NPC Conversation)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_PAY_TP = "Default: You pay %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_USEKIT = "Use (Repair Kit, Siege Repair, etc)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_USEKIT_TP = "Default: You use %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_POTION = "Use Potion",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_POTION_TP = "Default: You consume %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FOOD = "Use Food",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FOOD_TP = "Default: You eat %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DRINK = "Use Drink",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DRINK_TP = "Default: You drink %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPLOY = "Deploy (Siege)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPLOY_TP = "Default: You deploy %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STOW = "Stow (Siege)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STOW_TP = "Default: You stow %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FILLET = "Fillet (Fish)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FILLET_TP = "Default: You fillet %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LEARN_RECIPE = "Learn Recipe",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LEARN_RECIPE_TP = "Default: You learn how to craft %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LEARN_MOTIF = "Learn Motif",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LEARN_MOTIF_TP = "Default: You learn %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LEARN_STYLE = "Learn Style",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LEARN_STYLE_TP = "Default: You learn %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EXCAVATE = "Excavate",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EXCAVATE_TP = "Default: You excavate %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LOST = "Lose",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LOST_TP = "Default: You lose %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STEAL = "Steal",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STEAL_TP = "Default: You steal %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_PICKPOCKET = "Pickpocket",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_PICKPOCKET_TP = "Default: You pickpocket %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BOUNTY = "Bounty - Paid",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BOUNTY_TP = "Default: You pay off your bounty of %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CONFISCATE = "Bounty - Confiscated",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CONFISCATE_TP = "Default: A guard confiscates %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_REPAIR = "Repair",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_REPAIR_TP = "Default: You pay %s in repairs.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADER = "Guild Trader - Purchase",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADER_TP = "Default: You purchase an item from the guild trader for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LIST = "Guild Trader - List (Item)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LIST_TP = "Default: You list %s for sale.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LISTING = "Guild Trader - Listing Fee",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LISTING_TP = "Default: Listing fee of %s charged.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LISTING_VALUE = "Guild Trader - Listing (Combined)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LISTING_VALUE_TP = "Default: You list %s for sale for a %s fee.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEIN = "Trade (Incoming)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEIN_TP = "Default: You receive %s from %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEIN_NO_NAME = "Trade (Incoming) - No Name",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEIN_NO_NAME_TP = "This message only displays if there is an error resolving the trading player name.\nDefault: You receive %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEOUT = "Trade (Outgoing)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEOUT_TP = "Default: You trade %s to %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEOUT_NO_NAME = "Trade (Outgoing) - No Name",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TRADEOUT_NO_NAME_TP = "This message only displays if there is an error resolving the trading player name.\nDefault: You trade %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILIN = "Mail (Incoming)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILIN_TP = "Default: You receive mail with %s from %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILIN_NO_NAME = "Mail (Incoming) - No Name",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILIN_NO_NAME_TP = "This message only displays if there is an error resolving the mail sender name.\nDefault: You receive mail with %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILOUT = "Mail (Outgoing)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILOUT_TP = "Default: You mail %s to %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILOUT_NO_NAME = "Mail (Outgoing) - No Name",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILOUT_NO_NAME_TP = "This message only displays if there is an error resolving the mail recipient name.\nDefault: You mail %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILCOD = "Mail - COD Payment",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MAILCOD_TP = "Default: You send a COD payment of %s to %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_POSTAGE = "Mail - Postage",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_POSTAGE_TP = "Default: You pay %s in postage.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPOSIT = "Bank - Deposit",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPOSIT_TP = "Default: You deposit %s in your bank.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WITHDRAW = "Bank - Withdraw",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WITHDRAW_TP = "Default: You withdraw %s from your bank.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPOSITGUILD = "Guild Bank - Deposit",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPOSITGUILD_TP = "Default: You deposit %s in the guild bank.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPOSITSTORAGE = "Chest Storage - Deposit",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DEPOSITSTORAGE_TP = "Default: You deposit %s in storage.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WITHDRAWSTORAGE = "Chest Storage - Withdraw",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WITHDRAWSTORAGE_TP = "Default: You withdraw %s from storage.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WITHDRAWGUILD = "Guild Bank - Withdraw",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WITHDRAWGUILD_TP = "Default: You withdraw %s from the guild bank.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WAYSHRINE = "Wayshrine Fee",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_WAYSHRINE_TP = "Default: Wayshrine fee of %s charged.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_UNSTUCK = "Unstuck Fee",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_UNSTUCK_TP = "Default: Unstuck fee of %s charged.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STABLE = "Riding Upgrade",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STABLE_TP = "Default: You purchase %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STORAGE = "Storage Upgrade",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_STORAGE_TP = "Default: You purchase %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_ATTRIBUTES = "Respec - Attributes",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_ATTRIBUTES_TP = "Default: You make a donation of %s to redistribute your Attribute Points.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CHAMPION = "Respec - Champion Points",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CHAMPION_TP = "Default: You pay a fee of %s to redistribute your Champion Points.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MORPHS = "Respec - Skill Morphs",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MORPHS_TP = "Default: You make a donation of %s to redistribute your Skill Morphs.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SKILLS = "Respec - Skill Points",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SKILLS_TP = "Default: You make a donation of %s to redistribute your Skill Points.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CAMPAIGN = "Cyrodiil - Reset Home Campaign",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CAMPAIGN_TP = "Default: You spend %s to reset your home campaign.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUY = "Buy (No Value)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUY_TP = "Default: You purchase %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUY_VALUE = "Buy",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUY_VALUE_TP = "Default: You purchase %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUYBACK = "Buyback (No Value)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUYBACK_TP = "Default: You buyback %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUYBACK_VALUE = "Buyback",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUYBACK_VALUE_TP = "Default: You buyback %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SELL = "Sell (No Value)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SELL_TP = "Default: You sell %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SELL_VALUE = "Sell",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_SELL_VALUE_TP = "Default: You sell %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FENCE_VALUE = "Fence",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FENCE_VALUE_TP = "Default: You fence %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FENCE = "Fence (No Value)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_FENCE_TP = "Default: You fence %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LAUNDER_VALUE = "Launder",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LAUNDER_VALUE_TP = "Default: You launder %s for %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LAUNDER = "Launder (No Value)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LAUNDER_TP = "Default: You launder %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_USE = "Crafting - Use",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_USE_TP = "Default: You use %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CRAFT = "Crafting - Craft",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CRAFT_TP = "Default: You craft %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EXTRACT = "Crafting - Extract",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EXTRACT_TP = "Default: You extract %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_UPGRADE = "Crafting - Upgrade (Success)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_UPGRADE_TP = "Default: You upgrade %s to %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_UPGRADE_FAIL = "Crafting - Upgrade (Failure)",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_UPGRADE_FAIL_TP = "Default: You fail to upgrade %.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_REFINE = "Crafting - Refine",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_REFINE_TP = "Default: You refine %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DECONSTRUCT = "Crafting - Deconstruct",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DECONSTRUCT_TP = "Default: You deconstruct %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_RESEARCH = "Crafting - Research",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_RESEARCH_TP = "Default: You research %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DESTROY = "Destroyed",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DESTROY_TP = "Default: You destroy %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CONTAINER = "Container Emptied",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_CONTAINER_TP = "Default: You empty %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LOCKPICK = "Lockpick Broken",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_LOCKPICK_TP = "Default: Your %s breaks.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_REMOVE = "Item or Quest Item - Removed",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_REMOVE_TP = "Default: Removed %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TURNIN = "Quest Item - Turn In",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_TURNIN_TP = "Message to use when turning in quest items.\nDefault: You turn in %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTUSE = "Quest Item - Use",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTUSE_TP = "Message to use when using a quest item (e.g. using a stacked quest item on an object).\nDefault: You use %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EXHAUST = "Quest Item - Exhaust",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_EXHAUST_TP = "Message to use when exhausting a quest item (e.g. using all the charges).\nDefault: You exhaust %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_OFFER = "Quest Item - Offer",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_OFFER_TP = "Message to use when offering an NPC an item (e.g. giving them an invisibility potion).\nDefault: You offer %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISCARD = "Quest Item - Discard",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISCARD_TP = "Message to use when a quest item is effectively discarded (often for quest items removed sort of randomly or for notes or lists).\nDefault: You discard %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTOPEN = "Quest Item - Opened",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTOPEN_TP = "Message to use when a quest item is opened (a letter, a box, etc).\nDefault: You open %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTCONFISCATE = "Quest Item - Confiscated",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTCONFISCATE_TP = "Message to use when a quest item is confiscated/unwillingly taken by an NPC.\nDefault: %s confiscated.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTADMINISTER = "Quest Item - Administered",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTADMINISTER_TP = "Message to use when a quest item is administered (potion/antidote/food etc given to an NPC).\nDefault: You administer %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTPLACE = "Quest Item - Placed",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_QUESTPLACE_TP = "Message to use when a quest item is placed (in a socket, on a pedastel etc).\nDefault: You place %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_COMBINE = "Quest Item - Combine",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_COMBINE_TP = "Message to use when combining components to craft another quest item.\nDefault: You combine %s to make %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MIX = "Quest Item - Mix",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_MIX_TP = "Message to use when mixing quest items to make another quest item.\nDefault: You mix %s to make %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUNDLE = "Quest Item - Bundle",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_BUNDLE_TP = "Message to use when you bundle a bunch of quest items into one item (i.e. a box of relics).\nDefault: You bundle the %s together.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_GROUP = "Group Member Loot",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_GROUP_TP = "Default: %s loots %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISGUISE_EQUIP = "Disguise - Equipped",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISGUISE_EQUIP_TP = "Default: You equip %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISGUISE_REMOVE = "Disguise - Removed",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISGUISE_REMOVE_TP = "Default: You unequip %s.",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISGUISE_DESTROY = "Disguise - Destroyed",
    LUIE_STRING_LAM_CA_CURRENCY_MESSAGE_DISGUISE_DESTROY_TP = "Default: Your %s is destroyed.",
    LUIE_STRING_LAM_CA_LOOT_HEADER = "Loot Announcements",
    LUIE_STRING_LAM_CA_LOOT_SHOWICONS = "Display Item Icons",
    LUIE_STRING_LAM_CA_LOOT_SHOWICONS_TP = "Display an icon for items logged.",
    LUIE_STRING_LAM_CA_LOOT_SHOWARMORTYPE = "Display Item Armor Type",
    LUIE_STRING_LAM_CA_LOOT_SHOWARMORTYPE_TP = "Display the armor type of relevant items logged.",
    LUIE_STRING_LAM_CA_LOOT_SHOWITEMSTYLE = "Display Item Style",
    LUIE_STRING_LAM_CA_LOOT_SHOWITEMSTYLE_TP = "Display the style of relevant items logged.",
    LUIE_STRING_LAM_CA_LOOT_SHOWITEMTRAIT = "Display Item Trait",
    LUIE_STRING_LAM_CA_LOOT_SHOWITEMTRAIT_TP = "Display the trait of relevant items logged.",
    LUIE_STRING_LAM_CA_LOOT_TOTAL = "Display Total Items Suffix",
    LUIE_STRING_LAM_CA_LOOT_TOTAL_TP = "Append the total count of an item after an item is logged.",
    LUIE_STRING_LAM_CA_LOOT_TOTALSTRING = "Total Items Syntax",
    LUIE_STRING_LAM_CA_LOOT_TOTALSTRING_TP = "Choose the syntax for the Total Items message.\nDefault: New Total:",
    LUIE_STRING_LAM_CA_LOOT_SHOWITEMS = "Display Items - Looted",
    LUIE_STRING_LAM_CA_LOOT_SHOWITEMS_TP = "Print a message to chat when items are looted from corpses, containers, pickpocketing, and quest rewards.",
    LUIE_STRING_LAM_CA_LOOT_LOOTLOGDISABLE = "Hide Loot When Loot Log Is Enabled",
    LUIE_STRING_LAM_CA_LOOT_LOOTLOGDISABLE_TP = "Disables the display of looted items if you are using the addon Loot Log.",
    LUIE_STRING_LAM_CA_LOOT_SHOWNOTABLE = "Display ONLY Notable Loot",
    LUIE_STRING_LAM_CA_LOOT_SHOWNOTABLE_TP = "Only display notable items looted (Any set items, any purple+ items, any blue+ special items).",
    LUIE_STRING_LAM_CA_LOOT_SHOWGRPLOOT = "Display Group Members Notable Loot",
    LUIE_STRING_LAM_CA_LOOT_SHOWGRPLOOT_TP = "Also display the notable loot group members receive (Any set items, any purple+ items, any blue+ special items).",
    LUIE_STRING_LAM_CA_LOOT_HIDEANNOYINGITEMS = "Hide Annoying Notable Items",
    LUIE_STRING_LAM_CA_LOOT_HIDEANNOYINGITEMS_TP = "Don't display annoying notable items looted (Laurels, Malachite Shards, Undaunted Plunder, Mercenary Motif Pages, etc...).",
    LUIE_STRING_LAM_CA_LOOT_HIDEANNOYINGITEMS_WARNING = "This prevents chat spam in large groups.",
    LUIE_STRING_LAM_CA_LOOT_HIDETRASH = "Hide Trash Quality Items",
    LUIE_STRING_LAM_CA_LOOT_HIDETRASH_TP = "Don't display trash quality items looted.",
    LUIE_STRING_LAM_CA_LOOT_LOOTCONFISCATED = "Display Item Loss - Confiscated Items",
    LUIE_STRING_LAM_CA_LOOT_LOOTCONFISCATED_TP = "Display a message when items are confiscated by a guard.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWDESTROYED = "Display Item Loss - Destroyed Items",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWDESTROYED_TP = "Display a message when an item is destroyed.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWREMOVED = "Display Item Loss - Removed Items",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWREMOVED_TP = "Display a message when an item is removed by events (an example would be relinquishing the Prismatic Blade in the Fighter's Guild Quests).",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWLIST = "Display Items Listed on Guild Store",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWLIST_TP = "Display a message when you list an item for sale on a guild trader.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWTURNIN = "Display Item Loss - Quest Turnin",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWTURNIN_TP = "Display a message when an item is turned in for a quest (writ quests being the most prime example).",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_POTION = "Display Item Loss - Potion Used",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_POTION_TP = "Display a message when you consume a potion.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_FOOD = "Display Item Loss - Food Used",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_FOOD_TP = "Display a message when you consume food.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_DRINK = "Display Item Loss - Drink Used",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_DRINK_TP = "Display a message when you consume a drink.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_REPAIR_KIT = "Display Item Loss - Repair Kit Used",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_REPAIR_KIT_TP = "Display a message when you use a repair kit or Siege Repair Kit.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_SOUL_GEM = "Display Item Loss - Soul Gem Used",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_SOUL_GEM_TP = "Display a message when you use a soul gem.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_SIEGE = "Display Item Loss - Siege Deployed",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_SIEGE_TP = "Display a message when you deploy a siege weapon.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_FISH = "Display Item Loss - Fillet Fish",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_FISH_TP = "Display a message when you fillet a fish.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_MISC = "Display Item Loss - Misc Items Used",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWUSE_MISC_TP = "Display a message when a misc item is used such as Keep Recall Stones and items like Arena Gladiator's Exultation.",
    LUIE_STRING_LAM_CA_LOOT_LOOTRECIPE = "Display Recipe Learned",
    LUIE_STRING_LAM_CA_LOOT_LOOTRECIPE_TP = "Display a message when you learn a food, drink, or furniture crafting recipe.",
    LUIE_STRING_LAM_CA_LOOT_LOOTMOTIF = "Display Motif Learned",
    LUIE_STRING_LAM_CA_LOOT_LOOTMOTIF_TP = "Display a message when you learn a motif book or page.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSTYLE = "Displayed Style Learned",
    LUIE_STRING_LAM_CA_LOOT_LOOTSTYLE_TP = "Display a message when you learn a style page.",
    LUIE_STRING_LAM_CA_LOOT_HIDE_RECIPE_ALERT = "Hide Default Recipe/Motif/Style Alerts",
    LUIE_STRING_LAM_CA_LOOT_HIDE_RECIPE_ALERT_TP = "Hide alerts for any of options enabled above. If an option above isn't enabled then the alert for that type won't be hidden.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWCONTAINER = "Display Item Loss - Container Empty",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWCONTAINER_TP = "Display a message when you empty all the items from a container in your inventory and it is removed.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWLOCKPICK = "Display Item Loss - Lockpick Break",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWLOCKPICK_TP = "Display a message when a lockpick is broken from attempting to pick or forcing a lock open.",
    LUIE_STRING_LAM_CA_LOOT_SHOWVENDOR = "Display Items - Vendor Transactions",
    LUIE_STRING_LAM_CA_LOOT_SHOWVENDOR_TP = "Print a message to chat when items are purchased or sold at a vendor.",
    LUIE_STRING_LAM_CA_LOOT_SHOWQUESTADD = "Display Quest Items Looted",
    LUIE_STRING_LAM_CA_LOOT_SHOWQUESTADD_TP = "Display a message when a quest item is looted or received.",
    LUIE_STRING_LAM_CA_LOOT_SHOWQUESTREM = "Display Quest Items Removed",
    LUIE_STRING_LAM_CA_LOOT_SHOWQUESTREM_TP = "Display a message when a quest item is used or removed.",
    LUIE_STRING_LAM_CA_LOOT_VENDOR_MERGE = "Merge Currency & Loot Messages",
    LUIE_STRING_LAM_CA_LOOT_VENDOR_MERGE_TP = "Combine the individual item purchase message and currency change message into one line.",
    LUIE_STRING_LAM_CA_LOOT_VENDOR_TOTALITEMS = "Display Total Items on Transactions",
    LUIE_STRING_LAM_CA_LOOT_VENDOR_TOTALITEMS_TP = "Toggle the display of the total count of items on a vendor transaction.",
    LUIE_STRING_LAM_CA_LOOT_VENDOR_TOTALCURRENCY = "Display Total Currency on Transactions",
    LUIE_STRING_LAM_CA_LOOT_VENDOR_TOTALCURRENCY_TP = "Toggle the display of the total currency on a vendor transaction.",
    LUIE_STRING_LAM_CA_LOOT_SHOWBANK = "Display Items - Banking & Storage",
    LUIE_STRING_LAM_CA_LOOT_SHOWBANK_TP = "Print a message to chat when items are deposited or withdrawn from a bank or guild bank.",
    LUIE_STRING_LAM_CA_LOOT_SHOWCRAFT = "Display Items - Crafting",
    LUIE_STRING_LAM_CA_LOOT_SHOWCRAFT_TP = "Print a message to chat when items are received, lost, or upgraded from crafting.",
    LUIE_STRING_LAM_CA_LOOT_SHOWCRAFT_MATERIALS = "Display Materials Used",
    LUIE_STRING_LAM_CA_LOOT_SHOWCRAFT_MATERIALS_TP = "Toggle the display of materials used by crafting.",
    LUIE_STRING_LAM_CA_LOOT_SHOWMAIL = "Display Items - Mail",
    LUIE_STRING_LAM_CA_LOOT_SHOWMAIL_TP = "Print a message to chat when items are received or sent in the mail.",
    LUIE_STRING_LAM_CA_LOOT_SHOWTRADE = "Display Items - Trade",
    LUIE_STRING_LAM_CA_LOOT_SHOWTRADE_TP = "Print a message to chat when items are received or lost in a trade.",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWDISGUISE = "Show Disguise equip/unequip message",
    LUIE_STRING_LAM_CA_LOOT_LOOTSHOWDISGUISE_TP = "Print a message to chat when a disguise is equipped or unequipped.",
    LUIE_STRING_LAM_CA_EXP_HEADER = "Experience/Skill Announcements",
    LUIE_STRING_LAM_CA_EXP_HEADER_ENLIGHTENED = "Enlightenment",
    LUIE_STRING_LAM_CA_EXP_ENLIGHTENED = "Display Enlightenment - <<1>>",
    LUIE_STRING_LAM_CA_EXP_ENLIGHTENED_TP = "Display <<1>> when you are enlightened or no longer enlightened.",
    LUIE_STRING_LAM_CA_EXP_HEADER_LEVELUP = "Level Up",
    LUIE_STRING_LAM_CA_EXP_LEVELUP = "Display Level Up - <<1>>",
    LUIE_STRING_LAM_CA_EXP_LEVELUP_TP = "Display <<1>> when you level up or earn a Champion Point.",
    LUIE_STRING_LAM_CA_EXP_LEVELUP_CSAEXPAND = "Display Expanded Level Up CSA",
    LUIE_STRING_LAM_CA_EXP_LEVELUP_CSAEXPAND_TP = "Adds subtext to the Center Screen Announcement for level up that displays the level attained.",
    LUIE_STRING_LAM_CA_EXP_LVLUPICON = "Display Level Icon on Level Up",
    LUIE_STRING_LAM_CA_EXP_LVLUPICON_TP = "Toggle the display of the normal level/champion point icon when you level up or earn a Champion point.",
    LUIE_STRING_LAM_CA_EXP_COLORLVLBYCONTEXT = "Color Level by Context",
    LUIE_STRING_LAM_CA_EXP_COLORLVLBYCONTEXT_TP = "Colors the current level text to match the current level or champion point context color.",
    LUIE_STRING_LAM_CA_EXPERIENCE_LEVELUP_COLOR = "Level Up Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_EXP_HEADER_EXPERIENCEGAIN = "Experience Points",
    LUIE_STRING_LAM_CA_EXP_SHOWEXPGAIN = "Display Experience Gain",
    LUIE_STRING_LAM_CA_EXP_SHOWEXPGAIN_TP = "Print a message to chat when Experience Points are earned.",
    LUIE_STRING_LAM_CA_EXP_SHOWEXPICON = "Display Experience Icon",
    LUIE_STRING_LAM_CA_EXP_SHOWEXPICON_TP = "Toggle the display of the Experience Points icon.",
    LUIE_STRING_LAM_CA_EXP_MESSAGE = "Experience Gain Message Format",
    LUIE_STRING_LAM_CA_EXP_MESSAGE_TP = "Message format for experience gain.\nDefault: You earn %s.",
    LUIE_STRING_LAM_CA_EXP_NAME = "Experience Points Name",
    LUIE_STRING_LAM_CA_EXP_NAME_TP = "Name to use for Experience Points.\nDefault: experience <<1[point/points]>>",
    LUIE_STRING_LAM_CA_EXPERIENCE_COLORMESSAGE = "Experience Gain Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_EXPERIENCE_COLORNAME = "Experience Points Name Color",     -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_EXP_EXPGAINCONTEXTNAME = "Context Name for Experience Gain",
    LUIE_STRING_LAM_CA_EXP_EXPGAINCONTEXTNAME_TP = 'This option is intended to offer contrast from currency and loot messages since experience gain is not context sensitive.\nDefault: "[Earned]"',
    LUIE_STRING_LAM_CA_EXP_EXPGAINDISPLAYNAME = "Display Name for Experience Gain",
    LUIE_STRING_LAM_CA_EXP_EXPGAINDISPLAYNAME_TP = 'Name to post in chat when experience is earned.\nDefault: "XP"',
    LUIE_STRING_LAM_CA_EXP_HIDEEXPKILLS = "Hide Experience from Kills",
    LUIE_STRING_LAM_CA_EXP_HIDEEXPKILLS_TP = "Toggle this option on to only report experience gain in chat from non-combat sources.",
    LUIE_STRING_LAM_CA_EXP_EXPGAINTHRESHOLD = "Combat Experience Gain - Filter Threshold",
    LUIE_STRING_LAM_CA_EXP_EXPGAINTHRESHOLD_TP = "Experience Points earned from kills below this value will not be displayed.",
    LUIE_STRING_LAM_CA_EXP_THROTTLEEXPINCOMBAT = "Combat Experience Gain - Throttle",
    LUIE_STRING_LAM_CA_EXP_THROTTLEEXPINCOMBAT_TP = "Setting this option higher than 0 allows you to throttle Experience Points earned by X milliseconds.",
    LUIE_STRING_LAM_CA_EXP_HEADER_SKILL_POINTS = "Skill Points",
    LUIE_STRING_LAM_CA_SKILLPOINT_UPDATED = "Display Skill Points Earned - <<1>>",
    LUIE_STRING_LAM_CA_SKILLPOINT_UPDATED_TP = "Display <<1>>> when a Skill Point is earned from leveling up, quests, or skyshards.",
    LUIE_STRING_LAM_CA_SKILLPOINT_COLOR1 = "Skyshard Message Color",     -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_SKILLPOINT_COLOR2 = "Skill Points Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_SKILLPOINT_PARTIALPREFIX = "Skyshard Absorbed Message",
    LUIE_STRING_LAM_CA_SKILLPOINT_PARTIALPREFIX_TP = "When a Skyshard is absorbed this prefix message will be displayed.\nDefault: Skyshard Absorbed",
    LUIE_STRING_LAM_CA_SKILLPOINT_PARTIALBRACKET = "Skyshard Separator Bracket",
    LUIE_STRING_LAM_CA_SKILLPOINT_PARTIALBRACKET_TP = "When a Skyshard is absorbed this bracket will encompass the prefix message when skill points (or partial skill points) are earned.",
    LUIE_STRING_LAM_CA_SKILLPOINT_UPDATEDPARTIAL = "Display Partial Skill Points",
    LUIE_STRING_LAM_CA_SKILLPOINT_UPDATEDPARTIAL_TP = 'Display "Pieces Collected x/3" when a Skyshard is absorbed.',
    LUIE_STRING_LAM_CA_EXP_HEADER_SKILL_LINES = "Skill Lines",
    LUIE_STRING_LAM_CA_SKILL_LINE_UNLOCKED = "Display Skill Line Unlocked - <<1>>",
    LUIE_STRING_LAM_CA_SKILL_LINE_UNLOCKED_TP = "Display <<1>> when a Skill Line is unlocked.",
    LUIE_STRING_LAM_CA_SKILL_LINE_PROGRESS = "Display Skill Line Progression - <<1>>",
    LUIE_STRING_LAM_CA_SKILL_LINE_PROGRESS_TP = "Display <<1>> when a Skill Line levels up.",
    LUIE_STRING_LAM_CA_SKILL_LINE_ABILITY = "Display Ability Progression - <<1>>",
    LUIE_STRING_LAM_CA_SKILL_LINE_ABILITY_TP = "Display <<1>> when an Ability levels up.",
    LUIE_STRING_LAM_CA_SKILL_LINE_ICON = "Display Skill Line Icon",
    LUIE_STRING_LAM_CA_SKILL_LINE_ICON_TP = "Display the relevant icon for unlocked Skill Lines.",
    LUIE_STRING_LAM_CA_SKILL_LINE_COLOR = "Skill/Ability Progression Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_EXP_HEADER_GUILDREP = "Guild Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_ICON = "Display Guild Icon",
    LUIE_STRING_LAM_CA_GUILDREP_ICON_TP = "Display the relevant guild icon when Guild Reputation is earned.",
    LUIE_STRING_LAM_CA_GUILDREP_MESSAGECOLOR = "Guild Reputation Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_GUILDREP_MESSAGEFORMAT = "Guild Reputation Message Format",
    LUIE_STRING_LAM_CA_GUILDREP_MESSAGEFORMAT_TP = "Message format for Guild Reputation earned.\nDefault: You earn %s",
    LUIE_STRING_LAM_CA_GUILDREP_MESSAGENAME = "Guild Reputation Points Name",
    LUIE_STRING_LAM_CA_GUILDREP_MESSAGENAME_TP = "Name to use for Guild Reputation.\nDefault: <<1[reputation/reputation]>>",
    LUIE_STRING_LAM_CA_GUILDREP_FG = "Display Fighters Guild Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_FG_TP = "Display Guild Reputation earned with the Fighters Guild.",
    LUIE_STRING_LAM_CA_GUILDREP_FG_COLOR = "Fighters Guild Color",
    LUIE_STRING_LAM_CA_GUILDREP_THRESHOLD = "Fighters Guild - Filter Threshold",
    LUIE_STRING_LAM_CA_GUILDREP_THRESHOLD_TP = "Fighters Guild Reputation earned from kills below this value will not be displayed.",
    LUIE_STRING_LAM_CA_GUILDREP_THROTTLE = "Fighters Guild - Throttle",
    LUIE_STRING_LAM_CA_GUILDREP_THROTTLE_TP = "Setting this option higher than 0 allows you to throttle Fighters Guild Reputation earned by X milliseconds.",
    LUIE_STRING_LAM_CA_GUILDREP_MG = "Display Mages Guild Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_MG_TP = "Display Guild Reputation earned with the Mages Guild.",
    LUIE_STRING_LAM_CA_GUILDREP_MG_COLOR = "Mages Guild Color",
    LUIE_STRING_LAM_CA_GUILDREP_UD = "Display Undaunted Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_UD_TP = "Display Guild Reputation earned with the Undaunted.",
    LUIE_STRING_LAM_CA_GUILDREP_UD_COLOR = "Undaunted Color",
    LUIE_STRING_LAM_CA_GUILDREP_TG = "Display Thieves Guild Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_TG_TP = "Display Guild Reputation earned with the Thieves Guild.",
    LUIE_STRING_LAM_CA_GUILDREP_TG_COLOR = "Thieves Guild Color",
    LUIE_STRING_LAM_CA_GUILDREP_DB = "Display Dark Brotherhood Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_DB_TP = "Display Guild Reputation earned with the Dark Brotherhood Guild.",
    LUIE_STRING_LAM_CA_GUILDREP_DB_COLOR = "Dark Brotherhood Color",
    LUIE_STRING_LAM_CA_GUILDREP_PO = "Display Psijic Order Reputation",
    LUIE_STRING_LAM_CA_GUILDREP_PO_TP = "Display Guild Reputation earned with the Psijic Order Guild.",
    LUIE_STRING_LAM_CA_GUILDREP_PO_COLOR = "Psijic Order Color",
    LUIE_STRING_LAM_CA_GUILDREP_ALERT = "Display Guild Reputation Alert",
    LUIE_STRING_LAM_CA_GUILDREP_ALERT_TP = "When enabled, display a basic alert for any Guilds that are selected above indicating reputation has increased. ",
    LUIE_STRING_LAM_CA_COLLECTIBLE_HEADER = "Collectible/Lorebooks Announcements",
    LUIE_STRING_LAM_CA_COLLECTIBLE_COL_HEADER = "Collectibles Unlocked",
    LUIE_STRING_LAM_CA_COLLECTIBLE_ENABLE = "Display Collectible Unlocked - <<1>>",
    LUIE_STRING_LAM_CA_COLLECTIBLE_ENABLE_TP = "Display <<1>> when a Collectible is unlocked.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_ICON = "Display Collectible Icon",
    LUIE_STRING_LAM_CA_COLLECTIBLE_ICON_TP = "Display an icon for the relevant Collectible unlocked.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_COLOR_ONE = "Collectible Prefix Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_COLLECTIBLE_COLOR_TWO = "Collectible Message Color",        -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_COLLECTIBLE_MESSAGEPREFIX = "Collectible Prefix Message",
    LUIE_STRING_LAM_CA_COLLECTIBLE_MESSAGEPREFIX_TP = "Enter the prefix message that will display before the Collectible unlocked.\nDefault: Collection Updated",
    LUIE_STRING_LAM_CA_COLLECTIBLE_BRACKET = "Collectible Prefix Bracket",
    LUIE_STRING_LAM_CA_COLLECTIBLE_BRACKET_TP = "This bracket will encompass the prefix message when a Collectible is unlocked.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_CATEGORY = "Display Collectible Category",
    LUIE_STRING_LAM_CA_COLLECTIBLE_CATEGORY_TP = "Append the Collectible unlocked message with the category it was added to.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_SUBCATEGORY = "Display Collectible Subcategory",
    LUIE_STRING_LAM_CA_COLLECTIBLE_SUBCATEGORY_TP = "Append the Collectible unlocked message with the subcategory it was added to.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_HEADER = "Collectible Usage",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_CATEGORY = "Track '<<1>>' Collectibles",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_CATEGORY_TP = "Enables tracking for Collectibles in the <<1>> category.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_ENABLE = "Display Collectible Used - <<1>>",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_ENABLE_TP = "Display <<1>> when a Collectible is used.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_PET_NICKNAME = "Display Non-Combat Pet Nicknames",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_PET_NICKNAME_TP = "When enabled, display the nickname of a Non-Combat Pet in quotations after the Collectible Link.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_USE_ICON_TP = "Display an icon for the relevant Collectible used.",
    LUIE_STRING_LAM_CA_COLLECTIBLE_LORE_HEADER = "Lorebooks",
    LUIE_STRING_LAM_CA_LOREBOOK_ENABLE = "Display Lorebook Discovery - <<1>>",
    LUIE_STRING_LAM_CA_LOREBOOK_ENABLE_TP = "Display <<1>> when a Lorebook is discovered.",
    LUIE_STRING_LAM_CA_LOREBOOK_CSA_LOREONLY = "Only Display CSA for Shalidor's Library",
    LUIE_STRING_LAM_CA_LOREBOOK_CSA_LOREONLY_TP = "When enabled, a Center Screen Announcement will only display when the book discovered is a Lore Book (specific to Shalidor's Library collection) and not normal Eidetic Memory books.",
    LUIE_STRING_LAM_CA_LOREBOOK_COLLECTION = "Display Lore Collection Complete - <<1>>",
    LUIE_STRING_LAM_CA_LOREBOOK_COLLECTION_TP = "Display <<1>> when a collection of Lorebooks is complete.",
    LUIE_STRING_LAM_CA_LOREBOOK_ICON = "Display Lorebook Icon",
    LUIE_STRING_LAM_CA_LOREBOOK_ICON_TP = "Display an icon for the relevant Lorebook unlocked.",
    LUIE_STRING_LAM_CA_LOREBOOK_COLOR1 = "Lorebook Prefix Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_LOREBOOK_COLOR2 = "Lorebook Message Color",        -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_LOREBOOK_PREFIX1 = "Lorebook Prefix Message",
    LUIE_STRING_LAM_CA_LOREBOOK_PREFIX1_TP = "Enter the prefix message displayed when a Lorebook is discovered.\nDefault: Lorebook Discovered",
    LUIE_STRING_LAM_CA_LOREBOOK_PREFIX2 = "Book Prefix Message",
    LUIE_STRING_LAM_CA_LOREBOOK_PREFIX2_TP = "Enter the prefix message displayed when a book is discovered.\nDefault: Book Discovered",
    LUIE_STRING_LAM_CA_LOREBOOK_PREFIX_COLLECTION = "Lore Collection Prefix Message",
    LUIE_STRING_LAM_CA_LOREBOOK_PREFIX_COLLECTION_TP = "Enter the prefix message that will display before completed Lore Collection notifications.\nDefault: Collection Completed",
    LUIE_STRING_LAM_CA_LOREBOOK_CATEGORY_BRACKET = "Lorebook Prefix Bracket",
    LUIE_STRING_LAM_CA_LOREBOOK_CATEGORY_BRACKET_TP = "This bracket will encompass the prefix message when a Lorebook is unlocked.",
    LUIE_STRING_LAM_CA_LOREBOOK_CATEGORY = "Display Collection Category",
    LUIE_STRING_LAM_CA_LOREBOOK_CATEGORY_TP = "Display the relevant category of a Lorebook unlocked.",
    LUIE_STRING_LAM_CA_LOREBOOK_NOSHOWHIDE = "Display Books without Eidetic Memory",
    LUIE_STRING_LAM_CA_LOREBOOK_NOSHOWHIDE_TP = "Display standard books unlocked even without Eidetic Memory unlocked.",

    LUIE_STRING_LAM_CA_ANTIQUITY_HEADER = "Antiquity Announcements",
    LUIE_STRING_LAM_CA_ANTIQUITY_LEAD_HEADER = "Lead Discovered",
    LUIE_STRING_LAM_CA_ANTIQUITY_ENABLE = "Display Lead Discovered - <<1>>",
    LUIE_STRING_LAM_CA_ANTIQUITY_ENABLE_TP = "Display <<1>> when an antiquity lead is discovered.",
    LUIE_STRING_LAM_CA_ANTIQUITY_BRACKET = "Lead Name Brackets",
    LUIE_STRING_LAM_CA_ANTIQUITY_BRACKET_TP = "Choose whether or not to display [ ] brackets around the name of a lead discovered.",
    LUIE_STRING_LAM_CA_ANTIQUITY_ICON = "Lead Icon",
    LUIE_STRING_LAM_CA_ANTIQUITY_ICON_TP = "Display an icon for the relevant lead discovered.",
    LUIE_STRING_LAM_CA_ANTIQUITY_COLOR = "Antiquity Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_ANTIQUITY_PREFIX = "Antiquity Prefix Message",
    LUIE_STRING_LAM_CA_ANTIQUITY_PREFIX_TP = "Enter the prefix message displayed when an antiquity lead is discovered.\nDefault: Antiquity Lead Acquired",
    LUIE_STRING_LAM_CA_ANTIQUITY_PREFIX_BRACKET = "Antiquity Prefix Bracket",
    LUIE_STRING_LAM_CA_ANTIQUITY_PREFIX_BRACKET_TP = "This bracket will encompass the prefix message when an antiquity lead is discovered.",
    LUIE_STRING_LAM_CA_ANTIQUITY_SUFFIX = "Antiquity Suffix Message",
    LUIE_STRING_LAM_CA_ANTIQUITY_SUFFIX_TP = "Enter the suffix message displayed when an antiquity lead is discovered.\nDefault: No Message",

    LUIE_STRING_LAM_CA_ACHIEVE_HEADER = "Achievements Announcements",
    LUIE_STRING_LAM_CA_ACHIEVE_UPDATE = "Display Achievement Update - <<1>>",
    LUIE_STRING_LAM_CA_ACHIEVE_UPDATE_TP = "Display <<1>> when progress is made toward the completion of an Achievement.",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETE = "Display Achievement Completion - <<1>>",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETE_TP = "Display <<1>> when an Achievement is unlocked.",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETE_CSA_ALWAYS = "Always Display Achievement Completion CSA",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETE_CSA_ALWAYS_TP = "When enabled the Center Screen Announcement for an achievement earned will ALWAYS display regardless of the tracking option settings below.",
    LUIE_STRING_LAM_CA_ACHIEVE_DETAILINFO = "Display Detailed Achievement Info",
    LUIE_STRING_LAM_CA_ACHIEVE_DETAILINFO_TP = "Displays each subcategory required for Achievement completion and progress in each subcategory.",
    LUIE_STRING_LAM_CA_ACHIEVE_COLORPROGRESS = "Color Achievement Progress",
    LUIE_STRING_LAM_CA_ACHIEVE_COLORPROGRESS_TP = "Enables color change for Achievement progress based off completion.",
    LUIE_STRING_LAM_CA_ACHIEVE_STEPSIZE = "Progress Step Size %",
    LUIE_STRING_LAM_CA_ACHIEVE_STEPSIZE_TP = "Display Achievement update information every #% to completion. Setting this value to 0 will print Achievement information on every update event.",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETEPERCENT = "Display % on Achievement Completion",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETEPERCENT_TP = "Adds a (100%) indicator to achievement completion messages to match progress syntax.",
    LUIE_STRING_LAM_CA_ACHIEVE_ICON = "Display Achievement Icon",
    LUIE_STRING_LAM_CA_ACHIEVE_ICON_TP = "Display the relevant icon for an Achievement on progress or completion.",
    LUIE_STRING_LAM_CA_ACHIEVE_COLOR1 = "Achievement Prefix Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_ACHIEVE_COLOR2 = "Achievement Message Color",        -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_ACHIEVE_PROGMSG = "Achievement Progress Prefix Message",
    LUIE_STRING_LAM_CA_ACHIEVE_PROGMSG_TP = "Prefix for Achievement progress messages.\nDefault: Achievement Updated",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETEMSG = "Achievement Completion Prefix Message",
    LUIE_STRING_LAM_CA_ACHIEVE_COMPLETEMSG_TP = "Prefix for Achievement completion messages.\nDefault: Achievement Unlocked",
    LUIE_STRING_LAM_CA_ACHIEVE_SHOWCATEGORY = "Display Achievement Category",
    LUIE_STRING_LAM_CA_ACHIEVE_SHOWCATEGORY_TP = "Display the primary category of an Achievement.",
    LUIE_STRING_LAM_CA_ACHIEVE_SHOWSUBCATEGORY = "Display Achievement Subcategory",
    LUIE_STRING_LAM_CA_ACHIEVE_SHOWSUBCATEGORY_TP = "Display the subcategory of an Achievement.",
    LUIE_STRING_LAM_CA_ACHIEVE_BRACKET = "Achievement Prefix Bracket",
    LUIE_STRING_LAM_CA_ACHIEVE_BRACKET_TP = "This bracket will encompass the prefix message when an Achievement is updated or unlocked.",
    LUIE_STRING_LAM_CA_ACHIEVE_CATEGORYBRACKET = "Achievement Category Bracket",
    LUIE_STRING_LAM_CA_ACHIEVE_CATEGORYBRACKET_TP = "This bracket will encompass the category and subcategory when an Achievement is updated or unlocked.",
    LUIE_STRING_LAM_CA_ACHIEVE_CATEGORY_HEADER = "Tracking Options",
    LUIE_STRING_LAM_CA_ACHIEVE_CATEGORY = "Track '<<1>>' Achievements",
    LUIE_STRING_LAM_CA_ACHIEVE_CATEGORY_TP = "Enables tracking for Achievements in the <<1>> category.",
    LUIE_STRING_LAM_CA_QUEST_HEADER = "Quest/POI Announcements",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTSHARE = "Display Shared Quests - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTSHARE_TP = "Display <<1>> when another player shares a quest with you.",
    LUIE_STRING_LAM_CA_QUEST_LOCATION_DISCOVERY = "Display Location Discovery - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_LOCATION_DISCOVERY_TP = "Display <<1>> when a location on the map is discovered.",
    LUIE_STRING_LAM_CA_QUEST_POI_OBJECTIVE = "Display POI Objective - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_POI_OBJECTIVE_TP = "Display <<1>> when a quest is accepted with an associated map POI.",
    LUIE_STRING_LAM_CA_QUEST_POI_COMPLETE = "Display POI Complete - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_POI_COMPLETE_TP = "Display <<1>> when a quest is completed with an associated map POI.",
    LUIE_STRING_LAM_CA_QUEST_ACCEPT = "Display Quest Accepted - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_ACCEPT_TP = "Display <<1>> when a quest is accepted.",
    LUIE_STRING_LAM_CA_QUEST_COMPLETE = "Display Quest Completed - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_COMPLETE_TP = "Display <<1>> when a quest is completed.",
    LUIE_STRING_LAM_CA_QUEST_ABANDON = "Display Quest Abandoned - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_ABANDON_TP = "Display <<1>> when a quest is abandoned.",
    LUIE_STRING_LAM_CA_QUEST_OBJECTIVE_FAILURE = "Display Quest Objective Failure - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_OBJECTIVE_FAILURE_TP = "Display <<1>> when a quest failure state is triggered.",
    LUIE_STRING_LAM_CA_QUEST_OBJECTIVE_UPDATE = "Display Quest Objective Updates - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_OBJECTIVE_UPDATE_TP = "Display <<1>> when a new quest objective is added.",
    LUIE_STRING_LAM_CA_QUEST_OBJECTIVE_COMPLETE = "Display Quest Objective Completion - <<1>>",
    LUIE_STRING_LAM_CA_QUEST_OBJECTIVE_COMPLETE_TP = "Display <<1>> when a quest objective is completed.",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTICON = "Display Quest Difficulty Icon",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTICON_TP = "Display an icon relevant to the difficulty and type of quest.",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTLONG = "Display Detailed Quest Description",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTLONG_TP = "When toggled on, accepting a quest will display the Journal Entry details of the quest.",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTOBJECTIVELONG = "Display Detailed POI Description",
    LUIE_STRING_LAM_CA_QUEST_SHOWQUESTOBJECTIVELONG_TP = "When toggled on, accepting/completing a quest with an associated map POI will display the full description.",
    LUIE_STRING_LAM_CA_QUEST_COLOR1 = "POI Name Color",
    LUIE_STRING_LAM_CA_QUEST_COLOR2 = "POI Description Color",   -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_QUEST_COLOR3 = "Quest Name Color",        -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_QUEST_COLOR4 = "Quest Description Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_SOCIAL_HEADER = "Social/Guild Announcements",
    LUIE_STRING_LAM_CA_SOCIAL_FRIENDS_HEADER = "Friends/Ignored List",
    LUIE_STRING_LAM_CA_SOCIAL_FRIENDS = "Display Friends/Ignored Requests - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_FRIENDS_TP = "Display <<1>> for friend invites, Friends list changes, and Ignored list changes.",
    LUIE_STRING_LAM_CA_SOCIAL_FRIENDS_ONOFF = "Display Friends List Log On/Off - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_FRIENDS_ONOFF_TP = "Display <<1>> when a player on your Friends list logs on or off.",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_HEADER = "Guild Notifications",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD = "Display Guild Invite/Leave/Join - <<1>> ",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_TP = "Display <<1>> for Guild invitations and Join/Leave notifications.",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_RANK = "Display Guild Rank Changes - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_RANK_TP = "Display <<1>> for Guild Rank changes. Options are determined by the dropdown menu below.",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_RANKOPTIONS = "Guild Rank Display Options",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_RANKOPTIONS_TP = "Choose the method in which Guild Rank changes will be reported.\nDefault: Self Only",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_ADMIN = "Display Guild Administration - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_ADMIN_TP = "Display <<1>> when the Guild MOTD or Background Information is updated, rank data is updated, or Heraldry is updated.",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_ICONS = "Display Guild Icons",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_ICONS_TP = "Displays the faction or Guild Rank icon for guild messages.",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_COLOR = "Guild Name Color",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_COLOR_ALLIANCE = "Use Alliance Colors for Guild Names",
    LUIE_STRING_LAM_CA_SOCIAL_GUILD_COLOR_ALLIANCE_TP = "Use the relevant alliance color for guild names, icons, and ranks in guild messages.",
    LUIE_STRING_LAM_CA_SOCIAL_TRADE_HEADER = "Trade Notifications",
    LUIE_STRING_LAM_CA_SOCIAL_TRADE = "Display Trade Notifications - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_TRADE_TP = "Display <<1>> for trade invitations, cancelation, and success.",
    LUIE_STRING_LAM_CA_SOCIAL_DUEL_HEADER = "Duel Notifications",
    LUIE_STRING_LAM_CA_SOCIAL_DUEL = "Display Duel Challenges - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_DUEL_TP = "Display <<1>> for duel challenges and declined challenges.",
    LUIE_STRING_LAM_CA_SOCIAL_DUELSTART = "Display Duel Start Notification - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_DUELSTART_TP = "Display <<1>> when a duel begins.",
    LUIE_STRING_LAM_CA_SOCIAL_DUELSTART_TPCSA = "Display <<1>> when a duel begins. Center Screen Announcement also displays a countdown",
    LUIE_STRING_LAM_CA_SOCIAL_DUELSTART_OPTION = "Duel Start Notification Format (CA/Alert Only)",
    LUIE_STRING_LAM_CA_SOCIAL_DUELSTART_OPTION_TP = "Choose the format for the message that is displayed when the countdown ends and the duel is started.",
    LUIE_STRING_LAM_CA_SOCIAL_DUELCOMPLETE = "Display Duel End Notification - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_DUELCOMPLETE_TP = "Display <<1>> when a duel ends.",
    LUIE_STRING_LAM_CA_SOCIAL_DUELBOUNDARY = "Display Duel Boundary Warning - <<1>>",
    LUIE_STRING_LAM_CA_SOCIAL_DUELBOUNDARY_TP = "Display <<1>> when you are close to the Duel Boundary.",
    LUIE_STRING_LAM_CA_SOCIAL_MARA_HEADER = "Pledge of Mara Notifications",
    LUIE_STRING_LAM_CA_MISC_MARA = "Display Pledge of Mara - <<1>>",
    LUIE_STRING_LAM_CA_MISC_MARA_TP = "Display <<1>> for Pledge of Mara events.",
    LUIE_STRING_LAM_CA_MISC_MARA_ALERT = "Only Display Alert on Failure",
    LUIE_STRING_LAM_CA_MISC_MARA_ALERT_TP = "When enabled, an Alert will only be displayed if the Pledge of Mara fails. This emulates the behavior of the default UI settings.",
    LUIE_STRING_LAM_CA_GROUP_HEADER = "Group/LFG/Trial Announcements",
    LUIE_STRING_LAM_CA_GROUP_BASE_HEADER = "Group Notifications",
    LUIE_STRING_LAM_CA_GROUP_BASE = "Display Group Notifications - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_BASE_TP = "Display <<1>> for group invites and group composition changes.",
    LUIE_STRING_LAM_CA_GROUP_LFG_HEADER = "LFG Notifications",
    LUIE_STRING_LAM_CA_GROUP_LFGREADY = "Display LFG Ready Notifications - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_LFGREADY_TP = "Display <<1>> when an LFG group is formed or activity is joined.",
    LUIE_STRING_LAM_CA_GROUP_LFGQUEUE = "Display LFG Queue Status - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_LFGQUEUE_TP = "Display <<1>> when entering or exiting the queue for an LFG activity.",
    LUIE_STRING_LAM_CA_GROUP_LFGVOTE = "Display LFG Vote/Ready Check - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_LFGVOTE_TP = "Display <<1>> for group votes and ready checks.",
    LUIE_STRING_LAM_CA_GROUP_LFGCOMPLETE = "Display LFG Activity Completed - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_LFGCOMPLETE_TP = "Display <<1>> when a Group Finder activity is completed.",
    LUIE_STRING_LAM_CA_GROUP_RAID_HEADER = "Raid Notifications",
    LUIE_STRING_LAM_CA_GROUP_RAID_BASE = "Display Raid Status Notifications - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_RAID_BASE_TP = "Display <<1>> when a Trial is started, failed, or completed.",
    LUIE_STRING_LAM_CA_GROUP_RAID_SCORE = "Display Score Updates - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_RAID_SCORE_TP = "Display <<1>> when your score in a Trial changes.",
    LUIE_STRING_LAM_CA_GROUP_RAID_BESTSCORE = "Display New Best Score - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_RAID_BESTSCORE_TP = "Display <<1>> when a new high score is achieved on trial completion.",
    LUIE_STRING_LAM_CA_GROUP_RAID_REVIVE = "Display Vitality Bonus Loss - <<1>>",
    LUIE_STRING_LAM_CA_GROUP_RAID_REVIVE_TP = "Display <<1>> when Vitality Bonus is decreased.",
    LUIE_STRING_LAM_CA_DISPLAY_HEADER = "Display Announcements",
    LUIE_STRING_LAM_CA_DISPLAY_HEADER_MISC = "Misc Announcements",
    LUIE_STRING_LAM_CA_DISPLAY_HEADER_ZONE = "Zone Announcements",
    LUIE_STRING_LAM_CA_DISPLAY_HEADER_ARENA = "Arena Announcements",
    LUIE_STRING_LAM_CA_DISPLAY_HEADER_DUNGEON = "Dungeon Announcements",
    LUIE_STRING_LAM_CA_DISPLAY_DESCRIPTION = "Display Announcements are various messages displayed under certain conditions, these range from broad to very specific categories, and thus fall under their own section for Announcements.",
    LUIE_STRING_LAM_CA_DISPLAY_MISC_GENERAL = "Display General Announcements - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_MISC_GENERAL_TP = "Display <<1>> when an uncategorized Display Announcement is shown.",
    LUIE_STRING_LAM_CA_DISPLAY_MISC_RESPEC = "Display Respec Notification - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_MISC_RESPEC_TP = "Display <<1>> when you redistribute Champion Points and when you relearn attributes, skill points, or morphs.",
    LUIE_STRING_LAM_CA_DISPLAY_MISC_GROUPAREA = "Display Entering/Leaving Group Area - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_MISC_GROUPAREA_TP = "Display <<1>> when entering or leaving a Group Area.",
    LUIE_STRING_LAM_CA_DISPLAY_ZONE_CRAGLORN = "Display Craglorn Buffs - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_ZONE_CRAGLORN_TP = "Display <<1>> when you gain a buff from completing a World Boss event in Craglorn.",
    LUIE_STRING_LAM_CA_DISPLAY_ZONE_IC = "Display Imperial City Area Messages - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_ZONE_IC_TP = "Display <<1>> when entering a new area of the Imperial City Sewers.",
    LUIE_STRING_LAM_CA_DISPLAY_ZONE_IC_DESCRIPTION = "Display Area Description (CA)",
    LUIE_STRING_LAM_CA_DISPLAY_ZONE_IC_DESCRIPTION_TP = "Display the description text in chat when entering a new area of the Imperial City Sewers.\nNote: This option uses the POI Description Color from Quest/POI Announcements.",
    LUIE_STRING_LAM_CA_DISPLAY_ARENA_MAELSTROM = "Display Maelstrom Arena Messages - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_ARENA_MAELSTROM_TP = "Display <<1>> when progressing in Maelstrom Arena.",
    LUIE_STRING_LAM_CA_DISPLAY_ARENA_DRAGONSTAR = "Display Dragonstar Arena Messages - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_ARENA_DRAGONSTAR_TP = "Display <<1>> when progressing in Dragonstar Arena.",
    LUIE_STRING_LAM_CA_DISPLAY_DUNGEON_ENDLESS = "Display Endless Archive Progress - <<1>>",
    LUIE_STRING_LAM_CA_DISPLAY_DUNGEON_ENDLESS_TP = "Display <<1>> when progressing in Endless Archive.",
    LUIE_STRING_LAM_CA_MISC_HEADER = "Miscellaneous Announcements",
    LUIE_STRING_LAM_CA_MISC_SHOWLOCKPICK = "Display Lockpicking Notifications - <<1>>",
    LUIE_STRING_LAM_CA_MISC_SHOWLOCKPICK_TP = "Display <<1>> on successful or failed lockpick attempts as well as when you attempt to pick a lock and it's impossible or you have no lock picks.",
    LUIE_STRING_LAM_CA_MISC_SHOWMAIL = "Display Mail Notifications (Send/Receive) - <<1>>",
    LUIE_STRING_LAM_CA_MISC_SHOWMAIL_TP = "Display <<1>> when mail is accepted, deleted, or sent.",
    LUIE_STRING_LAM_CA_MISC_SHOWMAILERROR = "Display Mail Notifications (Error) - <<1>>",
    LUIE_STRING_LAM_CA_MISC_SHOWMAILERROR_TP = "Display <<1>> when mail fails to send.",
    LUIE_STRING_LAM_CA_MISC_SHOWJUSTICE = "Display Justice Notifications - <<1>>",
    LUIE_STRING_LAM_CA_MISC_SHOWJUSTICE_TP = "Display <<1>> when items or gold are confiscated by a guard.",
    LUIE_STRING_LAM_CA_MISC_SHOWBANKBAG = "Display Bag/Bank Space Upgrade - <<1>>",
    LUIE_STRING_LAM_CA_MISC_SHOWBANKBAG_TP = "Display <<1>> when bag or bank space upgrades are purchased ingame or through the crown store.",
    LUIE_STRING_LAM_CA_MISC_SHOWBANKBAG_COLOR = "Bag/Bank Space Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_MISC_SHOWRIDING = "Display Riding Skill Upgrade - <<1>>",
    LUIE_STRING_LAM_CA_MISC_SHOWRIDING_TP = "Display <<1>> when riding upgrades are purchased or Crown Riding Skill books are used.",
    LUIE_STRING_LAM_CA_MISC_SHOWRIDING_COLOR = "Riding Skill Message Color",
    LUIE_STRING_LAM_CA_MISC_SHOWRIDING_COLOR_BOOK = "Riding Skill (Crown Lesson) Message Color", -- TODO: Add Tooltip with finalized color value
    LUIE_STRING_LAM_CA_MISC_LOOTSHOWDISGUISE = "Display Disguise Status - <<1>>",
    LUIE_STRING_LAM_CA_MISC_LOOTSHOWDISGUISE_TP = "Display <<1>> when entering or exiting a relevant area and becoming disguised or revealed.",
    LUIE_STRING_LAM_CA_MISC_LOOTSHOWDISGUISEALERT = "Display Detection Warning - <<1>>",
    LUIE_STRING_LAM_CA_MISC_LOOTSHOWDISGUISEALERT_TP = "Display <<1>> when near a sentry or performing suspicious activity while disguised.",
    LUIE_STRING_LAM_CA_MISC_LOOTSHOWDISGUISEALERTCOLOR = "Detection Warning CSA Color",
    LUIE_STRING_LAM_CA_MISC_LOOTSHOWDISGUISEALERTCOLOR_TP = "Change the color of the Center Screen Announcement displayed when near a sentry or performing suspicious activity while disguised.",

    -- Module: Combat Info
    LUIE_STRING_LAM_CI_HEADER = "Combat Info Options",
    LUIE_STRING_LAM_CI_SHOWCOMBATINFO = "Combat Info Module",
    LUIE_STRING_LAM_CI_SHARED_FONT_TP = "Choose the font to use for the countdown label.",
    LUIE_STRING_LAM_CI_SHARED_FONTSIZE_TP = "Choose the font size for the countdown label.",
    LUIE_STRING_LAM_CI_SHARED_FONTSTYLE_TP = "Choose the font style for the countdown label.",
    LUIE_STRING_LAM_CI_SHARED_POSITION = "Label Vertical Position",
    LUIE_STRING_LAM_CI_SHARED_POSITION_TP = "Adjust the vertical position of the countdown label.",
    LUIE_STRING_LAM_CI_HEADER_GCD = "Global Cooldown Options",
    LUIE_STRING_LAM_CI_GCD_SHOW = "Display Global Cooldown (High CPU Usage)",
    LUIE_STRING_LAM_CI_GCD_SHOW_TP = "Dislay an animation on ability bar slots while on the global cooldown.",
    LUIE_STRING_LAM_CI_GCD_SHOW_WARN = "This component can cause performance issues on some machines! If you experience FPS drops this is the first thing to disable.",
    LUIE_STRING_LAM_CI_GCD_QUICK = "Display GCD for Potions",
    LUIE_STRING_LAM_CI_GCD_QUICK_TP = "Also display the global cooldown animation on the quickslot for potions and items that are not subject to the global cooldown.",
    LUIE_STRING_LAM_CI_GCD_FLASH = "Display Ready Flash",
    LUIE_STRING_LAM_CI_GCD_FLASH_TP = "Display a flash animation on each ability slot on the bar when the global cooldown is finished.",
    LUIE_STRING_LAM_CI_GCD_DESAT = "Desaturate Icons",
    LUIE_STRING_LAM_CI_GCD_DESAT_TP = "Desaturate ability icons while on the global cooldown.",
    LUIE_STRING_LAM_CI_GCD_COLOR = "Color Slot Label # Red",
    LUIE_STRING_LAM_CI_GCD_COLOR_TP = "While on global cooldown, colorize the ability button numeric labels red.",
    LUIE_STRING_LAM_CI_GCD_ANIMATION = "GCD Animation Method",
    LUIE_STRING_LAM_CI_GCD_ANIMATION_TP = "Choose the animation type for tracking the global cooldown.",
    LUIE_STRING_LAM_CI_HEADER_ULTIMATE = "Ultimate Tracking Options",
    LUIE_STRING_LAM_CI_ULTIMATE_SHOW_VAL = "Display Ultimate Value",
    LUIE_STRING_LAM_CI_ULTIMATE_SHOW_VAL_TP = "Display ultimate value above the ultimate ability slot.",
    LUIE_STRING_LAM_CI_ULTIMATE_SHOW_PCT = "Display Ultimate Percentage",
    LUIE_STRING_LAM_CI_ULTIMATE_SHOW_PCT_TP = "Display Ultimate percentage percentage toward completion",
    LUIE_STRING_LAM_CI_ULTIMATE_HIDEFULL = "Hide Label When Full",
    LUIE_STRING_LAM_CI_ULTIMATE_HIDEFULL_TP = "Remove percentage label from ultimate slot when ability becomes ready.",
    LUIE_STRING_LAM_CI_ULTIMATE_TEXTURE = "Display Ultimate Generation Texture",
    LUIE_STRING_LAM_CI_ULTIMATE_TEXTURE_TP = "Display special texture under ultimate ability slot when in-combat ultimate generation is detected.",
    LUIE_STRING_LAM_CI_HEADER_BAR = "Bar Ability Highlight Options",
    LUIE_STRING_LAM_CI_BAR_EFFECT = "Highlight Active Effects",
    LUIE_STRING_LAM_CI_BAR_EFFECT_TP = "Highlights currently active buffs on the ability bar for their active duration.",
    LUIE_STRING_LAM_CI_BAR_PROC = "Highlight Active Procs",
    LUIE_STRING_LAM_CI_BAR_PROC_TP = "Highlights an ability that is in a procced state on the ability bar.",
    LUIE_STRING_LAM_CI_BAR_PROCSOUND = "Play Sound on Ability Proc",
    LUIE_STRING_LAM_CI_BAR_PROCSOUND_TP = "Play a sound notifcation when an ability procs.",
    LUIE_STRING_LAM_CI_BAR_PROCSOUNDCHOICE = "Proc Sound",
    LUIE_STRING_LAM_CI_BAR_PROCSOUNDCHOICE_TP = "Choose the sound to play when an ability procs.",
    LUIE_STRING_LAM_CI_BAR_ULTIMATE = "Highlight Active Ultimate Effects",
    LUIE_STRING_LAM_CI_BAR_ULTIMATE_TP = "Highlights currently active ultimate abilities on the ability bar for their active duration. This will hide the percentage label for the duration of the effect when enabled.",
    LUIE_STRING_LAM_CI_BACKBAR_ENABLE = "Display Back Bar and Track Skills",
    LUIE_STRING_LAM_CI_BACKBAR_ENABLE_TP = "Displays your back bar abilities above the normal ability bar and tracks the duration of active effects on your back bar.",
    LUIE_STRING_LAM_CI_BACKBAR_HEADER = "Back Bar Tracking",
    LUIE_STRING_LAM_CI_BACKBAR_NOTE = "You may need to adjust the position of your default or custom Unit Frames to compensate for the extra space taken up by the back bar, or you can move the ability bar by unlocking default UI elements in the base LuiExtended options menu.",
    LUIE_STRING_LAM_CI_BACKBAR_DARK = "Back Bar - Darken Inactive Slots",
    LUIE_STRING_LAM_CI_BACKBAR_DARK_TP = "Set back bar abilities that are not currently active to darken.",
    LUIE_STRING_LAM_CI_BACKBAR_DESATURATE = "Back Bar - Desaturate Inactive Slots",
    LUIE_STRING_LAM_CI_BACKBAR_DESATURATE_TP = "Set back bar abilities that are not currently active to desaturate.",
    LUIE_STRING_LAM_CI_BACKBAR_HIDE_UNUSED = "Back Bar - Hide Inactive Slots", -- changed from Bar Bar by Nagolite
    LUIE_STRING_LAM_CI_BACKBAR_HIDE_UNUSED_TP = "Hide abilities on the back bar that are not currently active.",
    LUIE_STRING_LAM_CI_BAR_LABEL = "Display Countdown Label",
    LUIE_STRING_LAM_CI_BAR_LABEL_TP = "Display a countdown timer for any highlighted ability.",
    LUIE_STRING_LAM_CI_ENEMY_MARKER_HEADER = "Floating Markers",
    LUIE_STRING_LAM_CI_ENEMY_MARKER = "Show Enemy Markers",
    LUIE_STRING_LAM_CI_ENEMY_MARKER_TP = "Display a red arrow over the head of enemies you are currently in combat with.",
    LUIE_STRING_LAM_CI_ENEMY_MARKER_SIZE = "Enemy Marker Size",
    LUIE_STRING_LAM_CI_HEADER_POTION = "Quickslot Cooldown Timer Options",
    LUIE_STRING_LAM_CI_POTION = "Display Quickslot Cooldown Timer",
    LUIE_STRING_LAM_CI_POTION_TP = "Display a cooldown timer for potions and other quickslot items.",
    LUIE_STRING_LAM_CI_POTION_COLOR = "Color Label",
    LUIE_STRING_LAM_CI_POTION_COLOR_TP = "Color the quickslot cooldown timer label based off the remaining duration.",
    LUIE_STRING_LAM_CI_HEADER_CASTBAR = "Cast Bar Options",
    LUIE_STRING_LAM_CI_CASTBAR_MOVE = "Unlock Cast Bar",
    LUIE_STRING_LAM_CI_CASTBAR_MOVE_TP = "Unlock to drag the cast bar.",
    LUIE_STRING_LAM_CI_CASTBAR_RESET_TP = "This will reset the position of the cast bar.",
    LUIE_STRING_LAM_CI_CASTBAR_ENABLE = "Enable Cast/Channel Bar",
    LUIE_STRING_LAM_CI_CASTBAR_ENABLE_TP = "Enable to display a bar when casting or channeling abilities. This includes abilities on the player bars as well as casting interaction events such as Wayshrine Teleportation or receiving a Mundus Boon.",
    LUIE_STRING_LAM_CI_CASTBAR_SIZEW = "Cast Bar Width",
    LUIE_STRING_LAM_CI_CASTBAR_SIZEH = "Cast Bar Height",
    LUIE_STRING_LAM_CI_CASTBAR_ICONSIZE = "Cast Bar Icon Size",
    LUIE_STRING_LAM_CI_CASTBAR_TEXTURE = "Cast Bar Texture",
    LUIE_STRING_LAM_CI_CASTBAR_TEXTURE_TP = "Choose a texture to use for the cast bar.",
    LUIE_STRING_LAM_CI_CASTBAR_LABEL = "Display Name Label",
    LUIE_STRING_LAM_CI_CASTBAR_LABEL_TP = "Display the name of the ability being cast or channeled.",
    LUIE_STRING_LAM_CI_CASTBAR_TIMER = "Display Timer Label",
    LUIE_STRING_LAM_CI_CASTBAR_TIMER_TP = "Display the remaining time of the ability being cast or channeled.",
    LUIE_STRING_LAM_CI_CASTBAR_FONTFACE = "Name & Timer Font Face",
    LUIE_STRING_LAM_CI_CASTBAR_FONTFACE_TP = "Choose the font face for the cast bar name and timer labels.",
    LUIE_STRING_LAM_CI_CASTBAR_FONTSIZE = "Name & Timer Font Size",
    LUIE_STRING_LAM_CI_CASTBAR_FONTSIZE_TP = "Choose the font size for the cast bar name and timer labels.",
    LUIE_STRING_LAM_CI_CASTBAR_FONTSTYLE = "Name & Timer Font Style",
    LUIE_STRING_LAM_CI_CASTBAR_FONTSTYLE_TP = "Choose the font style for the cast bar name and timer labels.",
    LUIE_STRING_LAM_CI_CASTBAR_GRADIENTC1 = "Gradient Color (Start)",
    LUIE_STRING_LAM_CI_CASTBAR_GRADIENTC1_TP = "Choose the start gradient color for the cast bar.",
    LUIE_STRING_LAM_CI_CASTBAR_GRADIENTC2 = "Gradient Color (End)",
    LUIE_STRING_LAM_CI_CASTBAR_GRADIENTC2_TP = "Choose the end gradient color for the cast bar.",
    LUIE_STRING_LAM_CI_CASTBAR_FILTERS_HEADER = "Cast Bar Filters",
    LUIE_STRING_LAM_CI_CASTBAR_HEAVY_ATTACKS = "Show Casts for Heavy Attacks",
    LUIE_STRING_LAM_CI_CASTBAR_HEAVY_ATTACKS_TP = "Show a cast bar when using heavy attacks with weapons.",

    -- CI CCT
    LUIE_STRING_LAM_CI_CCT_HEADER = "Crowd Control Tracker",
    LUIE_STRING_LAM_CI_CCT_DESCRIPTION = "Display an animated icon when you are under the effects of crowd control. The options below allow you to customize the color, sound, and naming method for the alerts displayed. Additionally you can display alerts when standing in the radius of damaging area of effect abilities, with the option to enable/disable various categories with different sounds.",
    LUIE_STRING_LAM_CI_CCT_UNLOCK = "Unlock Crowd Control Tracker",
    LUIE_STRING_LAM_CI_CCT_UNLOCK_TP = "Unlock to drag the Crowd Control Tracker frame.",
    LUIE_STRING_LAM_CI_CCT_RESET_TP = "This will reset the position of the Crowd Control Tracker frame.",
    LUIE_STRING_LAM_CI_CCT_TOGGLE = "Enable Crowd Control Tracker",
    LUIE_STRING_LAM_CI_CCT_TOGGLE_TP = "Enable to display an alert when under the effects of crowd control and display alerts when standing in enemy AOE effects if chosen.",
    LUIE_STRING_LAM_CI_CCT_PVP_ONLY = "Enable only in PVP",
    LUIE_STRING_LAM_CI_CCT_PVP_ONLY_TP = "When toggled, crowd control effects will only be tracked in PVP enabled areas.",
    LUIE_STRING_LAM_CI_CCT_DISPLAY_HEADER = "Display Options",
    LUIE_STRING_LAM_CI_CCT_DISPLAY_STYLE = "Choose Display Method",
    LUIE_STRING_LAM_CI_CCT_DISPLAY_STYLE_TP = "Choose whether to display only an icon, only text, or both.",
    LUIE_STRING_LAM_CI_CCT_DISPLAY_NAME = "Use Ability Name as CC Text",
    LUIE_STRING_LAM_CI_CCT_DISPLAY_NAME_TP = "When enabled, the name of the crowd control ability will display, otherwise the type of crowd control will replace the name.",
    LUIE_STRING_LAM_CI_CCT_DEFAULT_ICON = "Use Generic CC Type Icon",
    LUIE_STRING_LAM_CI_CCT_DEFAULT_ICON_TP = "When enabled, the icon for crowd control effects will be normalized to the type of crowd control based on the setting below.",
    LUIE_STRING_LAM_CI_CCT_DEFAULT_ICON_ALERT_TP = "When enabled, the icon for crowd control effects will be normalized to the type of crowd control.",
    LUIE_STRING_LAM_CI_CCT_DEFAULT_ICON_OPTIONS = "Default Icon Method",
    LUIE_STRING_LAM_CI_CCT_DEFAULT_ICON_OPTIONS_TP = "Choose whether to display the default crowd control icon for all abilities, only NPC abilities, or only Player abilities.",
    LUIE_STRING_LAM_CI_CCT_SCALE = "Set Icon and Text Scale (%)",
    LUIE_STRING_LAM_CI_CCT_SCALE_TP = "Set the scale for the icon and text displayed.\n\nDefault: 100%",
    LUIE_STRING_LAM_CI_CCT_MISC_OPTIONS_HEADER = "Misc Options",
    LUIE_STRING_LAM_CI_CCT_SOUND = "Play Sound on Crowd Control",
    LUIE_STRING_LAM_CI_CCT_SOUND_TP = "Play sound when effected by Crowd Control.",
    LUIE_STRING_LAM_CI_CCT_STAGGER = "Show Stagger Crowd Control (Text Only)",
    LUIE_STRING_LAM_CI_CCT_STAGGER_TP = "Display text alert when staggered.",
    LUIE_STRING_LAM_CI_CCT_GCD_TOGGLE = "Show Global Cooldown",
    LUIE_STRING_LAM_CI_CCT_GCD_TOGGLE_TP = "Show a cooldown animation if crowd controlled while on the global cooldown.",
    LUIE_STRING_LAM_CI_CCT_IMMUNE_TOGGLE = "Show Immune State",
    LUIE_STRING_LAM_CI_CCT_IMMUNE_TOGGLE_TP = "Show an icon when immune to an ability.",
    LUIE_STRING_LAM_CI_CCT_IMMUNE_CYRODIIL = "Show Immune State only in PVP",
    LUIE_STRING_LAM_CI_CCT_IMMUNE_CYRODIIL_TP = "Only show immune state in PVP enabled areas.",
    LUIE_STRING_LAM_CI_CCT_IMMUNE_TIME = "Immune Display Time (ms)",
    LUIE_STRING_LAM_CI_CCT_IMMUNE_TIME_TP = "Set the display time for Immune state notifications.\n\nDefault: 750",
    LUIE_STRING_LAM_CI_CCT_IMMUNE = "Immune",
    LUIE_STRING_LAM_CI_CCT_COLOR_TP = "Set a color for <<1>> state.",
    LUIE_STRING_LAM_CI_CCT_ROOT_HEADER = "Immobilize Alerts",
    LUIE_STRING_LAM_CI_CCT_ROOT_TOGGLE = "Show Immobilized Warning",
    LUIE_STRING_LAM_CI_CCT_ROOT_TOGGLE_TP = "Display a notification when Immobilized. Requires the base game menu setting under Combat for Active Combat Tips to be enabled.",
    LUIE_STRING_LAM_CI_CCT_ROOT_COLOR = "Root Color",
    LUIE_STRING_LAM_CI_CCT_SNARE_HEADER = "Snared Alerts",
    LUIE_STRING_LAM_CI_CCT_SNARE_TOGGLE = "Show Snared Warning",
    LUIE_STRING_LAM_CI_CCT_SNARE_TOGGLE_TP = "Display a notification when Snared. Immobilization effects will display as snares if the setting for Immobilized Warnings is disabled.",
    LUIE_STRING_LAM_CI_CCT_SNARE_COLOR = "Snare Color",
    LUIE_STRING_LAM_CI_CCT_AOE_HEADER = "Area of Effect Damage Alerts",
    LUIE_STRING_LAM_CI_CCT_AOE_TOGGLE = "Show Area of Effect Damage Warning",
    LUIE_STRING_LAM_CI_CCT_AOE_TOGGLE_TP = "Display a notification when standing in the radius of an area of effect attack.",
    LUIE_STRING_LAM_CT_CCT_AOE_COLOR = "AOE Color",
    LUIE_STRING_LAM_CT_CCT_AOE_COLOR_TP = "Set a color for area of effect damage.",
    LUIE_STRING_LAM_CI_CCT_AOE_SHOW = "Show AOE - <<1>>",
    LUIE_STRING_LAM_CI_CCT_AOE_SHOW_TP = "Display an notification when hit by (<<1>>) abilities.",
    LUIE_STRING_LAM_CI_CCT_AOE_SOUND = "Sound - <<1>>",
    LUIE_STRING_LAM_CI_CCT_AOE_SOUND_TP = "Choose whether to play a sound when hit by (<<1>>) abilities.",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_PLAYER_ULT = "Player - Ultimate",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_PLAYER_NORM = "Player - Normal",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_PLAYER_SET = "Player - Set",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_TRAP = "Trap / Environmental",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_NPC_BOSS = "NPC - Boss",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_NPC_ELITE = "NPC - Elite",
    LUIE_STRING_LAM_CI_CCT_AOE_TIER_NPC_NORMAL = "NPC - Normal",

    -- Module: Info Panel
    LUIE_STRING_LAM_PNL = "Info Panel",
    LUIE_STRING_LAM_PNL_ENABLE = "Info Panel Module",
    LUIE_STRING_LAM_PNL_DESCRIPTION = "Displays a panel with potentially useful information on it such as Latency, Time, FPS, Durability and Weapon Charge, etc...",
    LUIE_STRING_LAM_PNL_DISABLECOLORSRO = "Disable colors on read-only values",
    LUIE_STRING_LAM_PNL_DISABLECOLORSRO_TP = "Disable value-dependent color of the information label for items that you don't have direct control: Currently this includes FPS and Latency labels.",
    LUIE_STRING_LAM_PNL_ELEMENTS_HEADER = "Info Panel elements",
    LUIE_STRING_LAM_PNL_HEADER = "Info Panel Options",
    LUIE_STRING_LAM_PNL_PANELSCALE = "Info Panel Scale, %",
    LUIE_STRING_LAM_PNL_PANELSCALE_TP = "Used to magnify size of Info Panel on large resolution displays.",
    LUIE_STRING_LAM_PNL_RESETPOSITION_TP = "This will reset position of Info Panel into screen top right corner.",
    LUIE_STRING_LAM_PNL_SHOWARMORDURABILITY = "Show Armour Durability",
    LUIE_STRING_LAM_PNL_SHOWBAGSPACE = "Show Bags Space",
    LUIE_STRING_LAM_PNL_SHOWCLOCK = "Show Clock",
    LUIE_STRING_LAM_PNL_CLOCKFORMAT = "Clock Format",
    LUIE_STRING_LAM_PNL_SHOWEAPONCHARGES = "Show Weapons Charges",
    LUIE_STRING_LAM_PNL_SHOWFPS = "Show FPS",
    LUIE_STRING_LAM_PNL_SHOWLATENCY = "Show Latency",
    LUIE_STRING_LAM_PNL_SHOWMOUNTTIMER = "Show Mount Feed Timer |c00FFFF*|r",
    LUIE_STRING_LAM_PNL_SHOWMOUNTTIMER_TP = "(*) Once you have trained your mount to maximum level this field will be automatically hidden for current character.",
    LUIE_STRING_LAM_PNL_SHOWSOULGEMS = "Show Soul Gems",
    LUIE_STRING_LAM_PNL_UNLOCKPANEL = "Unlock panel",
    LUIE_STRING_LAM_PNL_UNLOCKPANEL_TP = "Allow mouse dragging for Info Panel.",
    LUIE_STRING_LAM_PNL_DISPLAYONWORLDMAP = "Display Info Panel on World Map Screen",
    LUIE_STRING_LAM_PNL_DISPLAYONWORLDMAP_TP = "Display the Info Panel when you are viewing the world map. This option can be toggled if your Info Panel position clips with any important elements on the World Map screen.",

    -- Module: Unitframes
    LUIE_STRING_LAM_UF_ENABLE = "Unit Frames Module",
    LUIE_STRING_LAM_UF_DESCRIPTION = "This allows display of textual attributes information over default UI controls. It also creates custom frames for player and target.",
    LUIE_STRING_LAM_UF_SHORTNUMBERS = "Shorten Numbers on Bars",
    LUIE_STRING_LAM_UF_SHORTNUMBERS_TP = "Replace large numbers like 12,345 with 12.3k on all bars and labels related to unit frames.",
    LUIE_STRING_LAM_UF_SHARED_LABEL = "Label Format",
    LUIE_STRING_LAM_UF_SHARED_LABEL_TP = "Format label for custom attribute bar.",
    LUIE_STRING_LAM_UF_SHARED_LABEL_LEFT = "Label Format (Left)",
    LUIE_STRING_LAM_UF_SHARED_LABEL_LEFT_TP = "Format first label for custom attribute bar.",
    LUIE_STRING_LAM_UF_SHARED_LABEL_RIGHT = "Label Format (Right)",
    LUIE_STRING_LAM_UF_SHARED_LABEL_RIGHT_TP = "Format second label for custom attribute bar.",
    LUIE_STRING_LAM_UF_SHARED_PT = "Player/Target",
    LUIE_STRING_LAM_UF_SHARED_GROUP = "Group",
    LUIE_STRING_LAM_UF_SHARED_RAID = "Raid",
    LUIE_STRING_LAM_UF_SHARED_BOSS = "Boss",
    LUIE_STRING_LAM_UF_SHARED_ARMOR = "<<1>> - Display Armor Change Overlay",
    LUIE_STRING_LAM_UF_SHARED_ARMOR_TP = "Display additional icon on unit health bar when unit has its armor affected. Also displays cracked texture over health bar when armor is decreased.",
    LUIE_STRING_LAM_UF_SHARED_POWER = "<<1>> - Display Power Change Overlay",
    LUIE_STRING_LAM_UF_SHARED_POWER_TP = "Display an animated texture overlay when weapon/spell power is increased or decreased.",
    LUIE_STRING_LAM_UF_SHARED_REGEN = "<<1>> - Display HoT / DoT Overlay",
    LUIE_STRING_LAM_UF_SHARED_REGEN_TP = "Display an animated arrow overlay when regeneration is increased or decreased.",
    LUIE_STRING_LAM_UF_SHARED_GROUPRAID_OPACITY = "Group/Raid Transparency (Shared Setting)",
    LUIE_STRING_LAM_UF_SHARED_GROUPRAID_OPACITY_TP = "Change the transparency of custom group and raid unit frames.",
    LUIE_STRING_LAM_UF_RESOLUTION = "Set Resolution",
    LUIE_STRING_LAM_UF_RESOLUTION_TP = "Select the Resolution you are using. This will change the default anchors for Unit Frames. You may need to reset custom positions after changing this value to see any changes.\nNote: You should select 1080p if you are using any resolution lower than 1080p.",
    LUIE_STRING_LAM_UF_DFRAMES_HEADER = "Default Unit Frames",
    LUIE_STRING_LAM_UF_DFRAMES_PLAYER = "Default PLAYER Frame",
    LUIE_STRING_LAM_UF_DFRAMES_TARGET = "Default TARGET Frame",
    LUIE_STRING_LAM_UF_DFRAMES_GROUPSMALL = "Default GROUP Frame",
    LUIE_STRING_LAM_UF_DFRAMES_BOSS_COMPASS = "Default BOSS Frame (Compass)",
    LUIE_STRING_LAM_UF_DFRAMES_REPOSIT = "Reposition Default Player Frames",
    LUIE_STRING_LAM_UF_DFRAMES_REPOSIT_TP = "Change position of the default player frames to be in a compacted pyramid layout in the bottom center of the screen.",
    LUIE_STRING_LAM_UF_DFRAMES_VERT = "Adjust Player Frames Vertical Position",
    LUIE_STRING_LAM_UF_DFRAMES_VERT_TP = "Adjust the vertical position of the default player frames.",
    LUIE_STRING_LAM_UF_DFRAMES_OOCTRANS = "Transparency - Out-of-Combat",
    LUIE_STRING_LAM_UF_DFRAMES_OOCTRANS_TP = "Change the transparency of default unit frames when out of combat. Default UI setting is hidden (0).",
    LUIE_STRING_LAM_UF_DFRAMES_INCTRANS = "Transparency - In-Combat",
    LUIE_STRING_LAM_UF_DFRAMES_INCTRANS_TP = "Change the transparency of default unit frames when engaged in combat. Default UI setting is fully visible (100).",
    LUIE_STRING_LAM_UF_DFRAMES_LABEL = "Label Format",
    LUIE_STRING_LAM_UF_DFRAMES_LABEL_TP = "Format of the label text for default unit frames.",
    LUIE_STRING_LAM_UF_DFRAMES_FONT_TP = "Choose the font to use for labels on the default unit frames bars.",
    LUIE_STRING_LAM_UF_DFRAMES_FONT_SIZE_TP = "Choose the font size for labels on the default unit frames bars.",
    LUIE_STRING_LAM_UF_DFRAMES_FONT_STYLE_TP = "Choose the font style for labels on the default unit frames bars.",
    LUIE_STRING_LAM_UF_DFRAMES_LABEL_COLOR = "Label Color",
    LUIE_STRING_LAM_UF_TARGET_COLOR_REACTION = "Color Target Name by Reaction",
    LUIE_STRING_LAM_UF_TARGET_COLOR_REACTION_TP = "Change the color of the Targets name label according to unit reaction.",
    LUIE_STRING_LAM_UF_TARGET_ICON_CLASS = "Display Target Class Icon",
    LUIE_STRING_LAM_UF_TARGET_ICON_CLASS_TP = "Display class icon for target player.",
    LUIE_STRING_LAM_UF_TARGET_ICON_GFI = "Display Target Friend/Guild/Ignored Icon",
    LUIE_STRING_LAM_UF_TARGET_ICON_GFI_TP = "Display icon for target player if this player is your friend, in one of your guilds, or ignored.",
    LUIE_STRING_LAM_UF_CFRAMES_HEADER = "Custom Unit Frames",
    LUIE_STRING_LAM_UF_CFRAMES_UNLOCK = "Unlock Custom Frames",
    LUIE_STRING_LAM_UF_CFRAMES_UNLOCK_TP = "Allow mouse dragging for all custom unit frames. When frames are unlocked, the target frame is not being hidden and may display outdated information.",
    LUIE_STRING_LAM_UF_CFRAMES_RESETPOSIT_TP = "This will reset the position of Custom Frames to the default.",
    LUIE_STRING_LAM_UF_CFRAMES_FONT_TP = "Choose the font to use for custom unit frames.",
    LUIE_STRING_LAM_UF_CFRAMES_FONT_SIZE_LABELS = "Font Size (Label)",
    LUIE_STRING_LAM_UF_CFRAMES_FONT_SIZE_LABELS_TP = "Choose the font size for unit name, caption, etc: everything not on bars.",
    LUIE_STRING_LAM_UF_CFRAMES_FONT_SIZE_BARS = "Font Size (Bar)",
    LUIE_STRING_LAM_UF_CFRAMES_FONT_SIZE_BARS_TP = "Choose the font size for bar labels on custom unit frames.",
    LUIE_STRING_LAM_UF_CFRAMES_FONT_STYLE_TP = "Choose the font style to use for custom unit frames.",
    LUIE_STRING_LAM_UF_CFRAMES_TEXTURE = "Texture",
    LUIE_STRING_LAM_UF_CFRAMES_TEXTURE_TP = "Texture to use on custom frames.",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_SEPARATE = "Use Separate Shield Bar",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_SEPARATE_TP = "Enable this option to change the shield bar on Player, Target, and Small Group custom frames to be independent and not overlayed with Health Bar.",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_SEPARATE_HEIGHT = "Shield Bar Height",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_SEPARATE_HEIGHT_TP = "Choose the height for the shield bar.",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_OVERLAY = "Use Full Height Shield Bar",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_OVERLAY_TP = "When Shield bar is NOT separate, use full-sized shield bar on top of health bar for Player, Target, and Small Group custom frames instead of default half-height overlay bar.",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_ALPHA = "Set Shield Transparency (Overlay)",
    LUIE_STRING_LAM_UF_CFRAMES_SHIELD_ALPHA_TP = "Set the transparency of the shield bar when the overlay option is enabled.",
    LUIE_STRING_LAM_UF_CFRAMES_SMOOTHBARTRANS = "Use Smooth Bar Transition",
    LUIE_STRING_LAM_UF_CFRAMES_SMOOTHBARTRANS_TP = "Use smooth transition on all bars when value get changed. Disabling this option could improve performance a little.",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_HEADER = "Custom Unit Frame Color Options",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_HEALTH = "Health Bar Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_SHIELD = "Shield Bar Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_TRAUMA = "Trauma Bar Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_INVULNERABLE = "Invulnerable Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_MAGICKA = "Magicka Bar Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_STAMINA = "Stamina Bar Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_DPS = "DPS Role Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_HEALER = "Healer Role Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_TANK = "Tank Role Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_DK = "Dragonknight Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_NB = "Nightblade Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_SORC = "Sorcerer Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_TEMP = "Templar Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_WARD = "Warden Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_NECRO = "Necromancer Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_ARCA = "Arcanist Class Color",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_FILL_R_PLAYER = "Reaction Color - Player",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_FILL_R_FRIENDLY = "Reaction Color - Friendly",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_FILL_R_HOSTILE = "Reaction Color - Hostile",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_FILL_R_NEUTRAL = "Reaction Color - Neutral",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_FILL_R_GUARD = "Reaction Color - Guard",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_FILL_R_COMPANION = "Reaction Color - Companion",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_HEADER = "Player & Target - Bar Fill Direction",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_PLAYER_HEALTH = "Player Health Bar Alignment",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_PLAYER_HEALTH_TP = "Choose the direction the player health bar fills from.",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_PLAYER_MAGICKA = "Player Magicka Bar Alignment",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_PLAYER_MAGICKA_TP = "Choose the direction the player magicka bar fills from.",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_PLAYER_STAMINA = "Player Stamina Bar Alignment",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_PLAYER_STAMINA_TP = "Choose the direction the player stamina bar fills from.",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_TARGET = "Target Health Bar Alignment",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_TARGET_TP = "Choose the direction the target health bar fills from.",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_LABEL_PLAYER = "Center Label for Player Bars",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_LABEL_PLAYER_TP = "Center the power label for Player Resource Bars. Enabling this will use the Center Label format below.",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_LABEL_TARGET = "Center Label for Target Bar",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_LABEL_TARGET_TP = "Center the power label for the Target Health Bar. Enabling this will use the Center Label format below.",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_LABEL_CENTER_FORM = "Label Format for Center Label",
    LUIE_STRING_LAM_UF_CFRAMES_ALIGN_LABEL_CENTER_FORM_TP = "Label Format for Center Label",
    LUIE_STRING_LAM_UF_CFRAMESPT_HEADER = "Custom Unit Frames (Player & Target)",
    LUIE_STRING_LAM_UF_CFRAMESPT_OPTIONS_HEADER = "Additional Player Frame Display Options",
    LUIE_STRING_LAM_UF_CFRAMESPT_ENABLE_PLAYER = "Enable Custom PLAYER Frame",
    LUIE_STRING_LAM_UF_CFRAMESPT_ENABLE_PLAYER_TP = "Create custom player unit frames.",
    LUIE_STRING_LAM_UF_CFRAMESPT_ENABLE_TARGET = "Enable Custom TARGET Frame",
    LUIE_STRING_LAM_UF_CFRAMESPT_ENABLE_TARGET_TP = "Create custom target unit frames.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_WIDTH = "Player - Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_HP_HIGHT = "Player - Health Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_MAG_HIGHT = "Player - Magicka Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_STAM_HIGHT = "Player - Stamina Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_HP_NOLABEL = "Hide Health Bar Label",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_HP_NOLABEL_TP = "Hide the attribute values label on the Player Health Bar.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_HP_NOBAR = "Completely Hide Health Bar",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_HP_NOBAR_TP = "Completely hide the Player Health Bar.\n\nNote: The Health Bar was never really intended to be hidden so this option may behave a bit strangely in some cases.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_MAG_NOLABEL = "Hide Magicka Bar Label",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_MAG_NOLABEL_TP = "Hide the attribute values label on the Player Magicka Bar.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_MAG_NOBAR = "Completely Hide Magicka Bar",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_MAG_NOBAR_TP = "Completely hide the Player Magicka Bar.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_STAM_NOLABEL = "Hide Stamina Bar Label",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_STAM_NOLABEL_TP = "Hide the attribute values label on the Player Stamina Bar.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_STAM_NOBAR = "Completely Hide Stamina Bar",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_STAM_NOBAR_TP = "Completely hide the Player Stamina Bar.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_REVERSE_RES = "Swap Magicka and Stamina Bar Position",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_REVERSE_RES_TP = "Swap the positions of Magicka and Stamina Bars on the Player frame.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_OOCPACITY = "Player - Transparency - Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_OOCPACITY_TP = "Change the transparency of custom player unit frames when out of combat.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_ICPACITY = "Player - Transparency - In-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_ICPACITY_TP = "Change the transparency of custom player unit frames when engaged in combat.",
    LUIE_STRING_LAM_UF_CFRAMESPT_BuFFS_PLAYER = "Player - Hide Anchored Buffs Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_BuFFS_PLAYER_TP = "When out of combat, hide the buff & debuff frame if they are anchored to the player/target bars.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_METHOD = "Player Frame Display Method",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_METHOD_TP = "Choose the layout for custom player frames. This will reset your custom frame positions, and the Horizontal and Pyramid options will relocate the player and target frames to center screen.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_METHOD_WARN = "This will reset your custom Player & Target frame positions!",
    LUIE_STRING_LAM_UF_CFRAMESPT_S_HORIZ_ADJUST = "Stamina Bar Horizontal Position",
    LUIE_STRING_LAM_UF_CFRAMESPT_S_HORIZ_ADJUST_TP = "Adjust the horizontal position of the stamina bar. If you wish to relocate all frames, unlock the custom frames and move them instead.",
    LUIE_STRING_LAM_UF_CFRAMESPT_S_VERT_ADJUST = "Stamina Bar Vertical Position",
    LUIE_STRING_LAM_UF_CFRAMESPT_S_VERT_ADJUST_TP = "Adjust the vertical position of the stamina bar. If you wish to relocate all frames, unlock the custom frames and move them instead.",
    LUIE_STRING_LAM_UF_CFRAMESPT_M_HORIZ_ADJUST = "Magicka Bar Horizontal Position",
    LUIE_STRING_LAM_UF_CFRAMESPT_M_HORIZ_ADJUST_TP = "Adjust the horizontal position of the magicka bar. If you wish to relocate all frames, unlock the custom frames and move them instead.",
    LUIE_STRING_LAM_UF_CFRAMESPT_M_VERT_ADJUST = "Magicka Bar Vertical Position",
    LUIE_STRING_LAM_UF_CFRAMESPT_M_VERT_ADJUST_TP = "Adjust the vertical position of the magicka bar. If you wish to relocate all frames, unlock the custom frames and move them instead.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_SPACING = "Player - Spacing Between Bars",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_SPACING_TP = "Adjust the vertical spacing between player frame bars.",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_NAMESELF = "Player - Display Your Name",
    LUIE_STRING_LAM_UF_CFRAMESPT_PLAYER_NAMESELF_TP = "Display your character name and level on the player frame.",
    LUIE_STRING_LAM_UF_CFRAMESPT_MOUNTSIEGEWWBAR = "Player - Display Mount/Siege/Werewolf Bar",
    LUIE_STRING_LAM_UF_CFRAMESPT_MOUNTSIEGEWWBAR_TP = "Display a bar to track mount stamina, siege weapon health, and remaining werewolf timer.",
    LUIE_STRING_LAM_UF_CFRAMESPT_XPCPBAR = "Player - Display XP/Champion XP Bar",
    LUIE_STRING_LAM_UF_CFRAMESPT_XPCPBAR_TP = "Display a bar to track player experience gain.",
    LUIE_STRING_LAM_UF_CFRAMESPT_XPCPBARCOLOR = "Color Champion XP Bar by Point Type",
    LUIE_STRING_LAM_UF_CFRAMESPT_XPCPBARCOLOR_TP = "Set the color of the of Champion XP bar to be dependent on the type of Champion Point being earned.",
    LUIE_STRING_LAM_UF_LOWRESOURCE_HEALTH = "Player - Low Health % Threshold",
    LUIE_STRING_LAM_UF_LOWRESOURCE_HEALTH_TP = "Determines the threshold of health to color the player health label text red.",
    LUIE_STRING_LAM_UF_LOWRESOURCE_MAGICKA = "Player - Low Magicka % Threshold",
    LUIE_STRING_LAM_UF_LOWRESOURCE_MAGICKA_TP = "Determines the threshold of magicka to color the player magicka label text red.",
    LUIE_STRING_LAM_UF_LOWRESOURCE_STAMINA = "Player - Low Stamina % Threshold",
    LUIE_STRING_LAM_UF_LOWRESOURCE_STAMINA_TP = "Determines the threshold of stamina to color the player stamina label text red.",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_WIDTH = "Target - Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_HEIGHT = "Target - Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_OOCPACITY = "Target - Transparency - Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_OOCPACITY_TP = "Change the transparency of custom target unit frames when out of combat.",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_ICPACITY = "Target - Transparency - In-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_ICPACITY_TP = "Change the transparency of custom target unit frames when engaged in combat.",
    LUIE_STRING_LAM_UF_CFRAMESPT_BUFFS_TARGET = "Target - Hide Anchored Buffs Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_BUFFS_TARGET_TP = "When out of combat, hide the buff & debuff frame if they are anchored to the player/target bars.",
    LUIE_STRING_LAM_UF_CFRAMESPT_REACTION_TARGET = "Target - Use Reaction Color",
    LUIE_STRING_LAM_UF_CFRAMESPT_REACTION_TARGET_TP = "Color the target frame by reaction instead of using the health bar color.",
    LUIE_STRING_LAM_UF_CFRAMESPT_CLASS_TARGET = "Target - Use Class Color",
    LUIE_STRING_LAM_UF_CFRAMESPT_CLASS_TARGET_TP = "Color the target frame by Player Class instead of using the health bar color. This will take precedent over Reaction Color when both are enabled.",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_CLASSLABEL = "Target - Display Class Label",
    LUIE_STRING_LAM_UF_CFRAMESPT_TARGET_CLASSLABEL_TP = "Display text label with target class name on target frame together with class icon.",
    LUIE_STRING_LAM_UF_CFRAMESPT_EXETHRESHOLD = "Target - Execute Health % Threshold",
    LUIE_STRING_LAM_UF_CFRAMESPT_EXETHRESHOLD_TP = "Determines the threshold of health to color the target label text red, as well as display the skull execute texture if enabled.",
    LUIE_STRING_LAM_UF_CFRAMESPT_EXETEXTURE = "Target - Display Skull Execute Texture",
    LUIE_STRING_LAM_UF_CFRAMESPT_EXETEXTURE_TP = "Display Skull texture next to custom target frame for low-health target that should be executed.",
    LUIE_STRING_LAM_UF_CFRAMESPT_TITLE = "Target - Display Title",
    LUIE_STRING_LAM_UF_CFRAMESPT_TITLE_TP = "Display the Title of a target player or NPC.",
    LUIE_STRING_LAM_UF_CFRAMESPT_RANK = "Target - Display AVA Rank Name",
    LUIE_STRING_LAM_UF_CFRAMESPT_RANK_TP = "Display the AVA Rank Name of a target player.",
    LUIE_STRING_LAM_UF_CFRAMESPT_RANKICON = "Target - Display AVA Rank Number & Icon",
    LUIE_STRING_LAM_UF_CFRAMESPT_RANKICON_TP = "Display the AVA Rank Number & Icon of a player target.",
    LUIE_STRING_LAM_UF_CFRAMESPT_RANK_TITLE_PRIORITY = "Target - Rank/Title Priority",
    LUIE_STRING_LAM_UF_CFRAMESPT_RANK_TITLE_PRIORITY_TP = "Choose whether to prioritize the display of the AVA Rank Name or Title on players.",
    LUIE_STRING_LAM_UF_CFRAMESPT_MISSPOWERCOMBAT = "Treat Missing Power as In-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPT_MISSPOWERCOMBAT_TP = "When any resource pool is used change the frames to use the in combat opacity value as if engaged in combat.",
    LUIE_STRING_LAM_UF_CFRAMESG_HEADER = "Custom Unit Frames (Group)",
    LUIE_STRING_LAM_UF_CFRAMESG_LUIEFRAMESENABLE = "Enable Custom GROUP Frames",
    LUIE_STRING_LAM_UF_CFRAMESG_LUIEFRAMESENABLE_TP = "Create custom group unit frames.",
    LUIE_STRING_LAM_UF_CFRAMESG_WIDTH = "Group Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESG_HEIGHT = "Group Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESG_SPACING = "Spacing Between Group Bars",
    LUIE_STRING_LAM_UF_CFRAMESG_INCPLAYER = "Include Player in Group Frame",
    LUIE_STRING_LAM_UF_CFRAMESG_INCPLAYER_TP = "Include the player in the list of group frames.",
    LUIE_STRING_LAM_UF_CFRAMESG_ROLEICON = "Show Role Icon on Group Frames",
    LUIE_STRING_LAM_UF_CFRAMESG_ROLEICON_TP = "This will show the selected player role on group frames.",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_GFRAMESBYROLE = "Color Custom Group Frames by Role",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_GFRAMESBYROLE_TP = "Colors the custom group frame bars based off role.",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_GFRAMESBYCLASS = "Color Custom Group Frames by Class",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_GFRAMESBYCLASS_TP = "Colors the custom group frame bars based off class.",
    LUIE_STRING_LAM_UF_CFRAMESR_HEADER = "Custom Unit Frames (Raid)",
    LUIE_STRING_LAM_UF_CFRAMESR_LUIEFRAMESENABLE = "Enable Custom RAID Frames",
    LUIE_STRING_LAM_UF_CFRAMESR_LUIEFRAMESENABLE_TP = "Create custom raid unit frames. If custom group frames are unused, then this raid frame will also be used for small groups.",
    LUIE_STRING_LAM_UF_CFRAMESR_WIDTH = "Raid Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESR_HEIGHT = "Raid Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESR_LAYOUT = "Raid Frame Layout",
    LUIE_STRING_LAM_UF_CFRAMESR_LAYOUT_TP = "Select layout of raid frame in format 'columns*rows'.",
    LUIE_STRING_LAM_UF_CFRAMESR_SPACER = "Add Spacer for Every 4 Members",
    LUIE_STRING_LAM_UF_CFRAMESR_SPACER_TP = "Add a small spacer between raid members frames to visualize default group splitting.",
    LUIE_STRING_LAM_UF_CFRAMESR_NAMECLIP = "Raid Name Clip Location",
    LUIE_STRING_LAM_UF_CFRAMESR_NAMECLIP_TP = "Due to the inability to detect the length of the hit point value, you can use this setting to manually change where the name is clipped on raid frames in order to prevent overlap.",
    LUIE_STRING_LAM_UF_CFRAMESR_ROLEICON = "Class/Role Icon Format",
    LUIE_STRING_LAM_UF_CFRAMESR_ROLEICON_TP = "Choose the method for displaying class or role icons on the raid frames.",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_RFRAMESBYROLE = "Color Custom Raid Frames by Role",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_RFRAMESBYROLE_TP = "Colors the custom raid frame bars based off role.",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_RFRAMESSORT = "Sort by Role",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_RFRAMESSORT_TP = "Sorts the custom raid frames according to role.",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_RFRAMESBYCLASS = "Color Custom Raid Frames by Class",
    LUIE_STRING_LAM_UF_CFRAMES_COLOR_RFRAMESBYCLASS_TP = "Colors the custom raid frame bars based off class.",
    LUIE_STRING_LAM_UF_CFRAMESB_HEADER = "Custom Unit Frames (Boss)",
    LUIE_STRING_LAM_UF_CFRAMESB_LUIEFRAMESENABLE = "Enable Custom BOSS Frames",
    LUIE_STRING_LAM_UF_CFRAMESB_LUIEFRAMESENABLE_TP = "Create custom boss unit frames. This will track the health of up to 6 bosses in dungeons encounters.",
    LUIE_STRING_LAM_UF_CFRAMESB_WIDTH = "Boss Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESB_HEIGHT = "Boss Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESB_OPACITYOOC = "Boss Bar Transparency - Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESB_OPACITYOOC_TP = "Change the transparency of custom boss unit frames when out of combat.",
    LUIE_STRING_LAM_UF_CFRAMESB_OPACITYIC = "Boss Bar Transparency - In-Combat",
    LUIE_STRING_LAM_UF_CFRAMESB_OPACITYIC_TP = "Change the transparency of custom boss unit frames when engaged in combat.",
    LUIE_STRING_LAM_UF_CFRAMESPVP_HEADER = "Custom Unit Frames (PvP Target Frame)",
    LUIE_STRING_LAM_UF_CFRAMESPVP_TARGETFRAME = "Enable PvP Target Frame",
    LUIE_STRING_LAM_UF_CFRAMESPVP_TARGETFRAME_TP = "Create additional custom target unit frames. This will track health of hostile pvp players only. It also by default has larger size, less information and is positioned in the center of the screen.",
    LUIE_STRING_LAM_UF_CFRAMESPVP_TARGETFRAME_WIDTH = "PvP Target Bars Width",
    LUIE_STRING_LAM_UF_CFRAMESPVP_TARGETFRAME_HEIGHT = "PvP Target Bar Height",
    LUIE_STRING_LAM_UF_COMMON_HEADER = "Common Options",
    LUIE_STRING_LAM_UF_COMMON_NAMEDISPLAY_PLAYER = "Player Name Display Method (Player)",
    LUIE_STRING_LAM_UF_COMMON_NAMEDISPLAY_PLAYER_TP = "Determines the method used to display your name on the player frame.\nDefault: Character Name",
    LUIE_STRING_LAM_UF_COMMON_NAMEDISPLAY_TARGET = "Player Name Display Method (Target)",
    LUIE_STRING_LAM_UF_COMMON_NAMEDISPLAY_TARGET_TP = "Determines the method used to display other player names on target unit frames.\nDefault: Character Name",
    LUIE_STRING_LAM_UF_COMMON_NAMEDISPLAY_GROUPRAID = "Player Name Display Method (Group/Raid)",
    LUIE_STRING_LAM_UF_COMMON_NAMEDISPLAY_GROUPRAID_TP = "Determines the method used to display other player names on group and raid unit frames.\nDefault: Character Name",
    LUIE_STRING_LAM_UF_COMMON_CAPTIONCOLOR = "Default Caption Color",
    LUIE_STRING_LAM_UF_COMMON_NPCFONTCOLOR = "Friendly NPC Font Color",
    LUIE_STRING_LAM_UF_COMMON_PLAYERFONTCOLOR = "Friendly Player Font Color",
    LUIE_STRING_LAM_UF_COMMON_HOSTILEFONTCOLOR = "Hostile Font Color",
    LUIE_STRING_LAM_UF_COMMON_RETICLECOLOR = "Apply Same Settings to Reticle",
    LUIE_STRING_LAM_UF_COMMON_RETICLECOLOR_TP = "Change the color of the reticle according to unit reaction.",
    LUIE_STRING_LAM_UF_COMMON_RETICLECOLORINTERACT = "Interactible Reticle Color",
    LUIE_STRING_LAM_UF_CFRAMESPET_HEADER = "Custom Unit Frames (Pet)",
    LUIE_STRING_LAM_UF_CFRAMESPET_ENABLE = "Enable Custom PET Frames",
    LUIE_STRING_LAM_UF_CFRAMESPET_ENABLE_TP = "Create custom pet unit frames. This will track the health of up to 7 player pets.",
    LUIE_STRING_LAM_UF_CFRAMESPET_WIDTH = "Pet Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESPET_HEIGHT = "Pet Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESPET_COLOR = "Pet Frame Color",
    LUIE_STRING_LAM_UF_CFRAMESPET_USE_CLASS_COLOR = "Pet - Use Class Color",
    LUIE_STRING_LAM_UF_CFRAMESPET_USE_CLASS_COLOR_TP = "Color the pet frame by Player Class instead of using the pet bar color.",
    LUIE_STRING_LAM_UF_CFRAMESPET_OOCPACITY = "Pet - Transparency - Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPET_OOCPACITY_TP = "Change the transparency of custom pet frames when out of combat.",
    LUIE_STRING_LAM_UF_CFRAMESPET_ICPACITY = "Pet - Transparency - In-Combat",
    LUIE_STRING_LAM_UF_CFRAMESPET_ICPACITY_TP = "Change the transparency of custom pet frames when engaged in combat.",
    LUIE_STRING_LAM_UF_CFRAMESPET_NAMECLIP = "Pet Name Clip Location",
    LUIE_STRING_LAM_UF_CFRAMESPET_NAMECLIP_TP = "Due to the inability to detect the length of the hit point value, you can use this setting to manually change where the name is clipped on pet frames in order to prevent overlap.",
    LUIE_STRING_LAM_UF_BLACKLIST_DESCRIPT = 'Add pet names to the whitelist by entering the name into the input field and pressing enter. Remove pet names from the whitelist by clicking the pet name from the dropdown list.\nNote: Names are not case-sensitive.\n\nA few references:\nYou can add Assistants here as well if you want an easy way to monitor whether they are out.\nDark Shade & its morphs = "Gloom Wraith"\nEngine Guardian = "Dwarven Sphere"\nMaw of the Infernal = "Daedroth"\nMorkuldin = "Morkuldin Sword"\nSentinel of Rkugamz = "Dwemer Spider"\nShadowrend = "Shadowrend"',
    LUIE_STRING_LAM_UF_BLACKLIST_ADDLIST = "Add Pet Name to Whitelist",
    LUIE_STRING_LAM_UF_BLACKLIST_ADDLIST_TP = "Add a pet name to the whitelist.",
    LUIE_STRING_LAM_UF_BLACKLIST_REMLIST = "Remove Pet Name from Whitelist",
    LUIE_STRING_LAM_UF_BLACKLIST_REMLIST_TP = "Remove a pet name whitelist.",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_SORCERER = "Add Sorcerer Pets",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_SORCERER_TP = "Add Unstable Familiar, Winged Twilight, and Summon Storm Atronach (morphs included) to the whitelist.",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_WARDEN = "Add Warden Pets",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_WARDEN_TP = "Add Feral Guardian, Eternal Guardian, and Wild Guardian to the whitelist.",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_NECROMANCER = "Add Necromancer Pets",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_NECROMANCER_TP = "Add Skeletal Mage and Spirit Mender (morphs included) to the whitelist.",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_SETS = "Add Summoned Sets",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_SETS_TP = "Add Engine Guardian, Maw of the Infernal, Morkuldin, Sentinel of Rkugamz, and Shadowrend to the whitelist.",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_ASSISTANTS = "Add Assistants",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_ASSISTANTS_TP = "Add Ezabi, Fezez, Pirharri, Nuzhimeh, Tythis, Baron, Peddler, Ghrasharog, and Factotums to the whitelist.",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_CURRENT = "Add Currently Active Pets",
    LUIE_STRING_LAM_UF_WHITELIST_ADD_CURRENT_TP = "Add any currently active pets to the whitelist including assistants. This option is useful if localization is not yet done for the language you are using, or you are using an addon like RuESO that changes the way Pet Unit Names display.",
    LUIE_STRING_LAM_UF_WHITELIST_CLEAR = "Clear Whitelist",
    LUIE_STRING_LAM_UF_WHITELIST_CLEAR_TP = "Remove all entries from the whitelist.",
    LUIE_STRING_LAM_UF_BLACKLIST_CLEAR = "Clear Blacklist",
    LUIE_STRING_LAM_UF_BLACKLIST_CLEAR_TP = "Remove all entries from the blacklist.",
    LUIE_STRING_LAM_UF_BLACKLIST_CLEAR_DIALOG = "Are you sure you want to clear the <<1>>?",
    LUIE_STRING_LAM_UF_BLACKLIST_CLEAR_DIALOG_LIST = "Are you sure you want to clear the <<1>> list?",
    LUIE_STRING_LAM_UF_PROMINENT_CLEAR_BUFFS = "Clear Prominent Buffs",
    LUIE_STRING_LAM_UF_PROMINENT_CLEAR_BUFFS_TP = "Remove all entries from the Prominent Buffs list.",
    LUIE_STRING_LAM_UF_PROMINENT_CLEAR_DEBUFFS = "Clear Prominent Debuffs",
    LUIE_STRING_LAM_UF_PROMINENT_CLEAR_DEBUFFS_TP = "Remove all entries from the Prominent Debuffs list.",
    LUIE_STRING_LAM_UF_PRIORITY_CLEAR_BUFFS = "Clear Priority Buffs",
    LUIE_STRING_LAM_UF_PRIORITY_CLEAR_BUFFS_TP = "Remove all entries from the Priority Buffs list.",
    LUIE_STRING_LAM_UF_PRIORITY_CLEAR_DEBUFFS = "Clear Priority Debuffs",
    LUIE_STRING_LAM_UF_PRIORITY_CLEAR_DEBUFFS_TP = "Remove all entries from the Priority Debuffs list.",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_HEADER = "Custom Unit Frames (Companion)",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_ENABLE = "Enable Custom COMPANION Frame",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_ENABLE_TP = "Create custom companion unit frame. This will track the health of your active companion.",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_WIDTH = "Companion Bar Width",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_HEIGHT = "Companion Bar Height",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_COLOR = "Companion Frame Color",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_USE_CLASS_COLOR = "Companion - Use Class Color",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_USE_CLASS_COLOR_TP = "Color the companion frame by Player Class instead of using the companion bar color.",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_OOCPACITY = "Companion - Transparency - Out-of-Combat",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_OOCPACITY_TP = "Change the transparency of custom companion frame when out of combat.",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_ICPACITY = "Companion - Transparency - In-Combat",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_ICPACITY_TP = "Change the transparency of custom companion frame when engaged in combat.",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_NAMECLIP = "Companion Name Clip Location",
    LUIE_STRING_LAM_UF_CFRAMESCOMPANION_NAMECLIP_TP = "Due to the inability to detect the length of the hit point value, you can use this setting to manually change where the name is clipped on the companion frame in order to prevent overlap.",

    -- Module: Combat Text
    LUIE_STRING_LAM_CT = "Combat Text",
    LUIE_STRING_LAM_CT_SHOWCOMBATTEXT = "Combat Text Module",
    LUIE_STRING_LAM_CT_DESCRIPTION = "Display Combat Cloud combat text, with damage/healing values, and various alerts.",
    LUIE_STRING_LAM_CT_UNLOCK = "Unlock",
    LUIE_STRING_LAM_CT_UNLOCK_TP = "Unlock the panels to move them.",
    LUIE_STRING_LAM_CT_IC_ONLY = "In Combat Only",
    LUIE_STRING_LAM_CT_IC_ONLY_TP = "Only display incoming and outgoing numbers when in combat.",
    LUIE_STRING_LAM_CT_TRANSPARENCY = "Set Transparency",
    LUIE_STRING_LAM_CT_TRANSPARENCY_TP = "Set an alpha value for combat text.",
    LUIE_STRING_LAM_CT_OVERKILL = "Show Overkill",
    LUIE_STRING_LAM_CT_OVERKILL_TP = "Enable to display your full damage even when the damage of a killing blow exceeds the remaining health of the enemy.",
    LUIE_STRING_LAM_CT_OVERHEAL = "Show Overhealing",
    LUIE_STRING_LAM_CT_OVERHEAL_TP = "Enable to display healing done even when the healing exceeds the deficit of health being healed.",
    LUIE_STRING_LAM_CT_ABBREVIATE = "Shorten Numbers",
    LUIE_STRING_LAM_CT_ABBREVIATE_TP = "Replace large numbers like 12345 with 12.3k on all combat text labels.",
    LUIE_STRING_LAM_CT_SHARED_DAMAGE = "Damage",
    LUIE_STRING_LAM_CT_SHARED_DAMAGE_CRITICAL = "Damage (Critical)",
    LUIE_STRING_LAM_CT_SHARED_HEALING = "Healing",
    LUIE_STRING_LAM_CT_SHARED_HEALING_CRITICAL = "Healing (Critical)",
    LUIE_STRING_LAM_CT_SHARED_DOT = "Damage over Time",
    LUIE_STRING_LAM_CT_SHARED_DOT_ABV = "DoT",
    LUIE_STRING_LAM_CT_SHARED_DOT_CRITICAL = "Damage over Time (Critical)",
    LUIE_STRING_LAM_CT_SHARED_HOT = "Healing over Time",
    LUIE_STRING_LAM_CT_SHARED_HOT_ABV = "HoT",
    LUIE_STRING_LAM_CT_SHARED_HOT_CRITICAL = "Healing over Time (Critical)",
    LUIE_STRING_LAM_CT_SHARED_GAIN_LOSS = "Resource Gain/Drain",
    LUIE_STRING_LAM_CT_SHARED_ENERGIZE = "Resource Gain",
    LUIE_STRING_LAM_CT_SHARED_ENERGIZE_ULTIMATE = "Ultimate Gain",
    LUIE_STRING_LAM_CT_SHARED_DRAIN = "Resource Drain",
    LUIE_STRING_LAM_CT_SHARED_MITIGATION = "Mitigation",
    LUIE_STRING_LAM_CT_SHARED_MISS = "Missed",
    LUIE_STRING_LAM_CT_SHARED_IMMUNE = "Immune",
    LUIE_STRING_LAM_CT_SHARED_PARRIED = "Parried",
    LUIE_STRING_LAM_CT_SHARED_REFLECTED = "Reflected",
    LUIE_STRING_LAM_CT_SHARED_DAMAGE_SHIELD = "Damage Shielded",
    LUIE_STRING_LAM_CT_SHARED_DODGED = "Dodged",
    LUIE_STRING_LAM_CT_SHARED_BLOCKED = "Blocked",
    LUIE_STRING_LAM_CT_SHARED_INTERRUPTED = "Interrupted",
    LUIE_STRING_LAM_CT_SHARED_CROWD_CONTROL = "Crowd Control",
    LUIE_STRING_LAM_CT_SHARED_DISORIENTED = "Disoriented",
    LUIE_STRING_LAM_CT_SHARED_FEARED = "Feared",
    LUIE_STRING_LAM_CT_SHARED_CHARMED = "Charmed",
    LUIE_STRING_LAM_CT_SHARED_OFF_BALANCE = "Off-Balance",
    LUIE_STRING_LAM_CT_SHARED_SILENCED = "Silenced",
    LUIE_STRING_LAM_CT_SHARED_STUNNED = "Stunned",
    LUIE_STRING_LAM_CT_SHARED_COMBAT_STATE = "Combat State",
    LUIE_STRING_LAM_CT_SHARED_COMBAT_IN = "In Combat",
    LUIE_STRING_LAM_CT_SHARED_COMBAT_OUT = "Out of Combat",
    LUIE_STRING_LAM_CT_SHARED_ALERT = "Active Combat Alerts",
    LUIE_STRING_LAM_CT_SHARED_ALERT_BLOCK = "Block",
    LUIE_STRING_LAM_CT_SHARED_ALERT_BLOCK_S = "Block Stagger",
    LUIE_STRING_LAM_CT_SHARED_ALERT_DODGE = "Dodge",
    LUIE_STRING_LAM_CT_SHARED_ALERT_AVOID = "Avoid",
    LUIE_STRING_LAM_CT_SHARED_ALERT_INTERRUPT = "Interrupt",
    LUIE_STRING_LAM_CT_SHARED_ALERT_UNMIT = "Unmitigable",
    LUIE_STRING_LAM_CT_SHARED_ALERT_POWER = "Important Enemy Buffs (Power/Enrage)",
    LUIE_STRING_LAM_CT_SHARED_ALERT_DESTROY = "Destroy (Priority Target)",
    LUIE_STRING_LAM_CT_SHARED_ALERT_SUMMON = "Enemy NPC Summons",
    LUIE_STRING_LAM_CT_SHARED_POINTS = "Experience, Champion, and Alliance Points",
    LUIE_STRING_LAM_CT_SHARED_POINTS_ALLIANCE = "Alliance Points",
    LUIE_STRING_LAM_CT_SHARED_POINTS_EXPERIENCE = "Experience Points",
    LUIE_STRING_LAM_CT_SHARED_POINTS_CHAMPION = "Champion Experience",
    LUIE_STRING_LAM_CT_SHARED_RESOURCE = "Resources",
    LUIE_STRING_LAM_CT_SHARED_LOW_HEALTH = "Low Health",
    LUIE_STRING_LAM_CT_SHARED_LOW_MAGICKA = "Low Magicka",
    LUIE_STRING_LAM_CT_SHARED_LOW_STAMINA = "Low Stamina",
    LUIE_STRING_LAM_CT_SHARED_ULTIMATE_READY = "Ultimate Ready",
    LUIE_STRING_LAM_CT_SHARED_POTION_READY = "Potion Ready",
    LUIE_STRING_LAM_CT_SHARED_ULTIMATE_AND_POTION_READY = "Ultimate & Potion Ready",
    LUIE_STRING_LAM_CT_SHARED_INCOMING = "Incoming",
    LUIE_STRING_LAM_CT_SHARED_OUTGOING = "Outgoing",
    LUIE_STRING_LAM_CT_SHARED_DISPLAY = "Display",
    LUIE_STRING_LAM_CT_SHARED_FORMAT = "Format",
    LUIE_STRING_LAM_CT_SHARED_CRITICAL = "Critical",
    LUIE_STRING_LAM_CT_SHARED_OPTIONS = "Options",
    LUIE_STRING_LAM_CT_SHARED_COLOR = "Font Color",
    LUIE_STRING_LAM_CT_SHARED_WARNING = "Warning",
    LUIE_STRING_LAM_CT_SHARED_STAMINA = "Stamina",
    LUIE_STRING_LAM_CT_SHARED_MAGICKA = "Magicka",
    LUIE_STRING_LAM_CT_SHARED_ULTIMATE = "Ultimate",
    LUIE_STRING_LAM_CT_HEADER_DAMAGE_AND_HEALING = "Damage & Healing",
    LUIE_STRING_LAM_CT_HEADER_RESOURCE_GAIN_DRAIN = "Resource Gain & Drain",
    LUIE_STRING_LAM_CT_HEADER_MITIGATION = "Mitigation",
    LUIE_STRING_LAM_CT_HEADER_CROWD_CONTROL = "Crowd Control",
    LUIE_STRING_LAM_CT_HEADER_NOTIFICATION = "Notification",
    LUIE_STRING_LAM_CT_HEADER_LOW_RESOURCE = "Low Resource Warning",

    LUIE_STRING_LAM_CT_HEADER_DAMAGE_COLOR = "Damage Color Options",
    LUIE_STRING_LAM_CT_HEADER_HEALING_COLOR = "Healing Color Options",
    LUIE_STRING_LAM_CT_HEADER_SHARED_FONT_SIZE = "Shared Font Size",
    LUIE_STRING_LAM_CT_HEADER_SHARED_RESOURCE_OPTIONS = "Shared Low Resource Options",
    LUIE_STRING_LAM_CT_INCOMING_DAMAGE_HEAL_HEADER = "Incoming Damage & Healing",
    LUIE_STRING_LAM_CT_INCOMING_DAMAGE_TP = "Show incoming direct damage.",
    LUIE_STRING_LAM_CT_INCOMING_DOT_TP = "Show incoming damage over time.",
    LUIE_STRING_LAM_CT_INCOMING_HEALING_TP = "Show incoming direct healing.",
    LUIE_STRING_LAM_CT_INCOMING_HOT_TP = "Show incoming healing over time.",
    LUIE_STRING_LAM_CT_INCOMING_ENERGIZE_TP = "Show incoming magicka/stamina gain.",
    LUIE_STRING_LAM_CT_INCOMING_ENERGIZE_ULTIMATE_TP = "Show incoming ultimate gain.",
    LUIE_STRING_LAM_CT_INCOMING_DRAIN_TP = "Show incoming magicka/stamina loss.",
    LUIE_STRING_LAM_CT_INCOMING_MISS_TP = "Show incoming attacks that miss.",
    LUIE_STRING_LAM_CT_INCOMING_IMMUNE_TP = "Show incoming attacks that you are immune to.",
    LUIE_STRING_LAM_CT_INCOMING_PARRIED_TP = "Show incoming attacks that are parried.",
    LUIE_STRING_LAM_CT_INCOMING_REFLECTED_TP = "Show incoming attacks that are reflected.",
    LUIE_STRING_LAM_CT_INCOMING_DAMAGE_SHIELD_TP = "Show incoming damage absorbed by a shield.",
    LUIE_STRING_LAM_CT_INCOMING_DODGED_TP = "Show incoming dodged attacks.",
    LUIE_STRING_LAM_CT_INCOMING_BLOCKED_TP = "Show incoming blocked attacks.",
    LUIE_STRING_LAM_CT_INCOMING_INTERRUPTED_TP = "Show when you are interrupted by an enemy.",
    LUIE_STRING_LAM_CT_INCOMING_DISORIENTED_TP = "Show when you are disoriented.",
    LUIE_STRING_LAM_CT_INCOMING_FEARED_TP = "Show when you are feared.",
    LUIE_STRING_LAM_CT_INCOMING_CHARMED_TP = "Show when you are charmed.",
    LUIE_STRING_LAM_CT_INCOMING_OFF_BALANCE_TP = "Show when you are off-balance.",
    LUIE_STRING_LAM_CT_INCOMING_SILENCED_TP = "Show when you are silenced.",
    LUIE_STRING_LAM_CT_INCOMING_STUNNED_TP = "Show when you are stunned.",
    LUIE_STRING_LAM_CT_OUTGOING_DAMAGE_TP = "Show outgoing direct damage.",
    LUIE_STRING_LAM_CT_OUTGOING_DOT_TP = "Show outgoing damage over time.",
    LUIE_STRING_LAM_CT_OUTGOING_HEALING_TP = "Show outgoing direct healing.",
    LUIE_STRING_LAM_CT_OUTGOING_HOT_TP = "Show outgoing healing over time.",
    LUIE_STRING_LAM_CT_OUTGOING_ENERGIZE_TP = "Show outgoing magicka/stamina gain.",
    LUIE_STRING_LAM_CT_OUTGOING_ENERGIZE_ULTIMATE_TP = "Show outgoing ultimate gain.",
    LUIE_STRING_LAM_CT_OUTGOING_DRAIN_TP = "Show outgoing magicka/stamina drain.",
    LUIE_STRING_LAM_CT_OUTGOING_MISS_TP = "Show outgoing attacks that you miss.",
    LUIE_STRING_LAM_CT_OUTGOING_IMMUNE_TP = "Show outgoing attacks that the enemy is immune to.",
    LUIE_STRING_LAM_CT_OUTGOING_PARRIED_TP = "Show outgoing attacks that are parried.",
    LUIE_STRING_LAM_CT_OUTGOING_REFLECTED_TP = "Show outgoing attacks that are reflected.",
    LUIE_STRING_LAM_CT_OUTGOING_DAMAGE_SHIELD_TP = "Show outgoing damage absorbed by a shield.",
    LUIE_STRING_LAM_CT_OUTGOING_DODGED_TP = "Show outgoing attacks that are dodged.",
    LUIE_STRING_LAM_CT_OUTGOING_BLOCKED_TP = "Show outgoing attacks that are blocked.",
    LUIE_STRING_LAM_CT_OUTGOING_INTERRUPTED_TP = "Show when you interrupt an enemy.",
    LUIE_STRING_LAM_CT_OUTGOING_DISORIENTED_TP = "Show when you disorient an enemy.",
    LUIE_STRING_LAM_CT_OUTGOING_FEARED_TP = "Show when you fear an enemy.",
    LUIE_STRING_LAM_CT_OUTGOING_CHARMED_TP = "Show when you charm an enemy.",
    LUIE_STRING_LAM_CT_OUTGOING_OFF_BALANCE_TP = "Show when you set an enemy off-balance.",
    LUIE_STRING_LAM_CT_OUTGOING_SILENCED_TP = "Show when you silence an enemy.",
    LUIE_STRING_LAM_CT_OUTGOING_STUNNED_TP = "Show when you stun an enemy.",
    LUIE_STRING_LAM_CT_NOTIFICATION_COMBAT_STATE = "Combat State",

    LUIE_STRING_LAM_CT_BLACKLIST_ADD_SETS = "Add Set Regen",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_SETS_TP = "Add sets that have spammy resource restore/drain to the blacklist.",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_SORCERER = "Add Sorcerer Regen",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_SORCERER_TP = "Add Sorcerer abilities that have spammy resource restore/drain to the blacklist.",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_TEMPLAR = "Add Templar Regen",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_TEMPLAR_TP = "Add Templar abilities that have spammy resource restore/drain to the blacklist.",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_WARDEN = "Add Warden Regen",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_WARDEN_TP = "Add Warden abilities that have spammy resource restore/drain to the blacklist.",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_NECROMANCER = "Add Necromancer Regen",
    LUIE_STRING_LAM_CT_BLACKLIST_ADD_NECROMANCER_TP = "Add Necromancer abilities that have spammy resource restore/drain to the blacklist.",

    LUIE_STRING_LAM_CI_HEADER_ACTIVE_COMBAT_ALERT = "Active Combat Alert Options",
    LUIE_STRING_LAM_CI_ALERT_DESCRIPTION = "Display alerts when an enemy ability is incoming. The options below allow you to customize which alerts to display, display mitigation suggestions, toggle a countdown/cast timer, choose a sound to play, and show a border color on the icon based off the type of crowd control the ability applies (if any).",
    LUIE_STRING_LAM_CI_ALERT_UNLOCK = "Unlock Combat Alerts Frame",
    LUIE_STRING_LAM_CI_ALERT_UNLOCK_TP = "Unlock to drag the alerts frame.",
    LUIE_STRING_LAM_CI_ALERT_RESET_TP = "This will reset the position of the Alerts Frame.",
    LUIE_STRING_LAM_CI_ALERT_TOGGLE = "Enable Active Combat Alerts",
    LUIE_STRING_LAM_CI_ALERT_TOGGLE_TP = "Enable to display alerts for incoming enemy abilities.",
    LUIE_STRING_LAM_CI_ALERT_FONTFACE_TP = "Choose the font face for the Alerts Frame.",
    LUIE_STRING_LAM_CI_ALERT_FONTSIZE_TP = "Choose the font size for the Alerts Frame.",
    LUIE_STRING_LAM_CI_ALERT_FONTSTYLE_TP = "Choose the font style for the Alerts Frame.",
    LUIE_STRING_LAM_CI_ALERT_HEADER_SHARED = "Filtering Options",
    LUIE_STRING_LAM_CI_ALERT_AURA = "Display Alerts for Nearby NPC Events",
    LUIE_STRING_LAM_CI_ALERT_AURA_TP = "Many abilities that don't directly target the player can't be detected to provide a warning (such as a nearby NPC casting a healing ability). This option allows the Alert component to also detect auras and provide more information. However this can result in alerts being displayed for NPCs that are out of range of the player. Note that these events will still always be displayed in Dungeons.",
    LUIE_STRING_LAM_CI_ALERT_RANK3 = "Display Alerts for Normal NPC Abilities",
    LUIE_STRING_LAM_CI_ALERT_RANK3_TP = "Enable to display alerts for abilites used by standard NPCs.",
    LUIE_STRING_LAM_CI_ALERT_RANK2 = "Display Alerts for Elite/Quest NPC Abilities",
    LUIE_STRING_LAM_CI_ALERT_RANK2_TP = "Enable to display alerts for abilites specific to Elite or Quest NPCs. Examples include the NPC variant of Dragonknight Standard and Soul Tether.",
    LUIE_STRING_LAM_CI_ALERT_RANK1 = "Display Alerts for Boss/Trial NPC Abilities",
    LUIE_STRING_LAM_CI_ALERT_RANK1_TP = "Enable to display alerts specific to boss and trial NPCs.",
    LUIE_STRING_LAM_CI_ALERT_DUNGEON = "ALWAYS Display Alerts in Dungeons",
    LUIE_STRING_LAM_CI_ALERT_DUNGEON_TP = "Enable to always display alerts if you are in a dungeon. This option is ideal if you don't want to see normal NPC abilities outside of dungeons, but you want to be aware of significantly scaled up variants cast by NPC's inside a dungeon or trial.",
    LUIE_STRING_LAM_CI_ALERT_TIMER_TOGGLE = "Display Countdown/Cast Timer",
    LUIE_STRING_LAM_CI_ALERT_TIMER_TOGGLE_TP = "Display the countdown/cast time of the incoming ability.",
    LUIE_STRING_LAM_CI_ALERT_TIMER_COLOR = "Timer Color",
    LUIE_STRING_LAM_CI_ALERT_TIMER_COLOR_TP = "Set a color for the timer.",
    LUIE_STRING_LAM_CI_ALERT_COLOR_BASE = "Shared Label Color",
    LUIE_STRING_LAM_CI_ALERT_COLOR_BASE_TP = "Set a color for label prefix and suffix.",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_HEADER = "Mitigation Alerts",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_DESCRIPTION = "Use the following formatting characters to modify the mitigation alerts:\n\t\t\t\t\t%n Source Name\n\t\t\t\t\t%t Ability Name",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_ENABLE = "Enable Mitigation Alerts",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_ENABLE_TP = "Display alerts for abilities that can be mitigated by Block/Dodge/Avoid/Interrupt and abilities that are unmitigable.",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FILTER = "Filter Incoming Abilities",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FILTER_TP = "Choose whether to show all incoming abilities, only hard CC effects, or only unbreakable CC effects.",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_SUFFIX = "Display Mitigation Suffix",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_SUFFIX_TP = "Enable this option to display the BLOCK/DODGE/AVOID/INTERRUPT/CANNOT MITIGATE suffix on incoming ability alerts.",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_BORDER = "Show Color Border for Crowd Control Type",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_BORDER_TP = "Color the frame of the incoming ability icon based off the type of Crowd Control incoming (if any).",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_LABEL_COLOR = "Color Ability Name by CC Type",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_LABEL_COLOR_TP = "Color the name of the incoming ability  based off the type of Crowd Control incoming (if any).",
    LUIE_STRING_LAM_CI_ALERT_ALLOW_MODIFIER = "Allow Additional Message Modifiers",
    LUIE_STRING_LAM_CI_ALERT_ALLOW_MODIFIER_TP = "Allow modifiers to be added to the alert message based on specific context.\n\nNote: More context options may be added as needed in the future.",
    LUIE_STRING_LAM_CI_ALERT_MODIFIER_DIRECT = "Modifier for Attacks Directly Targeting Player",
    LUIE_STRING_LAM_CI_ALERT_MODIFIER_DIRECT_TP = "Display this modifier when the API detects an event is DIRECLY targeting you.\n\nNote: There are a pretty sizeable amount of conal/radial/etc effects that will be directed at you but the Combat Event for the cast won't actually target the player, and thus won't show this context.",
    LUIE_STRING_LAM_CI_ALERT_MODIFIER_SPREAD = "Modifier for Group Spread Out",
    LUIE_STRING_LAM_CI_ALERT_MODIFIER_SPREAD_TP = "Display this modifier on the end of the message for attacks that require the group to spread out (meteors, etc).",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_ABILITY = "Mitigation Alert - Ability Name Format",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_ABILITY_TP = "Choose the format to display the ability name of an incoming attack.",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_NAME = "Mitigation Alert - Enemy Name Format",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_NAME_TP = "Choose the format to display the source enemy name (if available) of an incoming attack.",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_P = "Important Buff Prefix",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_P_TP = "Choose the prefix to display for important buffs cast by nearby hostile targets",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_D = "Priority Target Prefix",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_D_TP = "Choose the prefix to display when a priority hostile target is detected nearby",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_S = "Summon Prefix",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_FORMAT_S_TP = "Choose the prefix to display when a summon is detected nearby",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_NO_NAME = "(No Name)",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_NO_NAME_TP = "(Prefix when enemy name cannot be resolved).",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_NAME = "(With Name)",
    LUIE_STRING_LAM_CI_ALERT_MITIGATION_NAME_TP = "(Prefix when enemy name is correctly resolved).",
    LUIE_STRING_LAM_CI_ALERT_HEADER_CC_COLOR = "Crowd Control Color Options",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_STUN = "Stun/Knockdown",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_STUN_TP = "Set an icon border color for incoming stun/knockdown effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_KNOCKBACK = "Knockback",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_KNOCKBACK_TP = "Set an icon border color for incoming knockback effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_LEVITATE = "Pull/Levitate",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_LEVITATE_TP = "Set an icon border color for incoming knockback effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_DISORIENT = "Disorient",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_DISORIENT_TP = "Set an icon border color for incoming disorient effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_FEAR = "Fear",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_FEAR_TP = "Set an icon border color for incoming fear effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_SILENCE = "Silence",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_SILENCE_TP = "Set an icon border color for incoming silence effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_STAGGER = "Stagger",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_STAGGER_TP = "Set an icon border color for incoming stagger effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_UNBREAKABLE = "Unbreakable",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_UNBREAKABLE_TP = "Set an icon border color for incoming unbreakable crowd control.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_SNARE = "Snare",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_SNARE_TP = "Set an icon border color for incoming snare effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_ROOT = "Immobilize",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_ROOT_TP = "Set an icon border color for incoming immobilization effects.",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_CHARM = "Charm",
    LUIE_STRING_LAM_CI_ALERT_CC_COLOR_CHARM_TP = "Set an icon border color for incoming charm effects.",

    LUIE_STRING_LAM_CI_ALERT_SOUND_HEADER = "Alert Sound Options",
    LUIE_STRING_LAM_CI_ALERT_SOUND_VOLUME = "Alert Sound Volume",
    LUIE_STRING_LAM_CI_ALERT_SOUND_VOLUME_TP = "Customize the volume for the alert sound, effectively this is done by playing the sound x number of times.\n\nThe Master Volume setting in the Audio Options seems to be the only factor controlling the volume otherwise, so I recommend if you want alerts to be clear to set your Master Volume high and individual game sounds lower if they are too loud.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST = "Single Target Attack",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_TP = "Use this sound when a single target attack is directed at you (with no Hard Crowd Control).",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_CC = "Single Target Attack (CC)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_CC_TP = "Use this sound when a single target attack that applies hard Crowd Control is directed at you.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_AOE = "Conal/Radial/AOE Attack",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_AOE_TP = "Use this sound when an enemy casts a conal/radial/aoe attack that can be avoided or mitigated in some way (with no Hard Crowd Control).",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_AOE_CC = "Conal/Radial/AOE/Attack (CC)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_AOE_CC_TP = "Use this sound when an enemy casts a conal/radial/aoe attack that applies hard Crowd Control and can be avoided or mitigated in some way.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_POWER_ATTACK = "Power Attack",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_POWER_ATTACK_TP = "Use this sound when an enemy casts a Power Attack (whether single target, conal, radial, etc), these are generally attacks that one shot non-tanks even through block or one shot tanks that aren't blocking.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_RADIAL_AVOID = "Avoid (Radial/AOE) Attack",
    LUIE_STRING_LAM_CI_ALERT_SOUND_ST_RADIAL_AVOID_TP = "Use this sound when an enemy casts a radial/conal/aoe effect of some sort that needs to be avoided (can't block/dodge). These are generally attacks that will one shot players.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_GROUND_TRAVEL = "Heat Wave/Ground Traveler",
    LUIE_STRING_LAM_CI_ALERT_SOUND_GROUND_TRAVEL_TP = "Use this sound when an enemy casts a moving ground effect such as Heat Wave (with no Hard Crowd Control).",
    LUIE_STRING_LAM_CI_ALERT_SOUND_GROUND_TRAVEL_CC = "Heat Wave/Ground Traveler (CC)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_GROUND_TRAVEL_CC_TP = "Use this sound when an enemy casts a moving ground effect that applies hard Crowd Control such as the Daedric Titan's Soul Flame ability.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_GROUND = "Ground",
    LUIE_STRING_LAM_CI_ALERT_SOUND_GROUND_TP = "Use this sound for effects that drop a damaging area on the ground. Example: Volley",
    LUIE_STRING_LAM_CI_ALERT_SOUND_METEOR = "Meteor Type",
    LUIE_STRING_LAM_CI_ALERT_SOUND_METEOR_TP = "Use this sound when a meteor type spell is cast at you (radial effect targeted on you that counts down and you need to block/dodge at the end).",
    LUIE_STRING_LAM_CI_ALERT_SOUND_UNMIT = "Unmitigable (Single Target)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_UNMIT_TP = "Use this sound when a single target unmitigable effect is directed at you. Example: Rune Prison/Fossilize",
    LUIE_STRING_LAM_CI_ALERT_SOUND_UNMIT_AOE = "Unmitigable (AOE)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_UNMIT_AOE_TP = "Use this sound when an unmitigable AOE attack is cast (Generally something that will hit all players no matter what, or effects that you need to line of sight to avoid taking damage). Example: Bogdan's Stomp",
    LUIE_STRING_LAM_CI_ALERT_SOUND_POWER_DAMAGE = "Power Buff (Damage)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_POWER_DAMAGE_TP = "Use this sound when an enemy gains a buff that increases their damage/offensive capability.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_POWER_DEFENSE = "Power Buff (Defensive/Utility)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_POWER_DEFENSE_TP = "Use this sound when an enemy gains a buff that increases their defense capability or utility (example: shields, damage reduction buffs)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_SUMMON = "Summon",
    LUIE_STRING_LAM_CI_ALERT_SOUND_SUMMON_TP = "Use this sound when an enemy summons an add or group of adds.",
    LUIE_STRING_LAM_CI_ALERT_SOUND_DESTROY = "Destroy (Priority Target)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_DESTROY_TP = "Use this sound when an enemy summons a priority kill target (defensive/offensive banner, summon that puts a damage shield/heal on the boss, etc).",
    LUIE_STRING_LAM_CI_ALERT_SOUND_HEAL = "Heal/Buff (Interrupt)",
    LUIE_STRING_LAM_CI_ALERT_SOUND_HEAL_TP = "Use this sound when an enemy is channeling a heal or some type of buff effect (Focused Healing, Empower Undead, etc).",

    LUIE_STRING_LAM_CT_NOTIFICATION_ALERT_INTERRUPT_TP = "Show an alert when you can interrupt an enemy ability.",
    LUIE_STRING_LAM_CT_NOTIFICATION_ALERT_POWER_TP = "Show an alert when a nearby hostile NPC casts an important buff (significant power buffs like enrages).",
    LUIE_STRING_LAM_CT_NOTIFICATION_ALERT_DESTROY_TP = "Show an alert when a nearby enemy target appears that is a priority target to destroy (spawns that reduce damage done/taken, or apply invulnerability).",
    LUIE_STRING_LAM_CT_NOTIFICATION_ALERT_SUMMON_TP = "Show an alert when a nearby enemy target summons additional enemies.",
    LUIE_STRING_LAM_CT_NOTIFICATION_ALERT_UNMIT_TP = "Show an alert when an enemy is casting an ability that is unmitigable.",
    LUIE_STRING_LAM_CT_NOTIFICATION_POINTS = "Points",
    LUIE_STRING_LAM_CT_NOTIFICATION_RESOURCES = "Resources",
    LUIE_STRING_LAM_CT_NOTIFICATION_COMBAT_IN_TP = "Display a notification when engaging in combat.",
    LUIE_STRING_LAM_CT_NOTIFICATION_COMBAT_OUT_TP = "Display a notification when exiting combat.",
    LUIE_STRING_LAM_CT_NOTIFICATION_POINTS_ALLIANCE_TP = "Show Alliance Points earned.",
    LUIE_STRING_LAM_CT_NOTIFICATION_POINTS_EXPERIENCE_TP = "Show Experience Points earned.",
    LUIE_STRING_LAM_CT_NOTIFICATION_POINTS_CHAMPION_TP = "Show Champion Experience earned.",
    LUIE_STRING_LAM_CT_NOTIFICATION_LOW_HEALTH_TP = "Show a warning when Health is below the desired threshold.",
    LUIE_STRING_LAM_CT_NOTIFICATION_LOW_MAGICKA_TP = "Show a warning when Magicka is below the desired threshold.",
    LUIE_STRING_LAM_CT_NOTIFICATION_LOW_STAMINA_TP = "Show a warning when Stamina is below the desired threshold.",
    LUIE_STRING_LAM_CT_NOTIFICATION_ULTIMATE_READY_TP = "Show a notification when your ultimate ability is available for use.",
    LUIE_STRING_LAM_CT_NOTIFICATION_POTION_READY_TP = "Show a notification when a potion comes off cooldown.",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_SOUND = "Play Warning Sound",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_SOUND_TP = "Play a sound when resources fall below the desired threshold.",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_HEALTH = "Warning Threshold (Health)",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_HEALTH_TP = "Threshold for Low Health warning.\nDefault: 35%",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_MAGICKA = "Warning Threshold (Magicka)",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_MAGICKA_TP = "Threshold for Low Magicka warning.\nDefault: 35%",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_STAMINA = "Warning Threshold (Stamina)",
    LUIE_STRING_LAM_CT_NOTIFICATION_WARNING_STAMINA_TP = "Threshold for Low Stamina warning.\nDefault: 35%",
    LUIE_STRING_LAM_CT_FONT_HEADER = "Font Format Options",
    LUIE_STRING_LAM_CT_FONT_FACE = "Font Face",
    LUIE_STRING_LAM_CT_FONT_FACE_TP = "Choose a font face.",
    LUIE_STRING_LAM_CT_FONT_OUTLINE = "Font Outline",
    LUIE_STRING_LAM_CT_FONT_OUTLINE_TP = "Choose a font outline.",
    LUIE_STRING_LAM_CT_FONT_TEST = "Test Font",
    LUIE_STRING_LAM_CT_FONT_TEST_TP = "Generate a test combat event to test the chosen font.",
    LUIE_STRING_LAM_CT_FONT_COMBAT_DAMAGE_TP = "Font size for direct damage.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_COMBAT_DAMAGE_CRITICAL_TP = "Font size for direct critical damage.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_COMBAT_HEALING_TP = "Font size for direct healing.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_COMBAT_HEALING_CRITICAL_TP = "Font size for direct critical healing.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_COMBAT_DOT_TP = "Font size for damage over time.\nDefault: 26",
    LUIE_STRING_LAM_CT_FONT_COMBAT_DOT_CRITICAL_TP = "Font size for critical damage over time.\nDefault: 26",
    LUIE_STRING_LAM_CT_FONT_COMBAT_HOT_TP = "Font size for healing over time.\nDefault: 26",
    LUIE_STRING_LAM_CT_FONT_COMBAT_HOT_CRITICAL_TP = "Font size for critical healing over time.\nDefault: 26",
    LUIE_STRING_LAM_CT_FONT_COMBAT_GAIN_LOSS_TP = "Font size for resource gain and drain.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_COMBAT_MITIGATION_TP = "Font size for mitigated damage.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_COMBAT_CROWD_CONTROL_TP = "Font size for crowd control warnings.\nDefault: 32",
    LUIE_STRING_LAM_CT_FONT_NOTIFICATION_COMBAT_STATE_TP = "Font size of message displayed when entering or exiting combat.\nDefault: 24",

    LUIE_STRING_LAM_CT_FONT_NOTIFICATION_POINTS_TP = "Font size of points earned\nDefault: 24",
    LUIE_STRING_LAM_CT_FONT_NOTIFICATION_RESOURCE_TP = "Font size of resource warnings.\nDefault: 32",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_NONE = "Font Color (No Type)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_NONE_TP = "Set a color for damage with no type.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_GENERIC = "Font Color (Generic)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_GENERIC_TP = "Set a color for Generic damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_PHYSICAL = "Font Color (Physical)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_PHYSICAL_TP = "Set a color for Physical damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_BLEED = "Font Color (Bleed)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_BLEED_TP = "Set a color for Bleed damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_FIRE = "Font Color (Fire)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_FIRE_TP = "Set a color for Fire damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_SHOCK = "Font Color (Shock)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_SHOCK_TP = "Set a color for Shock damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_OBLIVION = "Font Color (Oblivion)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_OBLIVION_TP = "Set a color for Oblivion damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_COLD = "Font Color (Cold)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_COLD_TP = "Set a color for Cold damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_EARTH = "Font Color (Earth)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_EARTH_TP = "Set a color for Earth damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_MAGIC = "Font Color (Magic)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_MAGIC_TP = "Set a color for Magic damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_DROWN = "Font Color (Drown)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_DROWN_TP = "Set a color for Drowning damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_DISEASE = "Font Color (Disease)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_DISEASE_TP = "Set a color for Disease damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_POISON = "Font Color (Poison)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_POISON_TP = "Set a color for Poison damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_HEALING = "Font Color (Healing)",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_HEALING_TP = "Set a color for all healing.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_ENERGIZE_MAGICKA_TP = "Set a color for magicka gain.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_ENERGIZE_STAMINA_TP = "Set a color for stamina gain.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_ENERGIZE_ULTIMATE_TP = "Set a color for ultimate gain.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DRAIN_MAGICKA_TP = "Set a color for magicka drain.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DRAIN_STAMINA_TP = "Set a color for stamina drain.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_OVERRIDE = "Override Critical Damage",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_OVERRIDE_TP = "Use a set color for all critical damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_CRIT_DAMAGE_COLOR = "Critical Damage Color",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_CRIT_DAMAGE_COLOR_TP = "Set a color for critical damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_HEALING_OVERRIDE = "Override Critical Healing",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_HEALING_OVERRIDE_TP = "Use a set color for all critical healing.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_CRIT_HEALING_COLOR = "Critical Healing Color",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_CRIT_HEALING_COLOR_TP = "Set a color for critical damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_INCOMING_OVERRIDE = "Override Incoming Damage",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_INCOMING_OVERRIDE_TP = "Use a set color for all incoming damage (overrides critical damage as well).",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_INCOMING_COLOR = "Incoming Damage Color",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_INCOMING_COLOR_TP = "Set a color for incoming damage.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_MISS_TP = "Set a color for missed attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_IMMUNE_TP = "Set a color for immunity to attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_PARRIED_TP = "Set a color for parried attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_REFLETCED_TP = "Set a color for reflected attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DAMAGE_SHIELD_TP = "Set a color for damage absorbed by a shield.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DODGED_TP = "Set a color for dodged attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_BLOCKED_TP = "Set a color for blocked attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_INTERRUPTED_TP = "Set a color for interrupted attacks.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_DISORIENTED_TP = "Set a color for notifications displayed when Disoriented.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_FEARED_TP = "Set a color for notifications displayed when Feared.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_OFF_BALANCE_TP = "Set a color for notifications displayed when Off-Balance.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_SILENCED_TP = "Set a color for notifications displayed when Silenced.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_STUNNED_TP = "Set a color for notifications displayed when Stunned.",
    LUIE_STRING_LAM_CT_COLOR_COMBAT_CHARMED_TP = "Set a color for notifications displayed when Charmed.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_COMBAT_IN_TP = "Set a color for notifications when engaging in combat.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_COMBAT_OUT_TP = "Set a color for notifications when exiting combat.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_BLOCK_TP = "Set a color for block alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_INTERRUPT_TP = "Set a color for interrupt alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_UNMIT_TP = "Set a color for alerts for abilities that can't be mitigated.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_DODGE_TP = "Set a color for dodge alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_AVOID_TP = "Set a color for avoidance alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_POWER_TP = "Set a color for important buff alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_DESTROY_TP = "Set a color for priority target alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_SUMMON_TP = "Set a color for summon alerts.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_ALLIANCE_TP = "Set a color for Alliance Points earned.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_EXPERIENCE_TP = "Set a color for Experience Points earned.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_CHAMPION_TP = "Set a color for Champion Experience earned.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_LOW_HEALTH_TP = "Set a color for Low Health warnings.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_LOW_MAGICKA_TP = "Set a color for Low Magicka warnings.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_LOW_STAMINA_TP = "Set a color for Low Stamina warnings.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_ULTIMATE_TP = "Set a color for notifications when your ultimate ability is available for use.",
    LUIE_STRING_LAM_CT_COLOR_NOTIFICATION_POTION_TP = "Set a color for notifications when a potion comes off cooldown.",
    LUIE_STRING_LAM_CT_FORMAT_DESCRIPTION = "Formatting Reference:\n %t Ability name, localized name\n %a Amount, value\n %r Power type, resource",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DAMAGE_TP = "Text format for direct damage numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DAMAGE_CRITICAL_TP = "Text format for direct critical damage numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_HEALING_TP = "Text format for direct healing numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_HEALING_CRITICAL_TP = "Text format for direct critical healing numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DOT_TP = "Text format for damage over time numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DOT_CRITICAL_TP = "Text format for critical damage over time numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_HOT_TP = "Text format for healing over time numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_HOT_CRITICAL_TP = "Text format for critical healing over time numbers.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_ENERGIZE_TP = "Text format for magicka/stamina gain.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_ENERGIZE_ULTIMATE_TP = "Text format for ultimate gain.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DRAIN_TP = "Text format for magicka/stamina drain.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_MISS_TP = "Text format for missed attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_IMMUNE_TP = "Text format for immunity to attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_PARRIED_TP = "Text format for parried attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_REFLECTED_TP = "Text format for reflected attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DAMAGE_SHIELD_TP = "Text format for damage absorbed by a shield.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DODGED_TP = "Text format for dodged attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_BLOCKED_TP = "Text format for blocked attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_INTERRUPTED_TP = "Text format for interrupted attacks.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_DISORIENTED_TP = "Text format for notifications when Disoriented.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_FEARED_TP = "Text format for notifications when Feared.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_OFF_BALANCE_TP = "Text format for notifications when set Off-Balance.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_SILENCED_TP = "Text format for notifications when Silenced.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_STUNNED_TP = "Text format for notifications when Stunned.",
    LUIE_STRING_LAM_CT_FORMAT_COMBAT_CHARMED_TP = "Text format for notifications when Charmed.",
    LUIE_STRING_LAM_CT_FORMAT_POINTS_HEADER = "Points",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_COMBAT_IN_TP = "Text format for notifications when engaging in combat.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_COMBAT_OUT_TP = "Text format for notifications when exiting combat.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_BLOCK_TP = "Text format for block alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_BLOCK_S_TP = "Text format for block alerts when an enemy will be staggered.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_INTERRUPT_TP = "Text format for interrupt alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_SHOULDUSECC = "Format (Hard CC)",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_SHOULDUSECC_TP = "Text format for alerts for abilities that should be hard cc'ed.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_UNMIT_TP = "Text format for alerts for abilities that can't be mitigated.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_DODGE_TP = "Text format for dodge alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_AVOID_TP = "Text format for avoidance alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_POWER_TP = "Text format for important buff alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_DESTROY_TP = "Text format for priority target alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_SUMMON_TP = "Text format for summon alerts.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_ALLIANCE_TP = "Text format for Alliance Points earned.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_EXPERIENCE_TP = "Text format for Experience Points earned.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_CHAMPION_TP = "Text format for Champion Experience earned.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_RESOURCE_TP = "Text format for warnings when low on resources.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_ULTIMATE_TP = "Text format for notifcations when your ultimate ability is available for use.",
    LUIE_STRING_LAM_CT_FORMAT_NOTIFICATION_POTION_TP = "Text format for notifcations when your potion comes off cooldown.",
    LUIE_STRING_LAM_CT_ANIMATION_HEADER = "Animation Options",
    LUIE_STRING_LAM_CT_ANIMATION_TYPE = "Animation Type",
    LUIE_STRING_LAM_CT_ANIMATION_TYPE_TP = "Select the animation type to use.",
    LUIE_STRING_LAM_CT_ANIMATION_DURATION = "Animation Speed [%]",
    LUIE_STRING_LAM_CT_ANIMATION_DURATION_TP = "Set speed of the text in percent of the default.\nDefault: 100%",
    LUIE_STRING_LAM_CT_ANIMATION_DIRECTION_OUT = "Outgoing Direction",
    LUIE_STRING_LAM_CT_ANIMATION_DIRECTION_OUT_TP = "Set the movement direction for outgoing text.",
    LUIE_STRING_LAM_CT_ANIMATION_DIRECTION_IN = "Incoming Direction",
    LUIE_STRING_LAM_CT_ANIMATION_DIRECTION_IN_TP = "Set the movement direction for incoming text.",
    LUIE_STRING_LAM_CT_ANIMATION_ICON_OUT = "Outgoing Icon Position",
    LUIE_STRING_LAM_CT_ANIMATION_ICON_OUT_TP = "Set the icon position for outgoing text.",
    LUIE_STRING_LAM_CT_ANIMATION_ICON_IN = "Incoming Icon Position",
    LUIE_STRING_LAM_CT_ANIMATION_ICON_IN_TP = "Set the icon position for incoming text.",
    LUIE_STRING_LAM_CT_ANIMATION_TEST = "Test Animation",
    LUIE_STRING_LAM_CT_ANIMATION_TEST_TP = "Test the animation of incoming & outgoing text.",
    LUIE_STRING_LAM_CT_THROTTLE_HEADER = "Throttle Options",
    LUIE_STRING_LAM_CT_THROTTLE_DESCRIPTION = "Accumulates multiple hits into one. Use the slider to adjust the time frame in milliseconds. Critical hits are not throttled unless the relevant option below is enabled.",
    LUIE_STRING_LAM_CT_THROTTLE_DAMAGE_TP = "Set the throttle duration in ms for damage numbers.\nDefault: 200 ms",
    LUIE_STRING_LAM_CT_THROTTLE_HEALING_TP = "Set the throttle duration in ms for healing numbers.\nDefault: 200 ms",
    LUIE_STRING_LAM_CT_THROTTLE_DOT_TP = "Set the throttle duration in ms for damage over time numbers.\nDefault: 200 ms",
    LUIE_STRING_LAM_CT_THROTTLE_HOT_TP = "Set the throttle duration in ms for healing over time numbers.\nDefault: 200 ms",
    LUIE_STRING_LAM_CT_THROTTLE_CRITICAL = "Throttle Critical Hits",
    LUIE_STRING_LAM_CT_THROTTLE_CRITICAL_TP = "Enable throttle for critical hits.",
    LUIE_STRING_LAM_CT_THROTTLE_TRAILER = "Show Throttle Trailer",
    LUIE_STRING_LAM_CT_THROTTLE_TRAILER_TP = "Enable Throttle Trailer.",
    LUIE_STRING_LAM_CT_DEATH_HEADER = "Group Member Death",
    LUIE_STRING_LAM_CT_DEATH_NOTIFICATION = "Display Group Member Deaths",
    LUIE_STRING_LAM_CT_DEATH_NOTIFICATION_TP = "Display a notification when a friendly player in your group or raid dies.",
    LUIE_STRING_LAM_CT_DEATH_FORMAT_TP = "Text format for group member death notifications.",
    LUIE_STRING_LAM_CT_DEATH_FONT_SIZE_TP = "Font size of message displayed when a group member dies.\nDefault: 32",
    LUIE_STRING_LAM_CT_DEATH_COLOR_TP = "Set a color for notifications when a group member dies.",

    LUIE_STRING_LAM_CT_BLACKLIST_HEADER = "Ability Blacklist",
}

for stringId, stringValue in pairs(strings) do
    ZO_CreateStringId(stringId, stringValue)
    SafeAddVersion(stringId, 1)
end
